2026-07-06  IOhannes m zmölnig <zmoelnig@iem.at>

	* Makefile.am: Install README.deken.pd

2026-07-06  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/gitlab-iem.yml: [ci] exclude README.deken.*.in files from
	deken packages

2026-07-06  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/gitlab-iem.yml: [ci] fix typo when creating source package

2026-07-05  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* .git-ci/README.release.pd.in, .git-ci/gitlab-iem.yml: [ci]
	README.deken.pd.in for releases basically the same as for snapshots, but without the big warning.

2026-07-05  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* configure.ac: Generate README.deken.pd (for snapshots, by default)

2026-07-05  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* .git-ci/gitlab-iem.yml, .git-ci/README.snapshot.pd.in =>
	README.deken.pd.in: [ci] move README.snapshot.pd.in from .git-ci to
	normal README.deken.pd.in

2026-07-01  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/iem-ci: [ci] Update iem-ci submodule

2026-07-01  IOhannes m zmölnig <zmoelnig@iem.at>

	* extra/pix_artoolkit/configure.ac, plugins/AVT/configure.ac,
	plugins/HALCON/configure.ac, plugins/PYLON/configure.ac: Replace
	AC_PROG_LIBTOOL with LT_INIT

2026-07-01  IOhannes m zmölnig <zmoelnig@iem.at>

	* configure.ac: Drop AC_PROG_LIBTOOL in favour ot LT_INIT

2026-07-01  IOhannes m zmölnig <zmoelnig@iem.at>

	* configure.ac, extra/configure.ac,
	extra/pix_artoolkit/configure.ac, plugins/AVT/configure.ac,
	plugins/HALCON/configure.ac, plugins/PYLON/configure.ac: Update
	configure.ac to autotools-2.71

2026-07-01  IOhannes m zmölnig <zmoelnig@iem.at>

	* configure.ac: modernize checks for headers

2026-07-01  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Gem/Image.cpp: replace Gem-internal __TIMING__ macro with
	GEM_TIMING the "__" prefix is reserved for the compiler.  also we check if it
	is non-0 rather than just defined.

2026-06-30  IOhannes m zmölnig <zmoelnig@iem.at>

	* m4/ax_pthread.m4: Update m4/ax_pthread.m4 to v31

2026-07-01  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/VIDS/videoInput/videoInput.cpp,
	plugins/VIDS/videoInput/videoInput.h: VIDS: initialize HRESULT/long
	vals with '0L' rather than 'NULL' NULL is a pointer...

2026-07-01  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/imageMAGICK/MagickCore.cpp: imageMAGICK: properly add "!"
	suffix for severe exceptions

2026-07-01  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_pix2sig~.cpp: [pix_pix2sig~] handle INVALID
	fill-type in perform routine...

2026-07-01  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Base/GemPixDualObj.cpp, src/Base/GemPixObj.cpp,
	src/Pixes/pix_buffer_write.cpp, src/Pixes/pix_draw.cpp,
	src/Pixes/pix_info.cpp, src/openGL/GEMglBitmap.cpp,
	src/openGL/GEMglTexImage2D.cpp, src/openGL/GEMglTexSubImage1D.cpp,
	src/openGL/GEMglTexSubImage2D.cpp: drop checks that must always be
	true

2026-07-01  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Controls/gemframebuffer.cpp: fix wrapmode check if
	EXT_texture_edge_clamp is not supported

2026-06-30  IOhannes m zmölnig <zmoelnig@iem.at>

	* .github/workflows/lint.yml: [ci] bump github's action/checkout to
	v7

2026-06-29  IOhannes m zmölnig <zmoelnig@iem.at>

	* configure.ac: Disable Pd-instance support by default.

2026-06-29  IOhannes m zmölnig <zmoelnig@iem.at>

	* m4/gem.m4: m4: fix generated names for enabled_* and with_* vars e.g. "--enable-foo-bar" is now reflected in ${enable_foo_bar},
	rather than the invalid ${enable_foo-bar}

2026-06-29  IOhannes m zmölnig <zmoelnig@iem.at>

	* configure.ac: By default, build for multi-instance Pd use "--disable-pd-instance" to revert to the old behaviour

2026-06-29  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Gem/State.h: use "_s" for temporary variables to avoid clashes
	with Pd's define when PDINSTANCE is defined, m_pd.h *defines "s_" (the static
	variable for gensym("")) as some shortcut, which breaks our use as
	an innocent variable name...

2026-06-29  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Base/CPPExtern.cpp, src/Base/GemPathBase.cpp,
	src/Base/GemShape.cpp, src/Controls/gemlist_info.cpp,
	src/Controls/gemlist_matrix.cpp, src/Controls/gemreceive.cpp,
	src/Controls/gemwin.cpp, src/Geos/colorSquare.cpp,
	src/Geos/cuboid.cpp, src/Geos/multimodel.cpp, src/Geos/newWave.cpp,
	src/Geos/polygon.cpp, src/Geos/primTri.cpp, src/Geos/rectangle.cpp,
	src/Geos/ripple.cpp, src/Geos/rubber.cpp, src/Geos/scopeXYZ~.cpp,
	src/Geos/slideSquares.cpp, src/Geos/tube.cpp,
	src/Manips/accumrotate.cpp, src/Manips/alpha.cpp,
	src/Manips/ambient.cpp, src/Manips/ambientRGB.cpp,
	src/Manips/color.cpp, src/Manips/colorRGB.cpp,
	src/Manips/diffuse.cpp, src/Manips/diffuseRGB.cpp,
	src/Manips/emission.cpp, src/Manips/emissionRGB.cpp,
	src/Manips/glsl_program.cpp, src/Manips/glsl_vertex.cpp,
	src/Manips/rotate.cpp, src/Manips/rotateXYZ.cpp,
	src/Manips/scale.cpp, src/Manips/scaleXYZ.cpp,
	src/Manips/shearXY.cpp, src/Manips/shearXZ.cpp,
	src/Manips/shearYX.cpp, src/Manips/shearYZ.cpp,
	src/Manips/shearZX.cpp, src/Manips/shearZY.cpp,
	src/Manips/shininess.cpp, src/Manips/specular.cpp,
	src/Manips/specularRGB.cpp, src/Manips/translate.cpp,
	src/Manips/translateXYZ.cpp, src/Manips/vertex_program.cpp,
	src/Particles/part_information.cpp,
	src/Particles/part_targetcolor.cpp,
	src/Particles/part_targetsize.cpp, src/Pixes/pix_background.cpp,
	src/Pixes/pix_blob.cpp, src/Pixes/pix_blur.cpp,
	src/Pixes/pix_buffer.cpp, src/Pixes/pix_buffer_read.cpp,
	src/Pixes/pix_buffer_write.cpp, src/Pixes/pix_cubemap.cpp,
	src/Pixes/pix_delay.cpp, src/Pixes/pix_dump.cpp,
	src/Pixes/pix_freeframe.cpp, src/Pixes/pix_frei0r.cpp,
	src/Pixes/pix_image.cpp, src/Pixes/pix_mix.cpp,
	src/Pixes/pix_motionblur.cpp, src/Pixes/pix_multiblob.cpp,
	src/Pixes/pix_pix2sig~.cpp, src/Pixes/pix_posterize.cpp,
	src/Pixes/pix_roll.cpp, src/Pixes/pix_scanline.cpp,
	src/Pixes/pix_sig2pix~.cpp, src/Pixes/pix_texture.cpp,
	src/Vertex/vertex_scale.cpp, src/openGL/GEMglAccum.cpp,
	src/openGL/GEMglActiveTextureARB.cpp,
	src/openGL/GEMglAlphaFunc.cpp,
	src/openGL/GEMglAreTexturesResident.cpp,
	src/openGL/GEMglArrayElement.cpp, src/openGL/GEMglBegin.cpp,
	src/openGL/GEMglBindProgramARB.cpp,
	src/openGL/GEMglBindTexture.cpp, src/openGL/GEMglBitmap.cpp,
	src/openGL/GEMglBlendEquation.cpp, src/openGL/GEMglBlendFunc.cpp,
	src/openGL/GEMglCallList.cpp, src/openGL/GEMglClear.cpp,
	src/openGL/GEMglClearAccum.cpp, src/openGL/GEMglClearColor.cpp,
	src/openGL/GEMglClearDepth.cpp, src/openGL/GEMglClearIndex.cpp,
	src/openGL/GEMglClearStencil.cpp, src/openGL/GEMglClipPlane.cpp,
	src/openGL/GEMglColor3b.cpp, src/openGL/GEMglColor3bv.cpp,
	src/openGL/GEMglColor3d.cpp, src/openGL/GEMglColor3dv.cpp,
	src/openGL/GEMglColor3f.cpp, src/openGL/GEMglColor3fv.cpp,
	src/openGL/GEMglColor3i.cpp, src/openGL/GEMglColor3iv.cpp,
	src/openGL/GEMglColor3s.cpp, src/openGL/GEMglColor3sv.cpp,
	src/openGL/GEMglColor3ub.cpp, src/openGL/GEMglColor3ubv.cpp,
	src/openGL/GEMglColor3ui.cpp, src/openGL/GEMglColor3uiv.cpp,
	src/openGL/GEMglColor3us.cpp, src/openGL/GEMglColor3usv.cpp,
	src/openGL/GEMglColor4b.cpp, src/openGL/GEMglColor4bv.cpp,
	src/openGL/GEMglColor4d.cpp, src/openGL/GEMglColor4dv.cpp,
	src/openGL/GEMglColor4f.cpp, src/openGL/GEMglColor4fv.cpp,
	src/openGL/GEMglColor4i.cpp, src/openGL/GEMglColor4iv.cpp,
	src/openGL/GEMglColor4s.cpp, src/openGL/GEMglColor4sv.cpp,
	src/openGL/GEMglColor4ub.cpp, src/openGL/GEMglColor4ubv.cpp,
	src/openGL/GEMglColor4ui.cpp, src/openGL/GEMglColor4uiv.cpp,
	src/openGL/GEMglColor4us.cpp, src/openGL/GEMglColor4usv.cpp,
	src/openGL/GEMglColorMask.cpp, src/openGL/GEMglColorMaterial.cpp,
	src/openGL/GEMglCopyPixels.cpp, src/openGL/GEMglCopyTexImage1D.cpp,
	src/openGL/GEMglCopyTexImage2D.cpp,
	src/openGL/GEMglCopyTexSubImage1D.cpp,
	src/openGL/GEMglCopyTexSubImage2D.cpp,
	src/openGL/GEMglCullFace.cpp, src/openGL/GEMglDeleteTextures.cpp,
	src/openGL/GEMglDepthFunc.cpp, src/openGL/GEMglDepthMask.cpp,
	src/openGL/GEMglDepthRange.cpp, src/openGL/GEMglDisable.cpp,
	src/openGL/GEMglDisableClientState.cpp,
	src/openGL/GEMglDrawArrays.cpp, src/openGL/GEMglDrawBuffer.cpp,
	src/openGL/GEMglDrawElements.cpp, src/openGL/GEMglEdgeFlag.cpp,
	src/openGL/GEMglEnable.cpp, src/openGL/GEMglEnableClientState.cpp,
	src/openGL/GEMglEvalCoord1d.cpp, src/openGL/GEMglEvalCoord1dv.cpp,
	src/openGL/GEMglEvalCoord1f.cpp, src/openGL/GEMglEvalCoord1fv.cpp,
	src/openGL/GEMglEvalCoord2d.cpp, src/openGL/GEMglEvalCoord2dv.cpp,
	src/openGL/GEMglEvalCoord2f.cpp, src/openGL/GEMglEvalCoord2fv.cpp,
	src/openGL/GEMglEvalMesh1.cpp, src/openGL/GEMglEvalMesh2.cpp,
	src/openGL/GEMglEvalPoint1.cpp, src/openGL/GEMglEvalPoint2.cpp,
	src/openGL/GEMglFeedbackBuffer.cpp, src/openGL/GEMglFogf.cpp,
	src/openGL/GEMglFogfv.cpp, src/openGL/GEMglFogi.cpp,
	src/openGL/GEMglFogiv.cpp, src/openGL/GEMglFrontFace.cpp,
	src/openGL/GEMglFrustum.cpp, src/openGL/GEMglGenLists.cpp,
	src/openGL/GEMglGenProgramsARB.cpp,
	src/openGL/GEMglGenTextures.cpp,
	src/openGL/GEMglGenerateMipmap.cpp, src/openGL/GEMglGetFloatv.cpp,
	src/openGL/GEMglGetIntegerv.cpp, src/openGL/GEMglGetMapdv.cpp,
	src/openGL/GEMglGetMapfv.cpp, src/openGL/GEMglGetMapiv.cpp,
	src/openGL/GEMglGetPointerv.cpp, src/openGL/GEMglGetString.cpp,
	src/openGL/GEMglHint.cpp, src/openGL/GEMglIndexMask.cpp,
	src/openGL/GEMglIndexd.cpp, src/openGL/GEMglIndexdv.cpp,
	src/openGL/GEMglIndexf.cpp, src/openGL/GEMglIndexfv.cpp,
	src/openGL/GEMglIndexi.cpp, src/openGL/GEMglIndexiv.cpp,
	src/openGL/GEMglIndexs.cpp, src/openGL/GEMglIndexsv.cpp,
	src/openGL/GEMglIndexub.cpp, src/openGL/GEMglIndexubv.cpp,
	src/openGL/GEMglIsEnabled.cpp, src/openGL/GEMglIsList.cpp,
	src/openGL/GEMglIsTexture.cpp, src/openGL/GEMglLightModelf.cpp,
	src/openGL/GEMglLightModeli.cpp, src/openGL/GEMglLightf.cpp,
	src/openGL/GEMglLighti.cpp, src/openGL/GEMglLineStipple.cpp,
	src/openGL/GEMglLineWidth.cpp, src/openGL/GEMglLoadMatrixd.cpp,
	src/openGL/GEMglLoadMatrixf.cpp, src/openGL/GEMglLoadName.cpp,
	src/openGL/GEMglLoadTransposeMatrixd.cpp,
	src/openGL/GEMglLoadTransposeMatrixf.cpp,
	src/openGL/GEMglLogicOp.cpp, src/openGL/GEMglMap1d.cpp,
	src/openGL/GEMglMap1f.cpp, src/openGL/GEMglMap2d.cpp,
	src/openGL/GEMglMap2f.cpp, src/openGL/GEMglMapGrid1d.cpp,
	src/openGL/GEMglMapGrid1f.cpp, src/openGL/GEMglMapGrid2d.cpp,
	src/openGL/GEMglMapGrid2f.cpp, src/openGL/GEMglMaterialf.cpp,
	src/openGL/GEMglMaterialfv.cpp, src/openGL/GEMglMateriali.cpp,
	src/openGL/GEMglMatrixMode.cpp, src/openGL/GEMglMultMatrixd.cpp,
	src/openGL/GEMglMultMatrixf.cpp,
	src/openGL/GEMglMultTransposeMatrixd.cpp,
	src/openGL/GEMglMultTransposeMatrixf.cpp,
	src/openGL/GEMglMultiTexCoord2f.cpp,
	src/openGL/GEMglMultiTexCoord2fARB.cpp,
	src/openGL/GEMglNewList.cpp, src/openGL/GEMglNormal3b.cpp,
	src/openGL/GEMglNormal3bv.cpp, src/openGL/GEMglNormal3d.cpp,
	src/openGL/GEMglNormal3dv.cpp, src/openGL/GEMglNormal3f.cpp,
	src/openGL/GEMglNormal3fv.cpp, src/openGL/GEMglNormal3i.cpp,
	src/openGL/GEMglNormal3iv.cpp, src/openGL/GEMglNormal3s.cpp,
	src/openGL/GEMglNormal3sv.cpp, src/openGL/GEMglOrtho.cpp,
	src/openGL/GEMglPassThrough.cpp,
	src/openGL/GEMglPatchParameteri.cpp,
	src/openGL/GEMglPixelStoref.cpp, src/openGL/GEMglPixelStorei.cpp,
	src/openGL/GEMglPixelTransferf.cpp,
	src/openGL/GEMglPixelTransferi.cpp, src/openGL/GEMglPixelZoom.cpp,
	src/openGL/GEMglPointSize.cpp, src/openGL/GEMglPolygonMode.cpp,
	src/openGL/GEMglPolygonOffset.cpp,
	src/openGL/GEMglPrioritizeTextures.cpp,
	src/openGL/GEMglProgramEnvParameter4dARB.cpp,
	src/openGL/GEMglProgramEnvParameter4fvARB.cpp,
	src/openGL/GEMglProgramLocalParameter4fvARB.cpp,
	src/openGL/GEMglProgramStringARB.cpp,
	src/openGL/GEMglPushAttrib.cpp,
	src/openGL/GEMglPushClientAttrib.cpp, src/openGL/GEMglPushName.cpp,
	src/openGL/GEMglRasterPos2d.cpp, src/openGL/GEMglRasterPos2dv.cpp,
	src/openGL/GEMglRasterPos2f.cpp, src/openGL/GEMglRasterPos2fv.cpp,
	src/openGL/GEMglRasterPos2i.cpp, src/openGL/GEMglRasterPos2iv.cpp,
	src/openGL/GEMglRasterPos2s.cpp, src/openGL/GEMglRasterPos2sv.cpp,
	src/openGL/GEMglRasterPos3d.cpp, src/openGL/GEMglRasterPos3dv.cpp,
	src/openGL/GEMglRasterPos3f.cpp, src/openGL/GEMglRasterPos3fv.cpp,
	src/openGL/GEMglRasterPos3i.cpp, src/openGL/GEMglRasterPos3iv.cpp,
	src/openGL/GEMglRasterPos3s.cpp, src/openGL/GEMglRasterPos3sv.cpp,
	src/openGL/GEMglRasterPos4d.cpp, src/openGL/GEMglRasterPos4dv.cpp,
	src/openGL/GEMglRasterPos4f.cpp, src/openGL/GEMglRasterPos4fv.cpp,
	src/openGL/GEMglRasterPos4i.cpp, src/openGL/GEMglRasterPos4iv.cpp,
	src/openGL/GEMglRasterPos4s.cpp, src/openGL/GEMglRasterPos4sv.cpp,
	src/openGL/GEMglRectd.cpp, src/openGL/GEMglRectf.cpp,
	src/openGL/GEMglRecti.cpp, src/openGL/GEMglRects.cpp,
	src/openGL/GEMglRenderMode.cpp, src/openGL/GEMglReportError.cpp,
	src/openGL/GEMglRotated.cpp, src/openGL/GEMglRotatef.cpp,
	src/openGL/GEMglScaled.cpp, src/openGL/GEMglScalef.cpp,
	src/openGL/GEMglScissor.cpp, src/openGL/GEMglSelectBuffer.cpp,
	src/openGL/GEMglShadeModel.cpp, src/openGL/GEMglStencilFunc.cpp,
	src/openGL/GEMglStencilMask.cpp, src/openGL/GEMglStencilOp.cpp,
	src/openGL/GEMglTexCoord1d.cpp, src/openGL/GEMglTexCoord1dv.cpp,
	src/openGL/GEMglTexCoord1f.cpp, src/openGL/GEMglTexCoord1fv.cpp,
	src/openGL/GEMglTexCoord1i.cpp, src/openGL/GEMglTexCoord1iv.cpp,
	src/openGL/GEMglTexCoord1s.cpp, src/openGL/GEMglTexCoord1sv.cpp,
	src/openGL/GEMglTexCoord2d.cpp, src/openGL/GEMglTexCoord2dv.cpp,
	src/openGL/GEMglTexCoord2f.cpp, src/openGL/GEMglTexCoord2fv.cpp,
	src/openGL/GEMglTexCoord2i.cpp, src/openGL/GEMglTexCoord2iv.cpp,
	src/openGL/GEMglTexCoord2s.cpp, src/openGL/GEMglTexCoord2sv.cpp,
	src/openGL/GEMglTexCoord3d.cpp, src/openGL/GEMglTexCoord3dv.cpp,
	src/openGL/GEMglTexCoord3f.cpp, src/openGL/GEMglTexCoord3fv.cpp,
	src/openGL/GEMglTexCoord3i.cpp, src/openGL/GEMglTexCoord3iv.cpp,
	src/openGL/GEMglTexCoord3s.cpp, src/openGL/GEMglTexCoord3sv.cpp,
	src/openGL/GEMglTexCoord4d.cpp, src/openGL/GEMglTexCoord4dv.cpp,
	src/openGL/GEMglTexCoord4f.cpp, src/openGL/GEMglTexCoord4fv.cpp,
	src/openGL/GEMglTexCoord4i.cpp, src/openGL/GEMglTexCoord4iv.cpp,
	src/openGL/GEMglTexCoord4s.cpp, src/openGL/GEMglTexCoord4sv.cpp,
	src/openGL/GEMglTexEnvf.cpp, src/openGL/GEMglTexEnvi.cpp,
	src/openGL/GEMglTexGend.cpp, src/openGL/GEMglTexGenf.cpp,
	src/openGL/GEMglTexGenfv.cpp, src/openGL/GEMglTexGeni.cpp,
	src/openGL/GEMglTexImage2D.cpp, src/openGL/GEMglTexParameterf.cpp,
	src/openGL/GEMglTexParameteri.cpp,
	src/openGL/GEMglTexSubImage1D.cpp,
	src/openGL/GEMglTexSubImage2D.cpp, src/openGL/GEMglTranslated.cpp,
	src/openGL/GEMglTranslatef.cpp, src/openGL/GEMglUniform1f.cpp,
	src/openGL/GEMglUniform1fARB.cpp,
	src/openGL/GEMglUseProgramObjectARB.cpp,
	src/openGL/GEMglVertex2d.cpp, src/openGL/GEMglVertex2dv.cpp,
	src/openGL/GEMglVertex2f.cpp, src/openGL/GEMglVertex2fv.cpp,
	src/openGL/GEMglVertex2i.cpp, src/openGL/GEMglVertex2iv.cpp,
	src/openGL/GEMglVertex2s.cpp, src/openGL/GEMglVertex2sv.cpp,
	src/openGL/GEMglVertex3d.cpp, src/openGL/GEMglVertex3dv.cpp,
	src/openGL/GEMglVertex3f.cpp, src/openGL/GEMglVertex3fv.cpp,
	src/openGL/GEMglVertex3i.cpp, src/openGL/GEMglVertex3iv.cpp,
	src/openGL/GEMglVertex3s.cpp, src/openGL/GEMglVertex3sv.cpp,
	src/openGL/GEMglVertex4d.cpp, src/openGL/GEMglVertex4dv.cpp,
	src/openGL/GEMglVertex4f.cpp, src/openGL/GEMglVertex4fv.cpp,
	src/openGL/GEMglVertex4i.cpp, src/openGL/GEMglVertex4iv.cpp,
	src/openGL/GEMglVertex4s.cpp, src/openGL/GEMglVertex4sv.cpp,
	src/openGL/GEMglViewport.cpp, src/openGL/GEMgluLookAt.cpp,
	src/openGL/GEMgluPerspective.cpp, src/openGL/GLdefine.cpp,
	src/openGL/fun2object.sh: replace references to static symbols with
	gensym() if Pd is compiled with PDINSTANCE, there's no such C-symbol...

2026-06-23  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/gitlab-iem.yml: [ci] use our own (updated) monterey image
	for building on macOS Closes: https://github.com/umlaeute/Gem/issues/547

2026-06-16  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Geos/sphere.cpp, src/Geos/sphere3d.cpp, src/Geos/torus.cpp:
	[sphere]/[sphere3d]/[torus]: fix texcoords like in [cylinder]

2026-06-16  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Geos/cylinder.cpp: parens around macro args

2026-06-16  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Geos/sphere.cpp, src/Geos/sphere3d.cpp: whitespace

2026-06-16  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Geos/cylinder.cpp: fix texture coordinate calculation for
	[cylinder] and friends

2026-06-16  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Geos/cylinder.cpp: get rid of useless define

2026-06-16  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Geos/cylinder.cpp, src/Geos/disk.cpp, src/Geos/square.cpp:
	whitespace

2026-05-12  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Nongeos/world_light.cpp: light: don't call stopRendering() in
	dtor Closes: https://github.com/umlaeute/Gem/issues/465

2026-05-12  cyrille henry <ch@chnry.net>

	* : commit 22620c8b4f0cf98bb88dc303e41b1fa651230c3b Author: chnry
	<ch@chnry.net> Date:   Mon May 11 09:26:06 2026 +0200

2026-05-06  chnry <ch@chnry.net>

	* src/Controls/gemframebuffer.cpp: do not bind 2 times

2026-05-06  chnry <ch@chnry.net>

	* src/Controls/gemframebuffer.cpp: oups, this is still mandatory
	with multiple framebuffer

2026-05-06  chnry <ch@chnry.net>

	* help/gemframebuffer-help.pd, src/Controls/gemframebuffer.cpp,
	src/Controls/gemframebuffer.h: add Multi Sample to the gemfrembuffer
	object, to allow antialiasing for multi pass rendering.

2026-05-06  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Gem/ImageLoad.cpp, src/Gem/Manager.cpp,
	src/Gem/PixConvert.cpp, src/Gem/Settings.cpp, src/Gem/Setup.cpp,
	src/Gem/State.h, src/Output/gemglfw3window.cpp,
	src/Output/gemglxwindow.cpp, src/Pixes/pix_film.cpp,
	src/Pixes/pix_freeframe.cpp, src/Pixes/pix_frei0r.cpp,
	src/Utils/SIMD.cpp, src/plugins/film.cpp,
	src/plugins/imageloader.cpp, src/plugins/imagesaver.cpp,
	src/plugins/modelloader.cpp, src/plugins/record.cpp,
	src/plugins/video.cpp: use named loglevels

2026-05-06  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/plugins/video.cpp: video: print the usable plugins, not all Closes: https://github.com/umlaeute/Gem/issues/544

2026-05-06  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/plugins/film.cpp, src/plugins/imageloader.cpp,
	src/plugins/imagesaver.cpp, src/plugins/modelloader.cpp,
	src/plugins/record.cpp, src/plugins/video.cpp: pass "const
	std::string&" when possible

2026-05-05  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* .github/workflows/lint.yml: [ci] add github-workflow for basic
	sanity checks

2026-05-05  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* examples/Makefile.am: add
	examples/10.glsl/05.multitexture_and_multiple_coordinate.pd to the
	build-system

2026-05-05  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/iem-ci: [ci] udpate iem-ci submodule

2026-04-30  chnry <ch@chnry.net>

	* examples/10.glsl/05.multitexture.pd,
	examples/10.glsl/05.multitexture_basic.pd,
	examples/10.glsl/05.multitexture_bis.pd,
	examples/10.glsl/shader/multitexture.frag,
	examples/10.glsl/shader/multitexture.vert,
	examples/10.glsl/shader/multitexture_rect.frag,
	examples/10.glsl/shader/multitexture_rect.vert: -uniformize shaders
	-remove unnecessary loadbang -adapt the examples to the shaders

2026-04-30  chnry <ch@chnry.net>

	* examples/10.glsl/05.multitexture_and_multiple_coordinate.pd: add a
	multitexture example that work with diferent texture size

2026-04-30  chnry <ch@chnry.net>

	* src/Gem/State.cpp, src/Gem/State.h, src/Pixes/pix_texture.cpp,
	src/Pixes/pix_texture.h: using matrix to get the correct texture
	scale use gemstate key for the texture coordinate storage

2026-04-30  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* help/linear_path-help.pd, help/spline_path-help.pd: [*_path] see
	also [tabread4]

2026-04-30  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* help/linear_path-help.pd, help/spline_path-help.pd: [*_path] help:
	use local arrays

2026-04-30  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* help/linear_path-help.pd, help/spline_path-help.pd: [*_path]
	document "set" message

2026-04-30  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Base/GemPathBase.cpp: [{linear,spline}_path] rename 'open'
	message to 'set' as in [tabread] and friends

2026-04-30  Ben Wesch <benjamin.wesch@gmail.com>

	* help/linear_path-help.pd, help/spline_path-help.pd:
	[linear_path]/[spline_path]: fix 'see also' and document spline_path
	boundary points

2026-04-30  Ben Wesch <benjamin.wesch@gmail.com>

	* src/Utils/Functions.cpp: [linear_path]/[spline_path]: fix
	interpolation span boundaries

2026-04-29  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Manips/linear_path.cpp, src/Manips/linear_path.h,
	src/Manips/spline_path.cpp, src/Manips/spline_path.h:
	[linear_path]/[spline_path] adjust to new GemBasePath interface Closes: https://github.com/umlaeute/Gem/issues/540

2026-04-29  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Base/GemPathBase.cpp, src/Base/GemPathBase.h: GemPathBase: use
	gem::RTE::Array for the garray

2026-04-29  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Utils/Functions.cpp, src/Utils/Functions.h: Use
	gem::RTE::Array for interpolation functions

2026-04-29  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/RTE/Array.cpp, src/RTE/Array.h: constified gem::RTE::Array

2026-04-29  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/RTE/Array.cpp, src/RTE/Array.h: RTE/Array: include "Gem/RTE.h"
	for t_float

2026-04-29  IOhannes m zmölnig <zmoelnig@iem.at>

	* examples/02.advanced/10.LinearPath.pd,
	examples/02.advanced/11.SplinePath.pd: [linear_path]/[spline_path]
	simplify example patches

2026-04-28  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Base/GemPathBase.cpp, src/Base/GemPathBase.h:
	[linear_path]/[spline_path]: check existence of array whenver we
	access it Closes: https://github.com/umlaeute/Gem/issues/539

2026-04-28  IOhannes m zmölnig <zmoelnig@iem.at>

	* examples/01.basic/04.PrimTri.pd, examples/01.basic/05.cube.pd,
	examples/01.basic/06.sphere.pd, examples/01.basic/07.cylinder.pd,
	examples/01.basic/09.yelloTeapot.pd,
	examples/02.advanced/00.gemwin-subpatch.pd,
	examples/02.advanced/01.Separator.pd,
	examples/02.advanced/02.Ortho.pd, examples/02.advanced/03.View.pd,
	examples/02.advanced/03.View_OSD.pd,
	examples/02.advanced/04.Fog.pd, examples/02.advanced/05.Stereo.pd,
	examples/02.advanced/06.StereoParticle.pd,
	examples/02.advanced/07.Snapshot1.pd,
	examples/02.advanced/08.Snapshot2.pd,
	examples/02.advanced/09.SnapshotSave.pd,
	examples/02.advanced/10.LinearPath.pd,
	examples/02.advanced/11.SplinePath.pd,
	examples/02.advanced/12.Hsv.pd,
	examples/02.advanced/13.ModelRescale.pd,
	examples/02.advanced/14.RenderOrder.pd,
	examples/02.advanced/16.vertex_program.pd,
	examples/02.advanced/17.fragment_program.pd,
	examples/02.advanced/18.gl_shading_language.pd,
	examples/02.advanced/19.pointer.pd,
	examples/02.advanced/20.double-gemhead_vs_repeat.pd,
	examples/02.advanced/21.basic_LSystem.pd,
	examples/02.advanced/22.double-iterative.pd,
	examples/02.advanced/23.SplitScreen.pd,
	examples/02.advanced/24.query_GPU.pd,
	examples/02.advanced/25.feedback.pd: Cleanup example patches

2026-04-28  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/iem-ci: [ci] update .git-ci/iem-co submodule

2026-04-28  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Utils/GLUtil.cpp, src/openGL/GEMglReportError.cpp: report
	error-codes in hex (with zero-padding to 4 chars)

2026-04-22  chnry <ch@chnry.net>

	* src/Base/GemBase.cpp, src/Controls/gemhead.cpp,
	src/Gem/GLStack.cpp, src/Utils/GLUtil.cpp, src/Utils/GLUtil.h: Fix
	debugGL error tracking - make errors trackable via Ctrl+click - Added global variable to store current active object (gemhead)
	during rendering - Added setCurrentObject/getCurrentObject functions in GLUtil - Modified gemhead to set itself as current object during renderGL - Modified GLStack to use current object instead of NULL for error
	reporting - Added debugGL enabled flag to control when errors are displayed - Errors now appear in red and are Ctrl+click trackable when debugGL
	is enabled - Fixes https://github.com/umlaeute/Gem/issues/503

2026-04-22  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Base/CPPExtern.cpp: CPPExtern::post() now uses logpost()
	internally so we get a handle to the emitting object

2026-04-22  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Base/CPPExtern.cpp: simplify error() and verbose()

2026-04-21  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Manips/glsl_program.cpp: glsl_program: sanity checks for
	created program and infoLength Closes: https://github.com/umlaeute/Gem/issues/535

2026-04-21  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* examples/10.glsl/10.GPGPU_Physical_model.pd: modernize
	10.glsl/10.GPGPU_Physical_model

2026-04-17  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* abstractions/gemrepeat-help.pd,
	abstractions/pix_blobtracker-help.pd,
	abstractions/pix_buffer_filmopen-help.pd: Use [_gemwin] instead of
	[gemwin] in help-patches should we make the _gemwin abstraction a public object and use it
	throughout in the examples/ as well?

2026-04-21  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_set.cpp: fix typo: C++ booleans are lower case

2026-04-21  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_movie.cpp: fix recursion on [pix_movie] apply same fix as in pix_film

2026-04-21  IOhannes m zmölnig <zmoelnig@iem.at>

	* : commit d268a30371ce1b211c0eb89039f283267570557c Author: IOhannes
	m zmölnig <zmoelnig@iem.at> Date:   Tue Apr 21 16:51:35 2026 +0200

2026-04-21  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_set.cpp: whitespace

2026-04-21  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_set.cpp: pix_set: don't scale float

2026-04-21  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_set.cpp: pix_set: image parameters must not change
	without changing image data

2026-04-21  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_set.cpp: drop unused variable

2026-04-21  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_set.cpp: pix_set: error out on unknown data type

2026-04-21  IOhannes m zmölnig <zmoelnig@iem.at>

	* help/pix_set-help.pd: [pix_set] document "colorspace" message

2026-04-21  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_set.cpp, src/Pixes/pix_set.h: pix_set: "colorspace"
	message

2026-04-21  IOhannes m zmölnig <zmoelnig@iem.at>

	* help/pix_set-help.pd: [pix_set] document 'dimen' message

2026-04-21  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_set.cpp: pix_set: make "dimen" an alias for "set" or rather: vice-versa

2026-04-21  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_set.cpp: pix_set: group helper-functions together

2026-04-21  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_set.cpp: pix_set: simplified templating code

2026-04-21  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_set.cpp: pix_set: left-align initialization list

2026-04-21  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_set.cpp: whitespace

2026-04-21  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_data.cpp: pix_data: use conversion constants from
	PixConvert.h

2026-04-21  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_data.cpp: pix_data: drop useless templating

2026-04-21  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Base/GemBase.cpp: explicitly use the const version of
	GemContextData in switch()

2026-04-21  chnry <ch@chnry.net>

	* src/Pixes/pix_data.cpp: add grey and rgb compitilibity in FLOAT
	and DOUBLE.  (other exotic format are style working in BYTE mode)
	use Image.cpp coeficient for rgb->grey convertion

2026-04-21  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Base/GemContext.cpp: the first valid context is 1 Closes: https://github.com/umlaeute/Gem/issues/533 Closes:
	https://github.com/umlaeute/Gem/issues/534

2026-04-21  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Gem/VertexBuffer.cpp, src/Gem/VertexBuffer.h: gem::VBO make
	m_vbo context-aware

2026-04-21  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Gem/ContextData.h: Allow const access to gem::ContextData Closes: https://github.com/umlaeute/Gem/issues/536

2026-04-21  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Base/GemContext.cpp, src/Base/GemContext.h,
	src/Gem/ContextData.cpp, src/Gem/ContextData.h: getting context is a
	const operation

2026-04-21  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Gem/ContextData.cpp, src/Gem/ContextData.h: ContextData: make
	the current context an uint same as in gem::Context

2026-04-20  chnry <ch@chnry.net>

	* src/Pixes/pix_set.cpp, src/Pixes/pix_set.h: add gl_FLOAT and
	gl_DOUBLE compatibility

2026-04-20  chnry <ch@chnry.net>

	* src/Pixes/pix_data.cpp: add gl_FLOAT and gl_DOUBLE compatibillity

2026-04-15  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Gem/VertexBuffer.cpp, src/Gem/VertexBuffer.h: VertexBuffer:
	make vbo per-context Closes: https://github.com/umlaeute/Gem/issues/529

2026-04-15  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Geos/gemvertexbuffer.cpp, src/Geos/gemvertexbuffer.h:
	gemvertexbuffer: improve logic to re-create VBOs

2026-04-15  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Gem/model.cpp, src/Gem/model.h, src/Geos/model.h,
	src/Geos/multimodel.h: Drop "Gem/VertexBuffer.h" from Gem/model.h and include "Gem/GemGL.h" where appropriate

2026-04-15  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/plugins/modelloader.cpp, src/plugins/modelloader.h:
	modelloader-plugin: drop include of Gem/VertexBuffer.h

2026-04-15  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Geos/model.h, src/Geos/multimodel.h: (multi)model: drop leftover VBO methods and get rid of
	Gem/VertexBuffer include

2026-04-15  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Utils/GLUtil.cpp: glReportError(): print with prefix, even if
	there's no parent

2026-04-14  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/PIPEWIRE/Makefile.am,
	plugins/PIPEWIRE/pipewire-recordplugin.pd: Install help for
	recordPIPEWIRE

2026-04-14  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/PIPEWIRE/recordPIPEWIRE.cpp: recordPIPEWIRE: announce
	default MediaRole as "Source"

2026-04-14  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/PIPEWIRE/recordPIPEWIRE.cpp: recordPIPEWIRE: less verbose

2026-04-14  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/PIPEWIRE/recordPIPEWIRE.cpp: recordPIPEWIRE: prevent crash
	if there's no buffer

2026-04-14  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/PIPEWIRE/recordPIPEWIRE.cpp: recordPIPEWIRE: settable
	properties.

2026-04-14  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/plugins/PluginFactory.cpp: re-order plugin initialization "imageloader" triggers "film", which havocs the intended order.  now
	its more: "often used" -> "less used"

2026-04-11  chnry <ch@chnry.net>

	* src/Geos/surface3d.cpp: clean the normals computing (to fix edges
	case problems)

2026-04-11  Ben Wesch <benjamin.wesch@gmail.com>

	* help/surface3d-help.pd: apply cyrille's changes to surface3d help
	and simplify

2026-04-11  Ben Wesch <benjamin.wesch@gmail.com>

	* help/surface3d-help.pd: revise surface3d help patch

2026-04-10  Antoine Rousseau <_antoine_@metalu.net>

	* abstractions/gemkeyboard.pd, abstractions/gemkeyname.pd,
	abstractions/gemmouse.pd, abstractions/gemwin.pd,
	examples/14.multiple_windows/01.basic_example.pd,
	help/gemkeyboard-help.pd, help/gemkeyname-help.pd,
	help/gemmouse-help.pd:  [gemmouse] and [gemkey*]: support multiple windows - [gemwin] prepends messages to __gem with its context_name symbol - [gemmouse] and [gemkey*] filter messages from __gem with their own
	context name

2026-04-09  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Output/gemglfw3window.cpp: gemglfw3window: compat with
	GLFW<3.4

2026-04-09  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Output/gemglfw3window.cpp, src/Output/gemglfw3window.h:
	gemglfw3window: add argument to specify a platform hint Closes: https://github.com/umlaeute/Gem/issues/482

2026-04-09  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* abstractions/gemwin.pd: [gemwin] pass all unknown messages
	directly to [gemdefaultwindow]

2026-04-09  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/imageMAGICK/MagickCore.cpp,
	plugins/imageMAGICK/MagickPlusPlus.cpp: imageMAGICK: print errors to
	stderr Closes: https://github.com/umlaeute/Gem/issues/438

2026-03-29  Ben Wesch <benjamin.wesch@gmail.com>

	* src/Pixes/pix_zoom.cpp: pix_zoom: print deprecation info Closes: https://github.com/umlaeute/Gem/issues/506

2026-04-09  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_write.cpp, src/Pixes/pix_write.h: [pix_write] always
	grab RGBA data GL_LUMINANCE is not really a valid format (and yields highly
	saturated data)

2026-04-09  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/imageMAGICK/MagickPlusPlus.cpp: imageMAGICK++: fix writing
	of greyscale images Closes: https://github.com/umlaeute/Gem/issues/485

2026-03-28  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* abstractions/gemwin.pd: gemwin: triggerize, align, [select]

2026-03-21  Ben Wesch <benjamin.wesch@gmail.com>

	* src/Nongeos/spot_light.cpp, src/Nongeos/world_light.cpp: fix light
	initialization across multiple contexts

2026-03-21  Antoine Rousseau <_antoine_@metalu.net>

	* abstractions/gemmouse.pd, abstractions/gemwin.pd: store current
	window dimensions in [gemwin], so [gemmouse] can get them when
	created

2026-03-28  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* help/modelfiler-help.pd: [modelfiler] open -> read

2026-03-24  Ben Wesch <benjamin.wesch@gmail.com>

	* help/modelfiler-help.pd, src/Controls/modelfiler.cpp,
	src/Controls/modelfiler.h: rename 'open' to 'read' (still supporting
	'open' for compatibility)

2026-03-24  chnry <ch@chnry.net>

	* examples/15.openGL3.2/04.model.pd,
	examples/15.openGL3.2/shader/04.model.vert: using interleaved data
	to simplify the example

2026-03-21  Ben Wesch <benjamin.wesch@gmail.com>

	* src/Controls/modelfiler.cpp, src/Controls/modelfiler.h:
	modelfiler: remove creation args handling (there are none)

2026-03-21  Ben Wesch <benjamin.wesch@gmail.com>

	* src/Controls/modelfiler.cpp: modelfiler: clear target tables with
	0-arg messages and simplify logic

2026-03-21  Ben Wesch <benjamin.wesch@gmail.com>

	* help/modelfiler-help.pd, src/Controls/modelfiler.cpp: modelfiler:
	write interleaved data when given single table name

2026-03-19  Ben Wesch <benjamin.wesch@gmail.com>

	* src/Gem/VertexBuffer.cpp: avoid [gemglfw3window]: invalid
	enumerant [1280]

2026-03-18  Ben Wesch <benjamin.wesch@gmail.com>

	* src/Base/GemWindow.cpp: avoid crash for glGetError without context addresses a crash on macos when deleting a [gemwin]

2026-03-18  Ben Wesch <benjamin.wesch@gmail.com>

	* src/Geos/gemvertexbuffer.cpp, src/Geos/gemvertexbuffer.h:
	gemvertexbuffer: provide stopRendering() method tries to address the gemvertexbuffer crash when a gemwindow is
	created for the 2nd time

2026-03-18  Ben Wesch <benjamin.wesch@gmail.com>

	* plugins/imageIO/imageIO.mm: cast size_t dimensions to CGFloat avoid C++11 narrowing in CGRect init

2026-03-11  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Base/GemWinCreateXWin.cpp: actually do the buffer-overflow
	protection mentioned in the previous commit

2026-03-11  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Base/GemWinCreateXWin.cpp: make sure that generated string
	fits into buffer

2026-03-11  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Geos/imageVert.cpp, src/openGL/GEMglCopyTexSubImage1D.cpp:
	move member initialization from ctor to initlist

2026-02-25  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/gitlab-iem.yml: [ci] install all required FFMPEG-libraries do not trust dependencies.

2026-02-25  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/gitlab-iem.yml: [ci] touch files, rather than ignore
	errors

2026-02-25  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/gitlab-iem.yml: [ci] install libavformat-dev instead of
	libavcodec-dev

2026-02-25  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/gitlab-iem.yml: [ci] yamllint

2026-02-25  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/gitlab-iem.yml: [ci] fix yaml

2026-02-25  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/gitlab-iem.yml: [ci] properly add deb-src sources for old-style .list files, do not fail on errors handle new-style
	.sources files

2026-02-25  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/gitlab-iem.yml: [ci] Install FFMPEG headers

2026-01-24  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* examples/10.glsl/shader/additive.frag: remove trailing whitespace

2026-01-24  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* examples/02.advanced/25.feedback.pd,
	examples/10.glsl/17.light.pd,
	examples/10.glsl/shader/additive.frag,
	examples/10.glsl/shader/tri2fan.geom: fix more typos

2026-01-24  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* help/glsl-help.pd, help/part_render-help.pd,
	help/pix_background-help.pd, help/pix_data-help.pd,
	help/render_trigger-help.pd: fix some spelling mistakes

2026-01-24  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* help/pix_dump-help.pd: pix_dump: document the new "mode" message,
	rather than the old rgb/rgba messages

2026-01-24  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Pixes/pix_dump.cpp, src/Pixes/pix_dump.h: [pix_dump]: "mode"
	message [mode RGBA( replaces the [RGBA( message

2026-01-23  Antoine Rousseau <_antoine_@metalu.net>

	* help/pix_dump-help.pd: pix_dump: document 'rgb' and 'rgba'
	messages, missing in the help patch

2026-01-23  Antoine Rousseau <_antoine_@metalu.net>

	* src/Pixes/pix_dump.cpp: pix_dump: add missing comment in code

2026-01-22  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* plugins/imageIO/imageIO.mm: Fix typo

2026-01-22  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* plugins/imageIO/imageIO.mm: imageIO: use a device-dependent color
	space when loading images Closes: https://github.com/umlaeute/Gem/issues/514 Co-authored-by: Ben Wesch <benjamin.wesch@gmail.com> Co-authored-by:
	IOhannes m zmölnig <zmoelnig@iem.at>

2026-01-22  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* plugins/imageIO/imageIO.mm: assign and compare in a single line

2026-01-22  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* plugins/imageIO/imageIO.mm: initialize variables

2026-01-21  Antoine Rousseau <_antoine_@metalu.net>

	* src/Pixes/pix_dump.cpp: pix_dump: fix handing of dimensions - image width/height were swapped - final ROI height was wrongly calculated (x2-x1 in place of y2-y1)

2026-01-20  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* plugins/NDI/Makefile.am: Add new NDI-files to the buildsystem

2026-01-20  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/NDI/NDI/Processing.NDI.DynamicLoad.h,
	plugins/NDI/NDI/Processing.NDI.Find.h,
	plugins/NDI/NDI/Processing.NDI.FrameSync.h,
	plugins/NDI/NDI/Processing.NDI.Lib.cplusplus.h,
	plugins/NDI/NDI/Processing.NDI.Lib.h,
	plugins/NDI/NDI/Processing.NDI.Recv.ex.h,
	plugins/NDI/NDI/Processing.NDI.Recv.h,
	plugins/NDI/NDI/Processing.NDI.RecvAdvertiser.h,
	plugins/NDI/NDI/Processing.NDI.RecvListener.h,
	plugins/NDI/NDI/Processing.NDI.Routing.h,
	plugins/NDI/NDI/Processing.NDI.Send.h,
	plugins/NDI/NDI/Processing.NDI.compat.h,
	plugins/NDI/NDI/Processing.NDI.structs.h,
	plugins/NDI/NDI/Processing.NDI.utilities.h: Update to NDIv6

2025-11-05  IOhannes m zmölnig <zmoelnig@iem.at>

	* examples/Makefile.am: Install 09.openGL/06.clear_framebuffer.pd

2025-11-05  IOhannes m zmölnig <zmoelnig@iem.at>

	* examples/09.openGL/06.clear_framebuffer.pd: clear-framebuffer
	example: Use [_gemwin] also, i think creating a window on load is rude.

2025-11-05  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Controls/gemframebuffer.cpp: fix comments

2025-11-05  IOhannes m zmölnig <zmoelnig@iem.at>

	* help/gemframebuffer-help.pd: gemframebuffer: document "verbose"
	message

2025-11-05  IOhannes m zmölnig <zmoelnig@iem.at>

	* help/gemframebuffer-help.pd: gemframebuffer-help: alignment

2025-11-05  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Controls/gemframebuffer.cpp, src/Controls/gemframebuffer.h:
	[gemframebuffer] "verbose" message by default, the object is not silent (e.g. in initFBO())

2025-10-21  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Controls/gemframebuffer.cpp: [gemframebuffer] also show
	m_clear value

2025-10-21  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Controls/gemframebuffer.cpp: move comma to the beginning of
	initialization list

2025-10-21  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Controls/gemframebuffer.cpp: indentation

2025-10-17  chnry <ch@chnry.net>

	* examples/09.openGL/06.clear_framebuffer.pd: add an example of
	remanance

2025-10-17  chnry <ch@chnry.net>

	* help/gemframebuffer-help.pd: add this messages to the help file

2025-10-17  chnry <ch@chnry.net>

	* src/Controls/gemframebuffer.cpp, src/Controls/gemframebuffer.h:
	add 3 messages to gemframbuffer : - quality - repeat They are usually useless since a framebuffer is send to a
	texture, this flag can be set on the corresponding texture.
	however, when using the texunit message, this framebuffer can be
	accesed directlly from a shader.  In this situation this flag should
	be set directlly in the framebuffer.  a 3rd message is added : -clear it allow to disable the gl_clear
	function (color and depth buffer) This is usefull to add remanence
	to a buffer, without having to add an other (memory) buffer

2025-06-29  chnry <ch@chnry.net>

	* examples/02.advanced/25.feedback.pd, examples/Makefile.am: adding
	a new feedback example

2025-06-04  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/gitlab-iem.yml: [ci] try harder to install automake

2025-06-04  IOhannes m zmölnig <zmoelnig@iem.at>

	* examples/10.glsl/shader/GLSL_mix.frag: GLSL: Use 'textureSize'
	rather than 'textureSize2DRect' - it doesn't require the 'lod' parameter (for nvidia) - it does require openGL-3.0 (#version130) Closes: https://github.com/umlaeute/Gem/issues/505

2025-06-02  IOhannes m zmölnig <zmoelnig@iem.at>

	* examples/Makefile.am: Add new example to the build-system

2025-06-02  IOhannes m zmölnig <zmoelnig@iem.at>

	* examples/10.glsl/04.game_of_life_bis.pd: fix spelling errors

2025-05-30  chnry <ch@chnry.net>

	* examples/10.glsl/04.game_of_life_bis.pd: There was no feedback
	example that use framebuffer until now.

2025-05-06  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/gitlab-iem.yml: [ci] use default git-submodule depth

2025-05-06  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/gitlab-iem.yml: [ci] another fallback method to install
	gitlab-runner on homebrew

2025-05-06  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/gitlab-iem.yml: [ci] fix 'brew uninstall' invocation

2025-05-06  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/gitlab-iem.yml: [ci] force-uninstall zstd/xz/lz4 on macOS
	(so we can re-install them)

2025-04-30  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Pixes/pix_rtx.cpp: Fix crash with [pix_rtx] the buffer is really imagesize*xsize, rather than *ysize...  Closes: https://github.com/umlaeute/Gem/issues/501

2025-04-23  IOhannes m zmölnig <zmoelnig@iem.at>

	* abstractions/gemwin.pd, help/gemwin-help.pd: drop
	ambient/shininess/specular from [gemwin] Closes: https://github.com/umlaeute/Gem/issues/220

2025-04-22  chnry <ch@chnry.net>

	* src/Geos/sphere.cpp: use the correct drawing mode for the 1st part
	of the sphere

2025-04-22  IOhannes m zmölnig <zmoelnig@iem.at>

	* examples/15.openGL3.2/04.model.pd: GLSL/04.model use explicit
	tablenames for [modelfiler]

2025-04-22  IOhannes m zmölnig <zmoelnig@iem.at>

	* help/modelfiler-help.pd: [modelfiler]-help use explicit tablenames

2025-04-22  IOhannes m zmölnig <zmoelnig@iem.at>

	* help/Makefile.am: Add modelfiler-help to the buildsystem

2025-04-22  IOhannes m zmölnig <zmoelnig@iem.at>

	* : commit bd1d59955144b143a6904f1c2e7c2ae019fc3c52 Author: IOhannes
	m zmölnig <zmoelnig@iem.at> Date:   Tue Apr 22 15:00:19 2025 +0200

2025-04-22  IOhannes m zmölnig <zmoelnig@iem.at>

	* examples/15.openGL3.2/{09.tesel.pd => 09.tessellation.pd},
	examples/15.openGL3.2/shader/{09.tesel.frag =>
	09.tessellation.frag}, examples/15.openGL3.2/shader/{09.tesel.tesc
	=> 09.tessellation.tesc},
	examples/15.openGL3.2/shader/{09.tesel.tese =>
	09.tessellation.tese}, examples/15.openGL3.2/shader/{09.tesel.vert
	=> 09.tessellation.vert}, examples/Makefile.am: renamed "09.tesel"
	to "09.tesselation" and add new examples to build system

2025-04-22  IOhannes m zmölnig <zmoelnig@iem.at>

	* examples/15.openGL3.2/02.transformation.pd,
	examples/15.openGL3.2/03.matrix.pd,
	examples/15.openGL3.2/04.model.pd,
	examples/15.openGL3.2/07.geometry.pd,
	examples/15.openGL3.2/08.adjacency.pd,
	examples/15.openGL3.2/09.tesel.pd,
	examples/15.openGL3.2/shader/01.basic.vert,
	examples/15.openGL3.2/shader/02.transformation.vert: fix spelling
	mistakes

2025-04-22  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/GMERLIN/filmGMERLIN.cpp: gmerlin: fail to load movies with
	0x0 framesize Related: https://github.com/umlaeute/Gem/issues/481

2025-04-22  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/plugins/film.cpp: film: clear backends property before loading
	via to filmImage() so the "image" backend actually works Closes: https://github.com/umlaeute/Gem/issues/481

2025-04-22  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/plugins/film.cpp: whitespace

2025-04-22  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/plugins/film.cpp: film: enumerate actual useable plugins (in
	the correct order) not just the "available" plugins

2025-04-09  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_write.cpp: [pix_write] fix setting format Closes: https://github.com/umlaeute/Gem/issues/484

2025-04-22  cyrille henry <ch@chnry.net>

	* examples/02.advanced/24.query_GPU.pd, examples/Makefile.am: a new
	example to querry the GPU important information (#492) * a new example to querry the GPU important information * Fix typos and add query_GPU to build system also, GL_MAX_TEXTURE_SIZE returns a single value (rather than a
	pair) --------- Co-authored-by: IOhannes m zmölnig <zmoelnig@iem.at>

2025-04-20  chnry <ch@chnry.net>

	* examples/{15.OPENGL3.2 => 15.openGL3.2}/01.basic.pd,
	examples/{15.OPENGL3.2 => 15.openGL3.2}/02.transformation.pd,
	examples/{15.OPENGL3.2 => 15.openGL3.2}/03.matrix.pd,
	examples/{15.OPENGL3.2 => 15.openGL3.2}/04.model.pd,
	examples/{15.OPENGL3.2 => 15.openGL3.2}/05.texture.pd,
	examples/{15.OPENGL3.2 => 15.openGL3.2}/06.lighting.pd,
	examples/{15.OPENGL3.2 => 15.openGL3.2}/07.geometry.pd,
	examples/{15.OPENGL3.2 => 15.openGL3.2}/08.adjacency.pd,
	examples/{15.OPENGL3.2 => 15.openGL3.2}/09.tesel.pd,
	examples/{15.OPENGL3.2 => 15.openGL3.2}/shader/01.basic.frag,
	examples/{15.OPENGL3.2 => 15.openGL3.2}/shader/01.basic.vert,
	examples/{15.OPENGL3.2 =>
	15.openGL3.2}/shader/02.transformation.frag, examples/{15.OPENGL3.2
	=> 15.openGL3.2}/shader/02.transformation.vert,
	examples/{15.OPENGL3.2 => 15.openGL3.2}/shader/03.matrix.frag,
	examples/{15.OPENGL3.2 => 15.openGL3.2}/shader/03.matrix.vert,
	examples/{15.OPENGL3.2 => 15.openGL3.2}/shader/04.model.frag,
	examples/{15.OPENGL3.2 => 15.openGL3.2}/shader/04.model.vert,
	examples/{15.OPENGL3.2 => 15.openGL3.2}/shader/05.texture.frag,
	examples/{15.OPENGL3.2 => 15.openGL3.2}/shader/05.texture.vert,
	examples/{15.OPENGL3.2 => 15.openGL3.2}/shader/06.light.frag,
	examples/{15.OPENGL3.2 => 15.openGL3.2}/shader/06.light.vert,
	examples/{15.OPENGL3.2 => 15.openGL3.2}/shader/07.geometry.frag,
	examples/{15.OPENGL3.2 => 15.openGL3.2}/shader/07.geometry.geom,
	examples/{15.OPENGL3.2 => 15.openGL3.2}/shader/07.geometry.vert,
	examples/{15.OPENGL3.2 => 15.openGL3.2}/shader/08.adjacency.frag,
	examples/{15.OPENGL3.2 => 15.openGL3.2}/shader/08.adjacency.geom,
	examples/{15.OPENGL3.2 => 15.openGL3.2}/shader/08.adjacency.vert,
	examples/{15.OPENGL3.2 => 15.openGL3.2}/shader/09.tesel.frag,
	examples/{15.OPENGL3.2 => 15.openGL3.2}/shader/09.tesel.tesc,
	examples/{15.OPENGL3.2 => 15.openGL3.2}/shader/09.tesel.tese,
	examples/{15.OPENGL3.2 => 15.openGL3.2}/shader/09.tesel.vert: more
	comment in the shaders files

2025-04-20  chnry <ch@chnry.net>

	* examples/15.OPENGL3.2/09.tesel.pd,
	examples/15.OPENGL3.2/shader/09.tesel.frag,
	examples/15.OPENGL3.2/shader/09.tesel.tesc,
	examples/15.OPENGL3.2/shader/09.tesel.tese,
	examples/15.OPENGL3.2/shader/09.tesel.vert: teselarisation shader
	exemple

2025-04-20  chnry <ch@chnry.net>

	* src/openGL/GEMglPatchParameteri.cpp,
	src/openGL/GEMglPatchParameteri.h, src/openGL/Makefile.am: add a new
	wrapper for a specific openGL fonction that is mandatory for
	teselarisation shader

2025-04-20  chnry <ch@chnry.net>

	* abstractions/glsl.pd: put the shaders in the execution order

2025-04-20  chnry <ch@chnry.net>

	* src/Base/GemShape.cpp: add draw patch GL_PATCHES : it's mandatory
	for teselarisation shader.

2025-04-18  chnry <ch@chnry.net>

	* examples/15.OPENGL3.2/{08.adjency.pd => 08.adjacency.pd},
	examples/15.OPENGL3.2/shader/{08.adjency.frag =>
	08.adjacency.frag}, examples/15.OPENGL3.2/shader/{08.adjency.geom
	=> 08.adjacency.geom},
	examples/15.OPENGL3.2/shader/{08.adjency.vert => 08.adjacency.vert}:
	spelling : rename exemple

2025-04-18  chnry <ch@chnry.net>

	* examples/15.OPENGL3.2/07.geometry.pd: more explanation

2025-04-18  chnry <ch@chnry.net>

	* examples/15.OPENGL3.2/08.adjency.pd,
	examples/15.OPENGL3.2/shader/08.adjency.frag,
	examples/15.OPENGL3.2/shader/08.adjency.geom,
	examples/15.OPENGL3.2/shader/08.adjency.vert: new axample

2025-04-18  chnry <ch@chnry.net>

	* examples/15.OPENGL3.2/07.geometry.pd: cleanup

2025-04-18  chnry <ch@chnry.net>

	* examples/15.OPENGL3.2/03.matrix.pd: typo

2025-04-18  chnry <ch@chnry.net>

	* examples/15.OPENGL3.2/{08.geometry.pd => 07.geometry.pd},
	examples/15.OPENGL3.2/shader/{08.geometry.frag =>
	07.geometry.frag}, examples/15.OPENGL3.2/shader/{08.geometry.geom
	=> 07.geometry.geom},
	examples/15.OPENGL3.2/shader/{08.geometry.vert => 07.geometry.vert}:
	reorder example

2025-04-18  chnry <ch@chnry.net>

	* examples/15.OPENGL3.2/07.primitives.pd,
	examples/15.OPENGL3.2/VBOcircle.pd,
	examples/15.OPENGL3.2/VBOline-help.pd,
	examples/15.OPENGL3.2/VBOline.pd,
	examples/15.OPENGL3.2/VBOmesh_quad.pd,
	examples/15.OPENGL3.2/VBOmesh_tri.pd,
	examples/15.OPENGL3.2/VBOsquare.pd: removed because I can't find the
	best way to do VBO primitives

2025-04-18  chnry <ch@chnry.net>

	* src/Geos/gemvertexbuffer.cpp: comment a test that cause more
	problem that it solve.

2025-04-18  chnry <ch@chnry.net>

	* examples/15.OPENGL3.2/08.geometry.pd: cleanup

2025-04-18  chnry <ch@chnry.net>

	* examples/15.OPENGL3.2/06.lighting.pd,
	examples/15.OPENGL3.2/shader/06.light.frag,
	examples/15.OPENGL3.2/shader/06.light.vert: make this example to
	work : better default value, riwrite the shader more comments ...

2025-04-18  chnry <ch@chnry.net>

	* examples/15.OPENGL3.2/03.matrix.pd: simpler perspect matrix
	computation

2025-04-18  chnry <ch@chnry.net>

	* examples/15.OPENGL3.2/01.basic.pd,
	examples/15.OPENGL3.2/02.transformation.pd,
	examples/15.OPENGL3.2/03.matrix.pd,
	examples/15.OPENGL3.2/04.model.pd,
	examples/15.OPENGL3.2/05.texture.pd: cleanup

2025-04-18  chnry <ch@chnry.net>

	* examples/15.OPENGL3.2/04.model.pd: clean

2025-04-18  chnry <ch@chnry.net>

	* examples/15.OPENGL3.2/03.matrix.pd,
	examples/15.OPENGL3.2/shader/03.matrix.frag,
	examples/15.OPENGL3.2/shader/03.matrix.vert: clean and add a shader
	to display the various modification due to matrix transformation

2025-04-18  chnry <ch@chnry.net>

	* examples/15.OPENGL3.2/02.transformation.pd,
	examples/15.OPENGL3.2/03.matrix.pd,
	examples/15.OPENGL3.2/shader/02.transformation.frag,
	examples/15.OPENGL3.2/shader/02.transformation.vert,
	examples/15.OPENGL3.2/shader/04.model.frag,
	examples/15.OPENGL3.2/shader/04.model.vert,
	examples/15.OPENGL3.2/shader/05.texture.frag,
	examples/15.OPENGL3.2/shader/05.texture.vert,
	examples/15.OPENGL3.2/shader/06.light.frag,
	examples/15.OPENGL3.2/shader/06.light.vert,
	examples/15.OPENGL3.2/shader/08.geometry.frag,
	examples/15.OPENGL3.2/shader/08.geometry.geom,
	examples/15.OPENGL3.2/shader/08.geometry.vert: remove unused ; and
	use texfile cr mode to read a display shaders

2025-04-18  chnry <ch@chnry.net>

	* examples/15.OPENGL3.2/01.basic.pd,
	examples/15.OPENGL3.2/shader/01.basic.frag,
	examples/15.OPENGL3.2/shader/01.basic.vert: remove ";" and use
	textfile in "cr" mode to read the shader

2025-04-18  chnry <ch@chnry.net>

	* examples/15.OPENGL3.2/01.basic.pd: clean

2025-04-17  chnry <ch@chnry.net>

	* examples/15.OPENGL3.2/{05.matrix.pd => 03.matrix.pd},
	examples/15.OPENGL3.2/{03.texture.pd => 05.texture.pd},
	examples/15.OPENGL3.2/06.lighting.pd,
	examples/15.OPENGL3.2/08.geometry.pd,
	examples/15.OPENGL3.2/shader/{03.texture.frag => 05.texture.frag},
	examples/15.OPENGL3.2/shader/{03.texture.vert => 05.texture.vert},
	examples/15.OPENGL3.2/shader/{08.light.frag => 06.light.frag},
	examples/15.OPENGL3.2/shader/{08.light.vert => 06.light.vert},
	examples/15.OPENGL3.2/shader/{05.geometry.frag =>
	08.geometry.frag}, examples/15.OPENGL3.2/shader/{05.geometry.geom
	=> 08.geometry.geom},
	examples/15.OPENGL3.2/shader/{05.geometry.vert => 08.geometry.vert}:
	reorder examples

2025-04-17  chnry <ch@chnry.net>

	* examples/15.OPENGL3.2/VBOmesh_quad.pd,
	examples/15.OPENGL3.2/VBOmesh_tri.pd: new primitives based on VBO

2025-04-17  chnry <ch@chnry.net>

	* examples/15.OPENGL3.2/{06.matrix.pd => 05.matrix.pd},
	examples/15.OPENGL3.2/{08.lighting.pd => 06.lighting.pd},
	examples/15.OPENGL3.2/{05.geometry.pd => 08.geometry.pd},
	examples/15.OPENGL3.2/VBOcircle.pd: better init

2025-04-17  chnry <ch@chnry.net>

	* examples/15.OPENGL3.2/VBOcircle.pd: new circle pimitive using VBO

2025-04-17  chnry <ch@chnry.net>

	* examples/15.OPENGL3.2/VBOline.pd: cosmetic

2025-04-17  chnry <ch@chnry.net>

	* examples/15.OPENGL3.2/VBOsquare.pd: adding draw type

2025-04-17  chnry <ch@chnry.net>

	* examples/15.OPENGL3.2/01.basic.pd,
	examples/15.OPENGL3.2/02.transformation.pd,
	examples/15.OPENGL3.2/03.texture.pd,
	examples/15.OPENGL3.2/04.model.pd,
	examples/15.OPENGL3.2/05.geometry.pd,
	examples/15.OPENGL3.2/07.primitives.pd,
	examples/15.OPENGL3.2/08.lighting.pd: adding "text define" object to
	visualize the shader in the patch

2025-04-17  chnry <ch@chnry.net>

	* examples/15.OPENGL3.2/shader/01.basic.frag,
	examples/15.OPENGL3.2/shader/01.basic.vert,
	examples/15.OPENGL3.2/shader/02.transformation.frag,
	examples/15.OPENGL3.2/shader/02.transformation.vert,
	examples/15.OPENGL3.2/shader/03.texture.frag,
	examples/15.OPENGL3.2/shader/03.texture.vert,
	examples/15.OPENGL3.2/shader/04.model.frag,
	examples/15.OPENGL3.2/shader/04.model.vert,
	examples/15.OPENGL3.2/shader/05.geometry.frag,
	examples/15.OPENGL3.2/shader/05.geometry.geom,
	examples/15.OPENGL3.2/shader/05.geometry.vert,
	examples/15.OPENGL3.2/shader/08.light.frag,
	examples/15.OPENGL3.2/shader/08.light.vert: adding ; at every line,
	in order to be able to visualize the shader with a text object
	inside the example patch.

2025-04-17  chnry <ch@chnry.net>

	* examples/15.OPENGL3.2/VBOline-help.pd,
	examples/15.OPENGL3.2/VBOline.pd: add drawing type

2025-04-17  chnry <ch@chnry.net>

	* help/modelfiler-help.pd: 1st draft of a help file

2025-04-17  chnry <ch@chnry.net>

	* abstractions/_glsl.compile.pd: debug wrong connection

2025-04-17  chnry <ch@chnry.net>

	* examples/15.OPENGL3.2/shader/02.transformation.vert: clean

2025-04-17  chnry <ch@chnry.net>

	* examples/15.OPENGL3.2/08.lighting.pd: clean

2025-04-17  chnry <ch@chnry.net>

	* examples/15.OPENGL3.2/shader/08.light.vert: rotate also the normal
	of the model, so light apear fixed

2025-04-17  chnry <ch@chnry.net>

	* examples/15.OPENGL3.2/04.model.pd,
	examples/15.OPENGL3.2/shader/04.model.vert: remove unused variables

2025-04-17  chnry <ch@chnry.net>

	* examples/15.OPENGL3.2/08.lighting.pd,
	examples/15.OPENGL3.2/shader/08.light.frag,
	examples/15.OPENGL3.2/shader/08.light.vert: Lighting example using
	Blinn Phong model

2025-04-17  chnry <ch@chnry.net>

	* examples/15.OPENGL3.2/04.model.pd,
	examples/15.OPENGL3.2/shader/04.model.frag: simplify the example

2025-04-17  chnry <ch@chnry.net>

	* examples/15.OPENGL3.2/01.basic.pd,
	examples/15.OPENGL3.2/02.transformation.pd,
	examples/15.OPENGL3.2/03.texture.pd,
	examples/15.OPENGL3.2/04.model.pd: use the glsl abstraction

2025-04-17  chnry <ch@chnry.net>

	* examples/15.OPENGL3.2/01.basic.pd,
	examples/15.OPENGL3.2/02.transformation.pd,
	examples/15.OPENGL3.2/03.texture.pd,
	examples/15.OPENGL3.2/04.model.pd,
	examples/15.OPENGL3.2/05.geometry.pd,
	examples/15.OPENGL3.2/06.matrix.pd: comments

2025-04-17  chnry <ch@chnry.net>

	* abstractions/glsl.pd: comments and clean

2025-04-17  chnry <ch@chnry.net>

	* abstractions/_glsl.compile.pd, examples/{15.GLSL4 =>
	15.OPENGL3.2}/01.basic.pd, examples/{15.GLSL4 =>
	15.OPENGL3.2}/02.transformation.pd, examples/{15.GLSL4 =>
	15.OPENGL3.2}/03.texture.pd, examples/{15.GLSL4 =>
	15.OPENGL3.2}/04.model.pd, examples/{15.GLSL4 =>
	15.OPENGL3.2}/05.geometry.pd, examples/{15.GLSL4 =>
	15.OPENGL3.2}/06.matrix.pd, examples/{15.GLSL4 =>
	15.OPENGL3.2}/07.primitives.pd, examples/{15.GLSL4 =>
	15.OPENGL3.2}/VBOline-help.pd, examples/{15.GLSL4 =>
	15.OPENGL3.2}/VBOline.pd, examples/{15.GLSL4 =>
	15.OPENGL3.2}/VBOsquare.pd, examples/{15.GLSL4 =>
	15.OPENGL3.2}/shader/01.basic.frag, examples/{15.GLSL4 =>
	15.OPENGL3.2}/shader/01.basic.vert, examples/{15.GLSL4 =>
	15.OPENGL3.2}/shader/02.transformation.frag, examples/{15.GLSL4 =>
	15.OPENGL3.2}/shader/02.transformation.vert, examples/{15.GLSL4 =>
	15.OPENGL3.2}/shader/03.texture.frag, examples/{15.GLSL4 =>
	15.OPENGL3.2}/shader/03.texture.vert, examples/{15.GLSL4 =>
	15.OPENGL3.2}/shader/04.model.frag, examples/{15.GLSL4 =>
	15.OPENGL3.2}/shader/04.model.vert, examples/{15.GLSL4 =>
	15.OPENGL3.2}/shader/05.geometry.frag, examples/{15.GLSL4 =>
	15.OPENGL3.2}/shader/05.geometry.geom, examples/{15.GLSL4 =>
	15.OPENGL3.2}/shader/05.geometry.vert: better way to exclude
	multiple print when shader is not loaded

2025-04-16  chnry <ch@chnry.net>

	* examples/15.GLSL4/VBOline-help.pd, examples/15.GLSL4/VBOline.pd,
	examples/15.GLSL4/VBOsquare.pd: new primitives using VBO to use with
	shaders

2025-04-16  chnry <ch@chnry.net>

	* examples/15.GLSL4/07.primitives.pd: new example that test various
	primitives made with VBO

2025-04-16  chnry <ch@chnry.net>

	* src/Geos/gemvertexbuffer.cpp: the size of the buffer depend of the
	dimention of the data stored

2025-04-16  chnry <ch@chnry.net>

	* examples/15.GLSL4/05.geometry.pd: add information about openGL
	drawing type

2025-04-16  chnry <ch@chnry.net>

	* examples/15.GLSL4/05.geometry.pd,
	examples/15.GLSL4/shader/{geometry.frag => 05.geometry.frag},
	examples/15.GLSL4/shader/{geometry.geom => 05.geometry.geom},
	examples/15.GLSL4/shader/{geometry.vert => 05.geometry.vert}: rename
	the shader to fit other examples template

2025-04-16  chnry <ch@chnry.net>

	* examples/15.GLSL4/05.geometry.pd: use triangle_strip for the input
	and reduce the array size

2025-04-16  chnry <ch@chnry.net>

	* examples/15.GLSL4/06.matrix.pd: example to explore the various
	matrix used

2025-04-16  chnry <ch@chnry.net>

	* examples/15.GLSL4/05.geometry.pd,
	examples/15.GLSL4/shader/geometry.frag,
	examples/15.GLSL4/shader/geometry.geom,
	examples/15.GLSL4/shader/geometry.vert: geometry shader example.
	This one is not impressive, but it works!

2025-04-16  chnry <ch@chnry.net>

	* abstractions/_glsl.compile.pd: do not forward print message if the
	shader is not loaded

2025-04-16  chnry <ch@chnry.net>

	* src/Manips/glsl_geometry.cpp: increase range of GPU that can load
	geometry shaders

2025-04-14  chnry <ch@chnry.net>

	* abstractions/_glsl.compile.pd: do not pass the print message to
	next shader

2025-03-31  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* examples/Makefile.am: Drop [_glsl] helper from examples/10.glsl/

2025-03-31  IOhannes m zmölnig <zmoelnig@iem.at>

	* examples/10.glsl/01.simple_texture.pd,
	examples/10.glsl/02.primitive_distortion.pd,
	examples/10.glsl/03.texture_distortion.pd,
	examples/10.glsl/04.game_of_life.pd,
	examples/10.glsl/05.multitexture.pd,
	examples/10.glsl/05.multitexture_basic.pd,
	examples/10.glsl/05.multitexture_bis.pd,
	examples/10.glsl/06.rectangle_multitexture.pd,
	examples/10.glsl/07.framebuffer_and_shader.pd,
	examples/10.glsl/08.multi_pass_rendering.pd,
	examples/10.glsl/09.vertex_texture_fetching.pd,
	examples/10.glsl/11.geometry.pd, examples/10.glsl/12.tri2fan.pd,
	examples/10.glsl/13.panoramique.pd,
	examples/10.glsl/15.bicubic_image_interpolation.pd,
	examples/10.glsl/16.vertexbuffer_attributes.pd,
	examples/10.glsl/17.light.pd,
	examples/10.glsl/18.additive_audio_synthesis.pd,
	examples/10.glsl/_glsl.pd, examples/10.glsl/_glsl_f.pd,
	examples/10.glsl/_glsl_vgf.pd, examples/10.glsl/single_blur.pd: GLSL
	examples: use [glsl]

2025-03-31  IOhannes m zmölnig <zmoelnig@iem.at>

	* help/Makefile.am, help/glsl-help.pd, help/glsl_test.frag,
	help/glsl_test.vert: Document [glsl]

2025-03-31  IOhannes m zmölnig <zmoelnig@iem.at>

	* abstractions/Makefile.am, abstractions/_glsl.compile.pd,
	abstractions/glsl.pd: GLSL helper

2025-03-31  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_snap2tex.cpp: pix_snap2tex: don't snap if there's no
	texture object Closes: https://github.com/umlaeute/Gem/issues/477

2025-03-31  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Gem/GLStack.cpp: push/pop all texture units Closes: https://github.com/umlaeute/Gem/issues/478

2025-03-31  IOhannes m zmölnig <zmoelnig@iem.at>

	* help/gemcubeframebuffer-help.pd: gemcubeframebuffer: force 'alpha'
	uniform to 1.0 seems like on re-loading a shader, default values (as specified in
	the shader) don't work anymore...  Closes: https://github.com/umlaeute/Gem/issues/480

2025-03-31  IOhannes m zmölnig <zmoelnig@iem.at>

	* help/gemcubeframebuffer-help.pd: cleaned up [gemcubeframebuffer]
	help

2025-03-31  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Base/GemBase.cpp, src/Base/GemWindow.cpp: use
	gem::utils::gl::glReportError(CPPExtern*)

2025-03-31  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Utils/GLUtil.cpp, src/Utils/GLUtil.h: glReportError() helper
	for reporting openGL errors in a CPPExtern

2025-03-31  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Controls/gemcubeframebuffer.cpp,
	src/Controls/gemframebuffer.cpp: [gem*framebuffer] reset active
	texture in postrender Closes: https://github.com/umlaeute/Gem/issues/479 Closes:
	https://github.com/umlaeute/Gem/issues/478

2025-03-31  IOhannes m zmölnig <zmoelnig@iem.at>

	* examples/10.glsl/01.simple_texture.pd,
	examples/10.glsl/02.primitive_distortion.pd,
	examples/10.glsl/03.texture_distortion.pd,
	examples/10.glsl/04.game_of_life.pd,
	examples/10.glsl/05.multitexture.pd,
	examples/10.glsl/05.multitexture_basic.pd,
	examples/10.glsl/05.multitexture_bis.pd,
	examples/10.glsl/06.rectangle_multitexture.pd,
	examples/10.glsl/07.framebuffer_and_shader.pd,
	examples/10.glsl/08.multi_pass_rendering.pd,
	examples/10.glsl/09.vertex_texture_fetching.pd,
	examples/10.glsl/10.GPGPU_Physical_model.pd,
	examples/10.glsl/11.geometry.pd, examples/10.glsl/12.tri2fan.pd,
	examples/10.glsl/13.panoramique.pd, examples/10.glsl/14.blur.pd,
	examples/10.glsl/15.bicubic_image_interpolation.pd,
	examples/10.glsl/16.vertexbuffer_attributes.pd,
	examples/10.glsl/17.light.pd,
	examples/10.glsl/18.additive_audio_synthesis.pd,
	examples/10.glsl/_glsl.pd, examples/10.glsl/_glsl_f.pd,
	examples/10.glsl/_glsl_vgf.pd, examples/10.glsl/single_blur.pd:
	Cleaned up GLSL examples

2025-03-31  IOhannes m zmölnig <zmoelnig@iem.at>

	* examples/10.glsl/shader/GLSL_mix.frag: Pass lod to
	textureSize2DRect otherwise the shader won't compile...

2025-03-28  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Base/GemWindow.cpp: and clear openGL errors when triggering
	render in [gemwin]

2025-03-28  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/openGL/GEMglReportError.cpp: [GEMglReportError] report all
	errors in the queue

2025-03-28  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* abstractions/gemwin.pd: [gemwin]: use [polygon] to draw line this somehow gets rid of an openGL error...

2025-03-28  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Base/GemBase.cpp: clear the entire error-queue

2025-03-28  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Utils/GLUtil.cpp: GL/GLU suffix for our own openGL error
	messages

2025-03-28  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* examples/02.advanced/04.Fog.pd,
	examples/02.advanced/05.Stereo.pd,
	examples/02.advanced/23.SplitScreen.pd: minor improviements for
	examples

2025-03-27  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Manips/glsl_program.cpp, src/Manips/glsl_program.h:
	[glsl_program] unlink program on stopRendering Closes: https://github.com/umlaeute/Gem/issues/476

2025-03-27  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Base/GemContext.cpp: GemContext: initialize set active texture fixes the "stack underflow" issue in the GLSL examples Related:
	https://github.com/umlaeute/Gem/issues/476

2025-03-27  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Base/GemContext.cpp: cleanup PIMPL

2025-03-27  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Base/GemContext.cpp: use helper to initialize maxStackDepth in
	GemContext

2025-03-27  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/openGL/GEMglReportError.cpp: [GEMglReportError] make error
	trackable

2025-03-27  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Geos/GemSplash.cpp: fix re-entrancy for GemSplash::debugGL

2025-03-27  IOhannes m zmölnig <zmoelnig@iem.at>

	* help/Gem-help.pd, src/Geos/GemSplash.cpp: document debugGL message and use "Gem-help" as the helppatch for the [Gem] objects (aka
	[GemSplash])

2025-03-27  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Geos/GemSplash.cpp: Gem: forward [debugGL( messages to all Gem
	objects Closes: https://github.com/umlaeute/Gem/issues/475

2025-03-27  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Base/GemBase.cpp: per-object "debugGL" message to track down
	openGL errors Related: https://github.com/umlaeute/Gem/issues/475

2025-03-27  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Gem/Manager.h: whitespace

2025-03-27  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Utils/GLUtil.cpp, src/Utils/GLUtil.h: glErrorString() helpers

2025-03-27  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Base/GemBase.cpp: GemBase: reference to parent in PIMPL

2025-03-27  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Base/GemBase.cpp, src/Base/GemBase.h: remove
	GemBase::gem_MessCallback() from header

2025-03-27  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Base/GemBase.cpp, src/Base/GemBase.h: GemBase: use private
	date into PIMPL

2025-03-20  IOhannes m zmölnig <zmoelnig@iem.at>

	* configure.ac, m4/gem.m4, plugins/HALCON/halcon.m4,
	plugins/PYLON/pylon.m4: replace AC_HELP_STRING with AS_HELP_STRING

2025-03-26  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Pixes/pix_multiimage.h: whitespace

2025-03-26  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Pixes/pix_test.cpp, src/Pixes/pix_test.h: consistent naming:
	m_pix -> m_pixBlock

2025-03-26  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Pixes/pix_set.cpp: properly pass a *pointer* to the old
	pixBlock Closes: https://github.com/umlaeute/Gem/issues/473

2025-03-17  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* plugins/V4L2/videoV4L2.cpp: V4L2: exit if format could not be
	negotiated

2025-03-17  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* plugins/V4L2/videoV4L2.cpp: V4L2: move decorations to debugPrint()

2025-03-17  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* plugins/V4L2/videoV4L2.cpp: V4L2: initialize fd to -1

2025-03-17  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* plugins/V4L2/videoV4L2.cpp: v4l2: if STREAMON fails, close device

2025-03-17  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* plugins/V4L2/videoV4L2.cpp: V4L2: stop enumerating private ctrls
	on error Closes: https://github.com/umlaeute/Gem/issues/468

2025-03-01  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* extra/pix_artoolkit/pix_artoolkit.cpp: pix_artoolkit: fix image
	member "not owned"

2025-03-17  IOhannes m zmölnig <zmoelnig@iem.at>

	* : commit b6260e805151570fe1f52746374e76ead16aa85f Author: IOhannes
	m zmölnig <zmoelnig@iem.at> Date:   Mon Mar 17 17:06:26 2025 +0100

2025-03-17  IOhannes m zmölnig <zmoelnig@iem.at>

	* help/Makefile.am, help/_textbbox-help.pd, help/_textbbox.pd:
	helper to render text's bboxes

2025-03-17  IOhannes m zmölnig <zmoelnig@iem.at>

	* examples/10.glsl/03.texture_distortion.pd,
	examples/10.glsl/04.game_of_life.pd,
	examples/10.glsl/05.multitexture.pd,
	examples/10.glsl/05.multitexture_basic.pd,
	examples/10.glsl/05.multitexture_bis.pd,
	examples/10.glsl/06.rectangle_multitexture.pd: drop *some* of too
	early linking of GLSL shaders simply getting rid of the [t b b] that triggered a re-linking when
	any of the shaders changed, even if the other is not ready yet...  older versions of Gem complained when linking a "0"-shader

2025-03-17  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Manips/glsl_program.cpp: ony output error for unknown shaderID
	if the input number could be valid Closes: https://github.com/umlaeute/Gem/issues/467

2025-03-17  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Base/GemGLBase.h: Use a generic GEMgl-help for all [GEMgl...]
	wrappers See:
	https://github.com/umlaeute/Gem/issues/466#issuecomment-2728960968

2025-03-17  IOhannes m zmölnig <zmoelnig@iem.at>

	* help/GEMgl-help.pd, help/GEMglBegin-help.pd, help/Makefile.am:
	Generic help-patch for [GEMgl...] objects

2025-03-17  IOhannes m zmölnig <zmoelnig@iem.at>

	* examples/09.openGL/03.stencilBuffer.pd: slightly simplify
	stencilBuffer example

2025-03-17  chnry <ch@chnry.net>

	* help/text2d-help.pd, help/text3d-help.pd,
	help/textextruded-help.pd, help/textoutline-help.pd: adding the bbox
	information on text examples

2025-02-14  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* examples/07.texture/{11.floatingpoint_framebuffer.pd =>
	12.floatingpoint_framebuffer.pd}, examples/Makefile.am: Rename
	floatpoint_framebuffer example and add it to the build-system

2025-02-13  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* examples/10.glsl/18.additive_audio_synthesis.pd:
	examples/glsl/audio: make sure that [gemframebuffer] uses RGBA32F

2025-02-13  IOhannes m zmölnig <zmoelnig@iem.at>

	* examples/07.texture/11.floatingpoint_framebuffer.pd: simple
	floating-point framebuffer example LATER make it better (with shaders,...)

2025-02-13  IOhannes m zmölnig <zmoelnig@iem.at>

	* help/Makefile.am: Add help-patches for [part_information] and
	[part_move] to buildsystem

2025-02-13  IOhannes m zmölnig <zmoelnig@iem.at>

	* help/gemframebuffer-help.pd: gemframebuffer-help: use [_gemwin]

2024-10-10  Timothy Schoen <44585538+timothyschoen@users.noreply.github.com>

	* src/Controls/gemframebuffer.cpp: Prevent deleting a non-existent
	framebuffer

2025-02-13  IOhannes m zmölnig <zmoelnig@iem.at>

	* help/part_info-help.pd, help/part_information-help.pd,
	help/part_move-help.pd: (Updated) help-patches for [part_info], [part_information] and
	[part_move]

2025-02-13  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Particles/part_information.cpp,
	src/Particles/part_information.h: [part_information] use std::vector
	rather than manually allocated arrays

2025-02-13  IOhannes m zmölnig <zmoelnig@iem.at>

	* abstractions/Makefile.am, abstractions/part_info.pd: [part_info]
	compat abstraction

2025-02-13  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Particles/Makefile.am, src/Particles/{part_info.cpp =>
	part_information.cpp}, src/Particles/{part_info.h =>
	part_information.h}: Rename [part_info] to [part_information] and
	strip the pMove() Closes: https://github.com/umlaeute/Gem/pull/459

2025-02-13  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Particles/Makefile.am, src/Particles/part_move.cpp,
	src/Particles/part_move.h: [part_move] object that moves particles and does nothing else

2024-10-10  Timothy Schoen <timschoen123@gmail.com>

	* src/Gem/model.cpp, src/Gem/model.h, src/Geos/model.cpp,
	src/Geos/model.h: Fix crash when reloading model

2025-02-13  IOhannes m zmölnig <zmoelnig@iem.at>

	* .gitignore: .gitignore directories starting with underscore which is where *I* put out-of-tree builds

2025-02-13  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/RTE/Array.cpp: disable deprecation awrning for garray_resize() garray_resize() is only a fallback if garray_resize_long() is not
	available

2025-02-13  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Gem/Manager.cpp: unconditionally replace clock_getsystime()
	with clock_getlogicaltime()

2025-02-13  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/ASSIMP2/modelASSIMP2.cpp,
	plugins/ASSIMP3/modelASSIMP3.cpp, plugins/AVI/filmAVI.cpp,
	plugins/AVT/videoAVT.cpp, plugins/DC1394/videoDC1394.cpp,
	plugins/DECKLINK/decklink_common.h,
	plugins/DECKLINK/recordDECKLINK.cpp,
	plugins/DECKLINK/videoDECKLINK.cpp, plugins/DV4L/videoDV4L.cpp,
	plugins/FFMPEG/filmFFMPEG.cpp, plugins/GMERLIN/filmGMERLIN.cpp,
	plugins/HALCON/videoHALCON.cpp, plugins/MPEG3/filmMPEG3.cpp,
	plugins/NDI/init_ndi_library.hh, plugins/NDI/recordNDI.cpp,
	plugins/NDI/videoNDI.cpp, plugins/OBJ/modelOBJ.cpp,
	plugins/OBJ/model_loader.cpp, plugins/PNM/recordPNM.cpp,
	plugins/PYLON/videoPYLON.cpp, plugins/QT4L/filmQT4L.cpp,
	plugins/QT4L/recordQT4L.cpp, plugins/QuickTime/filmQT.cpp,
	plugins/QuickTime/imageQT.cpp, plugins/QuickTime/recordQT.cpp,
	plugins/TIFF/imageTIFF.cpp, plugins/UNICAP/videoUNICAP.cpp,
	plugins/V4L/videoV4L.cpp, plugins/V4L2/recordV4L2.cpp,
	plugins/V4L2/videoV4L2.cpp, plugins/VFW/videoVFW.cpp,
	plugins/VIDS/videoVIDS.cpp, plugins/VLC/videoVLC.cpp,
	plugins/filmDS/filmDS.cpp, plugins/filmDSATL/filmDS.cpp,
	plugins/filmDarwin/filmDarwin.cpp,
	plugins/imageMAGICK/MagickCore.cpp,
	plugins/imageMAGICK/MagickPlusPlus.cpp,
	plugins/videoAVF/AVFVideoGrabber.mm, plugins/videoDS/videoDS.cpp,
	plugins/videoDarwin/videoDarwin.cpp, plugins/videoSGI/videoSGI.cpp,
	src/Base/CPPExtern.cpp, src/Gem/ImageLoad.cpp, src/Gem/Manager.cpp,
	src/Gem/PixConvert.cpp, src/Gem/Settings.cpp, src/Gem/Setup.cpp,
	src/Gem/State.h, src/Output/gemglfw3window.cpp,
	src/Output/gemglxwindow.cpp, src/Pixes/pix_film.cpp,
	src/Pixes/pix_freeframe.cpp, src/Pixes/pix_frei0r.cpp,
	src/Utils/SIMD.cpp, src/plugins/film.cpp,
	src/plugins/imageloader.cpp, src/plugins/imagesaver.cpp,
	src/plugins/modelloader.cpp, src/plugins/record.cpp,
	src/plugins/video.cpp: unconditionally replace verbose() with
	logpost()

2025-02-11  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/GMERLIN/filmGMERLIN.h: filmGMERLIN: don't use frametables
	for newer gmerlin

2025-02-11  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/GMERLIN/filmGMERLIN.cpp: filmGMERLIN: use
	bgav_seek_to_video_frame() where supported

2025-02-11  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/GMERLIN/filmGMERLIN.cpp, plugins/GMERLIN/filmGMERLIN.h:
	filemGMERLIN: use #if USE_FRAMETABLE rather than #ifdef

2025-02-11  IOhannes m zmölnig <zmoelnig@iem.at>

	* configure.ac: check for new gmerlin-avdecoder functions

2025-02-11  IOhannes m zmölnig <zmoelnig@iem.at>

	* configure.ac: use IEM_CHECK_FUNCS to check for additional lqt
	functions

2025-02-11  IOhannes m zmölnig <zmoelnig@iem.at>

	* m4/iem.m4: IEM_CHECK_FUNCS helper

2025-02-11  IOhannes m zmölnig <zmoelnig@iem.at>

	* m4/gem.m4: m4: new style quotes

2025-02-04  IOhannes m zmölnig <zmoelnig@iem.at>

	* help/pix_record-help.pd: pix_record-help: connect the actual
	object!

2025-02-04  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/NDI/NDI-recordplugin.pd,
	plugins/V4L2/v4l2-recordplugin.pd: [pix_record] has a "file"
	message, not a "filename" message

2025-01-05  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Output/Makefile.am: add "--tag=CXX" to libtoolflags for ObjC++
	Output objects as well Closes: https://github.com/umlaeute/Gem/issues/431 LATER: check if the ugly hacks in src/Output/Makefile.am:L116-138
	are still needed

2024-12-28  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* plugins/filmAVF/Makefile.am, plugins/imageIO/Makefile.am,
	plugins/videoAVF/Makefile.am: add "--tag=CXX" to libtoolflags for
	ObjC++-plugins Closes: https://github.com/umlaeute/Gem/issues/431

2024-11-30  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* .git-ci/gitlab-iem.yml: [ci] yet another macOS date parsing fix

2024-11-30  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* .git-ci/gitlab-iem.yml: [ci] workaround macOS date quirks for
	parsing ISO-8601

2024-11-30  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* .git-ci/gitlab-iem.yml: set SOURCE_DATE_EPOCH from
	CI_COMMIT_TIMESTAMP

2024-11-30  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* .git-ci/gitlab-iem.yml: Install git on Linux builders to get a nice build-string

2024-11-30  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Pixes/pix_dump.cpp: pix_dump: fix double indirection when
	getting color channels Closes: https://github.com/umlaeute/Gem/issues/456

2024-11-30  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Pixes/pix_dump.cpp: [pix_dump] specify channels for RGB-output

2024-11-07  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Output/gemglxwindow.cpp: glx: grab the keyboard when in fs Closes: https://github.com/umlaeute/Gem/issues/454

2024-11-07  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Output/gemglxwindow.cpp: set default override_redirect

2024-11-07  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Output/gemglxwindow.cpp: glx: only set the flags once (they
	are the same for fullscreen and w/o border

2024-10-25  Antoine Villeret <antoine@makula.be>

	* src/RTE/Makefile.am: install missing Atom.h

2024-09-26  IOhannes m zmölnig <zmoelnig@iem.at>

	* examples/10.glsl/18.additive_audio_synthesis.pd: spelling

2024-09-26  IOhannes m zmölnig <zmoelnig@iem.at>

	* : commit e0504ea898d15e33d130518310281db40bbeb5e4 Author: IOhannes
	m zmölnig <zmoelnig@iem.at> Date:   Thu Sep 26 15:17:47 2024 +0200

2024-09-26  chnry <ch@chnry.net>

	* examples/10.glsl/18.additive_audio_synthesis.pd: add a missing
	"quality 0" fix typo

2024-09-26  chnry <ch@chnry.net>

	* examples/10.glsl/18.additive_audio_synthesis.pd: add a pop
	protection and clean the rendering with double buffering

2024-09-26  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/gitlab-iem.yml: [ci] ensure that 'libtool' is installed

2024-09-26  IOhannes m zmölnig <zmoelnig@iem.at>

	* examples/Makefile.am: Add GLSL audio synth example to build-system

2024-09-26  chnry <ch@chnry.net>

	* examples/10.glsl/18.additive_audio_synthesis.pd,
	examples/10.glsl/shader/additive.frag: FLOAT output version of the
	shader it did not work for me, but it should

2024-09-25  chnry <ch@chnry.net>

	* examples/10.glsl/shader/additive.frag: small debug that help on
	osX

2024-09-25  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* examples/10.glsl/18.additive_audio_synthesis.pd: Add volume slider
	and use spaces in OSD

2024-09-25  chnry <ch@chnry.net>

	* examples/10.glsl/18.additive_audio_synthesis.pd,
	examples/10.glsl/shader/additive.frag: small debug and remove custom
	abstraction

2024-09-25  chnry <ch@chnry.net>

	* examples/10.glsl/18.additive_audio_synthesis.pd,
	examples/10.glsl/shader/additive.frag,
	examples/10.glsl/shader/additive.vert: massive additive audio
	syntesis in the GPU

2024-09-24  IOhannes m zmölnig <zmoelnig@iem.at>

	* examples/Makefile.am: Add basic multitexture example to
	build-system

2024-09-24  chnry <ch@chnry.net>

	* examples/10.glsl/05.multitexture_basic.pd: most simple
	multitexture example

2024-08-12  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Geos/cylinder.cpp, src/Geos/disk.cpp: fix line/point rendering
	of [disk] and [cylinder] (esp with textures)

2024-08-12  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Geos/sphere.cpp, src/Geos/sphere3d.cpp: fix line/point
	rendering for [sphere] and [sphere3d] rather than having different code-paths for the various drawtypes,
	we just set the glPolygonMode() (as with [torus] and friends) Closes: https://github.com/umlaeute/Gem/issues/435

2024-06-27  IOhannes m zmölnig <zmoelnig@iem.at>

	* help/GLdefine-help.pd, help/accumrotate-help.pd,
	help/alpha-help.pd, help/ambient-help.pd, help/ambientRGB-help.pd,
	help/circle-help.pd, help/color-help.pd, help/colorRGB-help.pd,
	help/colorSquare-help.pd, help/cone-help.pd, help/cube-help.pd,
	help/cuboid-help.pd, help/curve-help.pd, help/curve3d-help.pd,
	help/cylinder-help.pd, help/depth-help.pd, help/diffuse-help.pd,
	help/diffuseRGB-help.pd, help/disk-help.pd, help/emission-help.pd,
	help/emissionRGB-help.pd, help/fragment_program-help.pd,
	help/gemframebuffer-help.pd, help/gemhead-help.pd,
	help/gemkeyboard-help.pd, help/gemkeyname-help.pd,
	help/gemlist-help.pd, help/gemlist_info-help.pd,
	help/gemlist_matrix-help.pd, help/gemmanager-help.pd,
	help/gemmouse-help.pd, help/gemvertexbuffer-help.pd,
	help/gemwin-help.pd, help/glsl_fragment-help.pd,
	help/glsl_geometry-help.pd, help/glsl_program-help.pd,
	help/glsl_vertex-help.pd, help/imageVert-help.pd,
	help/light-help.pd, help/linear_path-help.pd,
	help/mesh_line-help.pd, help/mesh_square-help.pd,
	help/model-help.pd, help/multimodel-help.pd, help/newWave-help.pd,
	help/ortho-help.pd, help/part_color-help.pd,
	help/part_damp-help.pd, help/part_draw-help.pd,
	help/part_follow-help.pd, help/pix_2grey-help.pd,
	help/pix_a_2grey-help.pd, help/pix_add-help.pd,
	help/pix_aging-help.pd, help/pix_alpha-help.pd,
	help/pix_background-help.pd, help/pix_backlight-help.pd,
	help/pix_biquad-help.pd, help/pix_bitmask-help.pd,
	help/pix_buf-help.pd, help/pix_buffer-help.pd,
	help/pix_buffer_read-help.pd, help/pix_buffer_write-help.pd,
	help/pix_chroma_key-help.pd, help/pix_color-help.pd,
	help/pix_coloralpha-help.pd, help/pix_colorclassify-help.pd,
	help/pix_colormatrix-help.pd, help/pix_colorreduce-help.pd,
	help/pix_compare-help.pd, help/pix_composite-help.pd,
	help/pix_contrast-help.pd, help/pix_convert-help.pd,
	help/pix_convolve-help.pd, help/pix_coordinate-help.pd,
	help/pix_crop-help.pd, help/pix_curve-help.pd,
	help/pix_deinterlace-help.pd, help/pix_delay-help.pd,
	help/pix_diff-help.pd, help/pix_dot-help.pd, help/pix_draw-help.pd,
	help/pix_dump-help.pd, help/pix_duotone-help.pd,
	help/pix_equal-help.pd, help/pix_film-help.pd,
	help/pix_flip-help.pd, help/pix_freeframe-help.pd,
	help/pix_frei0r-help.pd, help/pix_gain-help.pd,
	help/pix_grey-help.pd, help/pix_halftone-help.pd,
	help/pix_histo-help.pd, help/pix_hsv2rgb-help.pd,
	help/pix_image-help.pd, help/pix_imageInPlace-help.pd,
	help/pix_info-help.pd, help/pix_invert-help.pd,
	help/pix_kaleidoscope-help.pd, help/pix_levels-help.pd,
	help/pix_lumaoffset-help.pd, help/pix_mask-help.pd,
	help/pix_mean_color-help.pd, help/pix_metaimage-help.pd,
	help/pix_mix-help.pd, help/pix_motionblur-help.pd,
	help/pix_movement-help.pd, help/pix_movement2-help.pd,
	help/pix_movie-help.pd, help/pix_multiblob-help.pd,
	help/pix_multiimage-help.pd, help/pix_multiply-help.pd,
	help/pix_multitexture-help.pd, help/pix_noise-help.pd,
	help/pix_normalize-help.pd, help/pix_offset-help.pd,
	help/pix_pix2sig~-help.pd, help/pix_posterize-help.pd,
	help/pix_puzzle-help.pd, help/pix_rds-help.pd,
	help/pix_record-help.pd, help/pix_rectangle-help.pd,
	help/pix_refraction-help.pd, help/pix_resize-help.pd,
	help/pix_rgb2hsv-help.pd, help/pix_rgba-help.pd,
	help/pix_roi-help.pd, help/pix_roll-help.pd, help/pix_rtx-help.pd,
	help/pix_scanline-help.pd, help/pix_set-help.pd,
	help/pix_share_read-help.pd, help/pix_share_write-help.pd,
	help/pix_sig2pix~-help.pd, help/pix_snap-help.pd,
	help/pix_snap2tex-help.pd, help/pix_subtract-help.pd,
	help/pix_tIIR-help.pd, help/pix_takealpha-help.pd,
	help/pix_test-help.pd, help/pix_texture-help.pd,
	help/pix_threshold-help.pd, help/pix_threshold_bernsen-help.pd,
	help/pix_video-help.pd, help/pix_write-help.pd,
	help/pix_writer-help.pd, help/pix_yuv-help.pd,
	help/polygon-help.pd, help/polygon_smooth-help.pd,
	help/pqtorusknots-help.pd, help/primTri-help.pd,
	help/rectangle-help.pd, help/render_trigger-help.pd,
	help/ripple-help.pd, help/rotate-help.pd, help/rotateXYZ-help.pd,
	help/rubber-help.pd, help/scale-help.pd, help/scaleXYZ-help.pd,
	help/scopeXYZ~-help.pd, help/separator-help.pd,
	help/shearXY-help.pd, help/shearXZ-help.pd, help/shearYX-help.pd,
	help/shearYZ-help.pd, help/shearZX-help.pd, help/shearZY-help.pd,
	help/shininess-help.pd, help/slideSquares-help.pd,
	help/specular-help.pd, help/specularRGB-help.pd,
	help/sphere-help.pd, help/sphere3d-help.pd,
	help/spline_path-help.pd, help/spot_light-help.pd,
	help/square-help.pd, help/surface3d-help.pd, help/teapot-help.pd,
	help/text2d-help.pd, help/text3d-help.pd,
	help/textextruded-help.pd, help/textoutline-help.pd,
	help/torus-help.pd, help/translate-help.pd,
	help/translateXYZ-help.pd, help/trapezoid-help.pd,
	help/triangle-help.pd, help/tube-help.pd,
	help/vertex_program-help.pd, help/world_light-help.pd: Add meta
	information to help-patches

2024-06-27  IOhannes m zmölnig <zmoelnig@iem.at>

	* help/part_render-help.pd: moved text/objects into positive
	coordinate space

2024-06-26  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/gitlab-iem.yml: [ci] notarize darwin-fat-64 as well

2024-06-21  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* .git-ci/split-debug: [ci] print info if split-debug has not
	matches

2024-06-21  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* .git-ci/gitlab-iem.yml: [ci] fix configure flag for floatsize it's "--with-floatsize=..." rather than "--floatsize=..."

2024-06-21  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* .git-ci/gitlab-iem.yml: [ci] on Windows, build plugins per
	floatsize

2024-06-21  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* .git-ci/gitlab-iem.yml: [ci] on Windows, make sure that the
	Gem-plugins have per-job extensions the plugins need to dylink against Gem (encoding its full name), so
	we cannot use the same gem_imageFOO plugin linking against
	Gem.m_amd64 with the Pd64 Gem.windows-amd64-64.so sigh!

2024-06-21  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* .git-ci/gitlab-iem.yml: [ci] centralize "set DESTDIR"

2024-06-20  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/gitlab-iem.yml: [ci] manually set pd_download_url for
	windows-amd64-64 build

2024-06-20  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* .git-ci/gitlab-iem.yml: [ci] disable all plugins when building
	Pd64 variants

2024-06-20  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* .git-ci/gitlab-iem.yml: [ci] enable Pd64-jobs

2024-06-20  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* .git-ci/gitlab-iem.yml: [ci] fix typos

2024-06-20  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* .git-ci/gitlab-iem.yml: [ci] jobs ending with "-64" build for Pd64

2024-06-20  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* .git-ci/gitlab-iem.yml: [ci] calculate "gnutriplet" from jobname

2024-06-19  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* .git-ci/gitlab-iem.yml: [ci] puts localdeps into subdir

2024-06-19  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* .git-ci/gitlab-iem.yml: [ci] Use job-name (without floatsize) to
	separate Gem plugins nicer names than the gnutriplet

2024-06-19  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/gitlab-iem.yml: [ci] Inject gnutriplet into Gem plugin
	filenames

2024-06-19  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/rename-gnutriplet.sh: [ci] helper-script to inject an
	arch-specifier into a filename e.g. "gem_imageSTB.so" -> "gem_imageSTB.amd64.so" the plugin-loader doesn't care about the actual extension, so we can
	use this to make plugins-coinstallable.

2024-06-19  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/gitlab-iem.yml: [ci] use improved localdeps scripts but only for macOS and Windows.  On Linux, this would pull in the
	whole world, among them the openGL-, X11-, wayland-, and
	SDL-(including pulse-) stacks.

2024-06-19  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/gitlab-iem.yml, .git-ci/iem-ci, .gitmodules: [ci] Add
	iem-ci as submodule (for improved localdeps)

2024-06-19  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* .git-ci/gitlab-iem.yml: [ci] do not delete .gitignore from
	submodules

2024-06-19  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/nodist: [ci] all /.git* stuff is not-distributed

2024-06-20  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/gitlab-iem.yml: [ci] use a helpervar for the download URL
	and calculcate the filename from it

2024-06-20  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* .git-ci/gitlab-iem.yml: [ci] trick syntax highlighter in emacs

2024-06-21  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* .git-ci/gitlab-iem.yml: [ci] terse version prints of tools

2024-06-20  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/gitlab-iem.yml: [ci] set pd_extension for jobs this is mainly useful for the windows builds (otherwise both use
	.dll)

2024-06-20  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* .git-ci/gitlab-iem.yml: [ci] lowercase jobnames

2024-06-20  IOhannes m zmölnig <zmoelnig@iem.at>

	* m4/gem.m4: On Windows, link against Gem with custom extension rather than hardcoding Gem.dll

2024-06-20  IOhannes m zmölnig <zmoelnig@iem.at>

	* configure.ac, m4/gem.m4: drop GEM_RTE_CPPFLAGS and
	GEM_RTE_CXXFLAGS they are nowhere used (it's all in GEM_RTE_CFLAGS), which breeds
	confusion as to where preprocessor flags and the like should go

2024-06-20  IOhannes m zmölnig <zmoelnig@iem.at>

	* configure.ac, m4/gem.m4: subst (and print) RTE executable

2024-06-20  IOhannes m zmölnig <zmoelnig@iem.at>

	* m4/gem.m4: take floatsize into account when searching for pd
	binaries

2024-06-20  IOhannes m zmölnig <zmoelnig@iem.at>

	* m4/gem.m4: m4/gem: moved floatsize checks at the beginning of RTE
	checks as we need to know the floatsize to get the linker flags on Windows

2024-06-19  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/gitlab-iem.yml: [ci] also print the paths

2024-06-19  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/gitlab-iem.yml: [ci] print more build information Related: https://github.com/umlaeute/Gem/issues/431

2024-06-19  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/gitlab-iem.yml: [ci] switch windows runners to sardinecake

2024-06-19  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/gitlab-iem.yml: [ci] Use template jobs to select
	Windows/macOS runners

2024-06-18  IOhannes m zmölnig <zmoelnig@iem.at>

	* Makefile.am, configure.ac: "--disable-plugins" to not build (or
	configure) any plugins

2024-06-17  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* configure.ac, m4/gem.m4: Add "--floatsize" configureflag

2024-05-23  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/gitlab-iem.yml: [ci] on WIndows, only install packages
	that actually exist

2024-05-23  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/gitlab-iem.yml: [ci] only a single image is a allowed for
	a job

2024-05-23  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/gitlab-iem.yml: [ci] use new libvirt based runners for
	Windows builds

2024-05-03  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Output/gemglxwindow.cpp: [gemglxwindow] cleanup

2024-05-03  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Output/gemglxwindow.cpp: gemglxwindow: output transparency

2024-05-03  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Output/gemglxwindow.cpp: gemglxwindow: drop manual enumeration
	of fbconfigs

2024-05-03  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Output/gemglxwindow.cpp: [gemglxwindow] honour FSAA message Closes: https://github.com/umlaeute/Gem/issues/428

2024-05-03  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Output/gemglxwindow.cpp: [gemglxwindow] pick *best*
	framebuffer, rather first matching

2024-05-02  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* examples/15.GLSL4/shader/04.model.vert: remove trailing whitespace

2024-05-02  chnry <ch@chnry.net>

	* examples/15.GLSL4/04.model.pd,
	examples/15.GLSL4/shader/04.model.frag,
	examples/15.GLSL4/shader/04.model.vert, examples/Makefile.am: add an
	example that show how to use modelfiler to load a geometry

2024-05-02  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* examples/10.glsl/17.light.pd, examples/15.GLSL4/01.basic.pd,
	examples/15.GLSL4/02.transformation.pd,
	examples/15.GLSL4/03.texture.pd: Use modern-style initialization

2024-05-02  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* examples/10.glsl/shader/GLSL_mix.frag,
	examples/10.glsl/shader/P_distord.frag,
	examples/10.glsl/shader/P_distord.vert,
	examples/10.glsl/shader/T_distord.frag,
	examples/10.glsl/shader/T_distord.vert,
	examples/10.glsl/shader/bicubic_interpolation.frag,
	examples/10.glsl/shader/blur.frag,
	examples/10.glsl/shader/brick.frag,
	examples/10.glsl/shader/brick.vert,
	examples/10.glsl/shader/fetching.frag,
	examples/10.glsl/shader/fetching.vert,
	examples/10.glsl/shader/fetching2.frag,
	examples/10.glsl/shader/fetching2.vert,
	examples/10.glsl/shader/game.frag,
	examples/10.glsl/shader/game.vert,
	examples/10.glsl/shader/geo.frag, examples/10.glsl/shader/geo.geom,
	examples/10.glsl/shader/light.frag,
	examples/10.glsl/shader/link.frag,
	examples/10.glsl/shader/link.vert,
	examples/10.glsl/shader/mass.frag,
	examples/10.glsl/shader/mass.vert,
	examples/10.glsl/shader/multitexture.frag,
	examples/10.glsl/shader/multitexture.vert,
	examples/10.glsl/shader/multitexture_rect.frag,
	examples/10.glsl/shader/multitexture_rect.vert,
	examples/10.glsl/shader/normal.frag,
	examples/10.glsl/shader/normal.vert,
	examples/10.glsl/shader/tri2fan.frag,
	examples/10.glsl/shader/tri2fan.geom,
	examples/10.glsl/shader/tri2fan.vert,
	examples/10.glsl/shader/vague.frag,
	examples/10.glsl/shader/wave.frag,
	examples/15.GLSL4/shader/01.basic.frag,
	examples/15.GLSL4/shader/01.basic.vert,
	examples/15.GLSL4/shader/02.transformation.frag,
	examples/15.GLSL4/shader/02.transformation.vert,
	examples/15.GLSL4/shader/03.texture.frag,
	examples/15.GLSL4/shader/03.texture.vert: remove trailing whitespace

2024-05-02  chnry <ch@chnry.net>

	* examples/02.advanced/19.pointer.pd,
	examples/02.advanced/20.double-gemhead_vs_repeat.pd,
	examples/02.advanced/22.double-iterative.pd: replace until loop with
	the dedicated abstraction "gemrepeat"

2024-05-01  chnry <ch@chnry.net>

	* examples/Makefile.am: update makefile to include newest examples

2024-05-01  chnry <ch@chnry.net>

	* examples/10.glsl/17.light.pd, examples/10.glsl/shader/light.frag,
	examples/10.glsl/shader/light.vert: 1 more example (about lighting)

2024-04-30  chnry <ch@chnry.net>

	* examples/Makefile.am: adapt to the example directory
	restructuration

2024-04-30  chnry <ch@chnry.net>

	* examples/15.GLSL4/03.texture.pd,
	examples/15.GLSL4/shader/03.texture.frag,
	examples/15.GLSL4/shader/03.texture.vert: simple texture example

2024-04-30  chnry <ch@chnry.net>

	* examples/10.glsl/01.simple_texture.pd,
	examples/10.glsl/02.primitive_distortion.pd,
	examples/10.glsl/03.texture_distortion.pd,
	examples/10.glsl/05.multitexture.pd,
	examples/10.glsl/05.multitexture_bis.pd,
	examples/10.glsl/06.rectangle_multitexture.pd,
	examples/10.glsl/07.framebuffer_and_shader.pd,
	examples/10.glsl/08.multi_pass_rendering.pd,
	examples/10.glsl/09.vertex_texture_fetching.pd,
	examples/10.glsl/13.panoramique.pd: move image to the data folder

2024-04-30  chnry <ch@chnry.net>

	* : commit 356c3290e53cd33d864261d5cbbc1e7b6804cd70 Author: chnry
	<ch@chnry.net> Date:   Tue Apr 30 10:09:12 2024 +0200

2024-04-30  chnry <ch@chnry.net>

	* examples/15.GLSL4/02.transformation.pd,
	examples/15.GLSL4/shader/02.transformation.frag,
	examples/15.GLSL4/shader/02.transformation.vert: transformation
	matrix new axample

2024-04-30  chnry <ch@chnry.net>

	* examples/15.GLSL4/01.basic.pd,
	examples/15.GLSL4/shader/{basic.frag => 01.basic.frag},
	examples/15.GLSL4/shader/{basic.vert => 01.basic.vert}: rename the
	shader

2024-04-30  chnry <ch@chnry.net>

	* examples/15.GLSL4/01.basic.pd: tidy up

2024-04-30  chnry <ch@chnry.net>

	* examples/15.GLSL4/shader/basic.frag,
	examples/15.GLSL4/shader/basic.vert: add sources

2024-04-30  chnry <ch@chnry.net>

	* src/Geos/gemvertexbuffer.cpp: change the error message to reflet
	the arguments need by atribute message

2024-04-29  chnry <ch@chnry.net>

	* examples/10.glsl/16.vertexbuffer_attributes.pd: debug shader path

2024-04-29  chnry <ch@chnry.net>

	* examples/15.GLSL4/01.basic.pd,
	examples/15.GLSL4/shader/basic.frag,
	examples/15.GLSL4/shader/basic.vert: adding new openGL4 examples

2024-04-29  chnry <ch@chnry.net>

	* examples/10.glsl/10.GPGPU_Physical_model.pd: debug the shader path

2024-04-29  chnry <ch@chnry.net>

	* help/gemvertexbuffer-help.pd: change the default point size, in
	order to see somthing in the Gem window.

2024-04-29  chnry <ch@chnry.net>

	* examples/10.glsl/01.simple_texture.pd,
	examples/10.glsl/02.primitive_distortion.pd,
	examples/10.glsl/03.texture_distortion.pd,
	examples/10.glsl/04.game_of_life.pd,
	examples/10.glsl/05.multitexture.pd,
	examples/10.glsl/05.multitexture_bis.pd,
	examples/10.glsl/06.rectangle_multitexture.pd,
	examples/10.glsl/07.framebuffer_and_shader.pd,
	examples/10.glsl/08.multi_pass_rendering.pd,
	examples/10.glsl/09.vertex_texture_fetching.pd,
	examples/10.glsl/10.GPGPU_Physical_model.pd,
	examples/10.glsl/11.geometry.pd, examples/10.glsl/12.tri2fan.pd,
	examples/10.glsl/13.panoramique.pd,
	examples/10.glsl/15.bicubic_image_interpolation.pd,
	examples/10.glsl/16.vertexbuffer_attributes.pd, examples/10.glsl/{
	=> shader}/GLSL_mix.frag, examples/10.glsl/{ =>
	shader}/GLSL_mix.vert, examples/10.glsl/{ =>
	shader}/P_distord.frag, examples/10.glsl/{ =>
	shader}/P_distord.vert, examples/10.glsl/{ =>
	shader}/T_distord.frag, examples/10.glsl/{ =>
	shader}/T_distord.vert, examples/10.glsl/{ =>
	shader}/bicubic_interpolation.frag, examples/10.glsl/{ =>
	shader}/bicubic_interpolation.vert, examples/10.glsl/{ =>
	shader}/blur.frag, examples/10.glsl/{ => shader}/blur.vert,
	examples/{data => 10.glsl/shader}/brick.frag, examples/{data =>
	10.glsl/shader}/brick.vert, examples/10.glsl/{ =>
	shader}/fetching.frag, examples/10.glsl/{ => shader}/fetching.vert,
	examples/10.glsl/{ => shader}/fetching2.frag, examples/10.glsl/{ =>
	shader}/fetching2.vert, examples/10.glsl/{ => shader}/game.frag,
	examples/10.glsl/{ => shader}/game.vert, examples/10.glsl/{ =>
	shader}/geo.frag, examples/10.glsl/{ => shader}/geo.geom,
	examples/10.glsl/{ => shader}/geo.vert, examples/10.glsl/{ =>
	shader}/interpol.frag, examples/10.glsl/{ => shader}/link.frag,
	examples/10.glsl/{ => shader}/link.vert, examples/10.glsl/{ =>
	shader}/mass.frag, examples/10.glsl/{ => shader}/mass.vert,
	examples/10.glsl/{ => shader}/multitexture.frag, examples/10.glsl/{
	=> shader}/multitexture.vert, examples/10.glsl/{ =>
	shader}/multitexture_rect.frag, examples/10.glsl/{ =>
	shader}/multitexture_rect.vert, examples/10.glsl/{ =>
	shader}/normal.frag, examples/10.glsl/{ => shader}/normal.vert,
	examples/10.glsl/{ => shader}/panoramique.frag, examples/10.glsl/{
	=> shader}/panoramique.vert, examples/10.glsl/{ =>
	shader}/texture.frag, examples/10.glsl/{ => shader}/texture.vert,
	examples/10.glsl/{ => shader}/texture_rect.frag, examples/10.glsl/{
	=> shader}/tri2fan.frag, examples/10.glsl/{ =>
	shader}/tri2fan.geom, examples/10.glsl/{ => shader}/tri2fan.vert,
	examples/10.glsl/{ => shader}/vague.frag, examples/10.glsl/{ =>
	shader}/wave.frag, examples/10.glsl/single_blur.pd: move all shader
	in a dedicated directory

2024-04-29  chnry <ch@chnry.net>

	* examples/10.glsl/GLSL_mix.frag: remove (useless) argument so the
	shader can compile

2024-04-25  chnry <ch@chnry.net>

	* help/gemvertexbuffer-help.pd: remove 1 of the 2 [gemwin]

2024-04-03  chnry <ch@chnry.net>

	* abstractions/gemwin.pd: sanitize rate input

2024-03-13  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* .github/ISSUE_TEMPLATE/bug.yml: ask people to also give their
	Pd-flavour

2024-03-13  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* .github/ISSUE_TEMPLATE/bug.yml: yamllint

2024-03-13  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* help/pix_gain-help.pd, help/pix_offset-help.pd:
	[pix_offset]/[pix_gain] document "saturate" method Closes: https://github.com/umlaeute/Gem/issues/421

2024-03-08  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Base/CPPExtern.cpp: bind objects to '#A'

2024-03-08  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Controls/gemhead.cpp: [gemhead] add 'saved' method (ignored) this is to LATER get compat with a [savestate] using abstraction
	implementation

2024-03-08  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Base/CPPExtern.cpp, src/Base/CPPExtern.h: CPPEXtern: use PIMPL
	idiom

2024-03-08  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Base/CPPExtern.cpp, src/Base/CPPExtern.h: prefix static vars
	with "s_", not with "m_"

2024-03-08  IOhannes m zmölnig <zmoelnig@iem.at>

	* abstractions/pix_buffer_filmopen.pd: [pix_buffer_filmopen] fix
	initialization Closes: https://github.com/umlaeute/Gem/issues/416

2024-03-01  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* help/_pix2rectangle.pd, help/pix_2grey-help.pd,
	help/pix_a_2grey-help.pd, help/pix_add-help.pd,
	help/pix_aging-help.pd, help/pix_alpha-help.pd,
	help/pix_background-help.pd, help/pix_backlight-help.pd,
	help/pix_biquad-help.pd, help/pix_bitmask-help.pd,
	help/pix_buf-help.pd, help/pix_buffer_read-help.pd,
	help/pix_buffer_write-help.pd, help/pix_chroma_key-help.pd,
	help/pix_color-help.pd, help/pix_coloralpha-help.pd,
	help/pix_colorclassify-help.pd, help/pix_colormatrix-help.pd,
	help/pix_colorreduce-help.pd, help/pix_compare-help.pd,
	help/pix_composite-help.pd, help/pix_contrast-help.pd,
	help/pix_convert-help.pd, help/pix_convolve-help.pd,
	help/pix_coordinate-help.pd, help/pix_crop-help.pd,
	help/pix_curve-help.pd, help/pix_data-help.pd,
	help/pix_deinterlace-help.pd, help/pix_delay-help.pd,
	help/pix_diff-help.pd, help/pix_dot-help.pd, help/pix_dump-help.pd,
	help/pix_duotone-help.pd, help/pix_equal-help.pd,
	help/pix_film-help.pd, help/pix_flip-help.pd,
	help/pix_freeframe-help.pd, help/pix_frei0r-help.pd,
	help/pix_gain-help.pd, help/pix_grey-help.pd,
	help/pix_halftone-help.pd, help/pix_histo-help.pd,
	help/pix_hsv2rgb-help.pd, help/pix_image-help.pd,
	help/pix_imageInPlace-help.pd, help/pix_info-help.pd,
	help/pix_invert-help.pd, help/pix_kaleidoscope-help.pd,
	help/pix_levels-help.pd, help/pix_lumaoffset-help.pd,
	help/pix_mask-help.pd, help/pix_mean_color-help.pd,
	help/pix_metaimage-help.pd, help/pix_mix-help.pd,
	help/pix_motionblur-help.pd, help/pix_movement-help.pd,
	help/pix_movement2-help.pd, help/pix_movie-help.pd,
	help/pix_multiblob-help.pd, help/pix_multiimage-help.pd,
	help/pix_multiply-help.pd, help/pix_multitexture-help.pd,
	help/pix_noise-help.pd, help/pix_normalize-help.pd,
	help/pix_offset-help.pd, help/pix_pix2sig~-help.pd,
	help/pix_posterize-help.pd, help/pix_puzzle-help.pd,
	help/pix_rds-help.pd, help/pix_record-help.pd,
	help/pix_rectangle-help.pd, help/pix_refraction-help.pd,
	help/pix_resize-help.pd, help/pix_rgb2hsv-help.pd,
	help/pix_rgba-help.pd, help/pix_roi-help.pd, help/pix_roll-help.pd,
	help/pix_rtx-help.pd, help/pix_scanline-help.pd,
	help/pix_set-help.pd, help/pix_share_read-help.pd,
	help/pix_share_write-help.pd, help/pix_sig2pix~-help.pd,
	help/pix_snap-help.pd, help/pix_snap2tex-help.pd,
	help/pix_subtract-help.pd, help/pix_tIIR-help.pd,
	help/pix_takealpha-help.pd, help/pix_test-help.pd,
	help/pix_texture-help.pd, help/pix_threshold-help.pd,
	help/pix_threshold_bernsen-help.pd, help/pix_video-help.pd,
	help/pix_write-help.pd, help/pix_writer-help.pd,
	help/pix_yuv-help.pd: Update pix-helps to use [_gemwin],
	[_pix2rectangle] and [pix_test]

2024-03-01  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* help/rectangle-help.pd: rectangle-help: better layout

2024-03-01  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* help/Makefile.am: Add [_pix2rectangle] helper

2024-03-01  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* help/_pix2rectangle.pd, help/pix_draw-help.pd: Start switching
	pix-help to [_gemwin]

2024-03-01  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* help/GLdefine-help.pd, help/gemhead-help.pd,
	help/gemkeyboard-help.pd, help/gemkeyname-help.pd,
	help/gemlist-help.pd, help/gemlist_info-help.pd,
	help/gemlist_matrix-help.pd, help/gemmouse-help.pd,
	help/gemvertexbuffer-help.pd, help/glsl_fragment-help.pd,
	help/glsl_geometry-help.pd, help/glsl_program-help.pd,
	help/glsl_vertex-help.pd, help/imageVert-help.pd,
	help/light-help.pd, help/mesh_line-help.pd,
	help/mesh_square-help.pd, help/model-help.pd,
	help/multimodel-help.pd, help/newWave-help.pd, help/ortho-help.pd,
	help/part_color-help.pd, help/part_damp-help.pd,
	help/part_draw-help.pd, help/part_follow-help.pd,
	help/part_gravity-help.pd, help/part_head-help.pd,
	help/part_info-help.pd, help/part_killold-help.pd,
	help/part_killslow-help.pd, help/part_orbitpoint-help.pd,
	help/part_render-help.pd, help/part_sink-help.pd,
	help/part_size-help.pd, help/part_source-help.pd,
	help/part_targetcolor-help.pd, help/part_targetsize-help.pd,
	help/part_velocity-help.pd, help/part_vertex-help.pd,
	help/polygon-help.pd, help/polygon_smooth-help.pd,
	help/pqtorusknots-help.pd, help/primTri-help.pd,
	help/rectangle-help.pd, help/render_trigger-help.pd,
	help/ripple-help.pd, help/rotate-help.pd, help/rotateXYZ-help.pd,
	help/rubber-help.pd, help/scale-help.pd, help/scaleXYZ-help.pd,
	help/scopeXYZ~-help.pd, help/separator-help.pd,
	help/shearXY-help.pd, help/shearXZ-help.pd, help/shearYX-help.pd,
	help/shearYZ-help.pd, help/shearZX-help.pd, help/shearZY-help.pd,
	help/shininess-help.pd, help/slideSquares-help.pd,
	help/specular-help.pd, help/specularRGB-help.pd,
	help/sphere-help.pd, help/sphere3d-help.pd,
	help/spot_light-help.pd, help/square-help.pd,
	help/surface3d-help.pd, help/teapot-help.pd, help/text2d-help.pd,
	help/text3d-help.pd, help/textextruded-help.pd,
	help/textoutline-help.pd, help/torus-help.pd,
	help/translate-help.pd, help/translateXYZ-help.pd,
	help/trapezoid-help.pd, help/triangle-help.pd, help/tube-help.pd,
	help/vertex_program-help.pd, help/world_light-help.pd: Update all
	help-patches except pix_* to use _gemwin

2024-03-01  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* help/_gemwin.pd: add outlet for current rendering-state

2024-02-29  IOhannes m zmölnig <zmoelnig@iem.at>

	* help/accumrotate-help.pd, help/alpha-help.pd,
	help/ambient-help.pd, help/ambientRGB-help.pd, help/camera-help.pd,
	help/circle-help.pd, help/color-help.pd, help/colorRGB-help.pd,
	help/colorSquare-help.pd, help/cone-help.pd, help/cube-help.pd,
	help/cuboid-help.pd, help/curve-help.pd, help/curve3d-help.pd,
	help/cylinder-help.pd, help/depth-help.pd, help/diffuse-help.pd,
	help/diffuseRGB-help.pd, help/disk-help.pd, help/emission-help.pd,
	help/emissionRGB-help.pd, help/fragment_program-help.pd,
	help/gemcubeframebuffer-help.pd, help/tube-help.pd: start using
	[_gemwin] helper

2024-02-29  IOhannes m zmölnig <zmoelnig@iem.at>

	* help/Makefile.am, help/_gemwin.pd: Add '_gemwin' help-abstraction

2024-02-29  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/TEST/Makefile.am, plugins/TEST/test-filmplugin.pd,
	plugins/TEST/test-videoplugin.pd: TEST: help for filmTEST and
	videoTEST

2024-02-29  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/QT4L/quicktime4linux-recordplugin.pd,
	plugins/QT4L/recordQT4L.cpp: recordQT: add more general metadata
	props, renamed 'qtformat' to 'lqtformat' and documented everything

2024-02-29  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_test.cpp: pix_test: fix no-noise for RGB/YUV/Grey
	images

2024-02-29  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/QT4L/quicktime4linux-recordplugin.pd: recordQT: update
	documentation

2024-02-29  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/QT4L/recordQT4L.cpp: recordQT: add 'qtformat' property to
	force a given container

2024-02-29  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/QT4L/recordQT4L.cpp: recordQT: prefer avi_odml over avi

2024-02-29  IOhannes m zmölnig <zmoelnig@iem.at>

	* help/Makefile.am, help/pix_test-help.pd: help-patch for [pix_test]

2024-02-29  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_test.cpp, src/Pixes/pix_test.h: pix_test:
	"noise"-flag to enable/disable the snow

2024-02-29  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/QT4L/Makefile.am: prevent double installation of
	quicktime4linux-recordplugin.pd

2024-02-29  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/QT4L/Makefile.am,
	plugins/QT4L/quicktime4linux-recordplugin.pd: recordQT4L: add
	documentation patch

2024-02-29  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/QT4L/recordQT4L.cpp, plugins/QT4L/recordQT4L.h:
	recordQT4L: when the framesize changes, use new track otherwise lqt crashes.

2024-02-29  IOhannes m zmölnig <zmoelnig@iem.at>

	* help/pix_record-help.pd: pix_record-help: update record-toggle
	according to state

2024-02-29  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/DECKLINK/decklink_common.h: DECKLINK: wild casts so we can
	inject our own pseudo BMDPixelFormat otherwise the MinGW/g++-13 builds fail...

2024-02-28  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/PIPEWIRE/recordPIPEWIRE.cpp: recordPIPEWIRE: use the
	filename as the PW stream name

2024-02-28  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Output/gemglxwindow.cpp: gemglxwindow: Fix error string
	generation

2024-02-28  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/QuickTime/Makefile.am,
	plugins/QuickTime/QuickTime-filmplugin.pd,
	plugins/QuickTime/QuickTime-recordplugin.pd: stub documentation for
	film/record with QuickTime

2024-02-28  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/V4L/Makefile.am, plugins/V4L/v4l-recordplugin.pd,
	plugins/V4L/v4l-videoplugin.pd: document recordV4L and improve docs
	for videoV4L

2024-02-28  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/V4L2/Makefile.am, plugins/V4L2/v4l2-recordplugin.pd:
	document recordV4L2

2024-02-28  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/NDI/NDI-recordplugin.pd: Better wording

2024-02-28  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/DECKLINK/decklink-recordplugin.pd: finalize recordDECKLINK
	help

2024-02-28  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/DECKLINK/decklink-recordplugin.pd: recordDECKLINK: use
	1080p25 in the docs

2024-02-28  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/DECKLINK/decklink_common.h,
	plugins/DECKLINK/recordDECKLINK.cpp: recordDECKLINK: handle RGBA
	images

2024-02-28  IOhannes m zmölnig <zmoelnig@iem.at>

	* help/pix_record-help.pd: pix_record-help: hires test signal

2024-02-28  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/DECKLINK/recordDECKLINK.cpp: recordDECKLINK: understand
	more mode-aliases

2024-02-28  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/DECKLINK/Makefile.am,
	plugins/DECKLINK/decklink-recordplugin.pd: Add help-patch for
	recordDECKLINK

2024-02-28  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Gem/PixConvert.cpp: PixConvert: get rid of CONVERTy macro and use CONVERT() instead.  this requires us, not '#define Y 0', so we cannot use Y anywhere as
	a variable

2024-02-28  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/DECKLINK/decklink_common.h: DECKLINK: nicer MARK

2024-02-28  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Gem/PixConvert.cpp: PixConvert: cannot use four_to_four to
	convert between downsampled YUV formats

2024-02-28  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Gem/PixConvert.cpp: PixConvert: document the various macros

2024-02-28  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Gem/PixConvert.cpp: use 'size' parameter

2024-02-27  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/PNM/PNM-recordplugin.pd: recordPNM: note that the created
	file cannot be played back directly

2024-02-27  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/ASSIMP3/ASSIMP3-modelplugin.pd,
	plugins/NDI/NDI-videoplugin.pd, plugins/PNM/PNM-recordplugin.pd,
	plugins/STB/stb-imageloaderplugin.pd: fixed typos

2024-02-27  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/NDI/Makefile.am, plugins/NDI/{ndi-recordplugin.pd =>
	NDI-recordplugin.pd}, plugins/NDI/{ndi-videoplugin.pd =>
	NDI-videoplugin.pd}: renamed NDI backend help patches the plugin claims its name is 'NDI', not 'ndi'

2024-02-27  IOhannes m zmölnig <zmoelnig@iem.at>

	* help/pix_buffer-help.pd: alignment

2024-02-27  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/QuickTime/Makefile.am,
	plugins/QuickTime/QuickTime-imageloaderplugin.pd,
	plugins/QuickTime/QuickTime-imagesaverplugin.pd,
	plugins/imageIO/Makefile.am,
	plugins/imageIO/imageIO-imageloaderplugin.pd,
	plugins/imageIO/imageIO-imagesaverplugin.pd,
	plugins/imageMAGICK/Makefile.am,
	plugins/imageMAGICK/magick-imageloaderplugin.pd,
	plugins/imageMAGICK/magick-imagesaverplugin.pd: more backend
	helppatches for imageplugins

2024-02-26  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* help/Makefile.am: add _backendinfo.pd to installed-files

2024-02-22  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/RTE/Outlet.cpp: enable long/unsigned_long to t_float
	conversion, despite the precision loss

2024-02-22  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/RTE/Outlet.cpp: Outlet: print an error if we cannot convert
	gem::any to t_atom

2024-02-22  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Controls/modelfiler.cpp: [modelfiler] "loader" -> "backend"

2024-02-26  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/JPEG/Makefile.am, plugins/JPEG/jpeg-imageloaderplugin.pd,
	plugins/JPEG/jpeg-imagesaverplugin.pd, plugins/SGI/Makefile.am,
	plugins/SGI/sgi-imageloaderplugin.pd,
	plugins/SGI/sgi-imagesaverplugin.pd, plugins/STB/Makefile.am,
	plugins/STB/stb-imageloaderplugin.pd,
	plugins/STB/stb-imagesaverplugin.pd, plugins/TIFF/Makefile.am,
	plugins/TIFF/tiff-imageloaderplugin.pd,
	plugins/TIFF/tiff-imagesaverplugin.pd: Add some image backend
	helppatches

2024-02-26  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/QT4L/recordQT4L.cpp, plugins/QuickTime/imageQT.cpp,
	plugins/QuickTime/recordQT.cpp, plugins/SGI/imageSGI.cpp,
	plugins/STB/imageSTB.cpp, plugins/V4L/recordV4L.cpp,
	plugins/V4L2/recordV4L2.cpp: normalize registered plugin names make sure to use the same name for record and film plugins

2024-02-26  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/PIPEWIRE/recordPIPEWIRE.cpp: recordPIPEWIRE: lowercase
	plugin name when registering

2024-02-26  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/ASSIMP2/ASSIMP2-modelplugin.pd,
	plugins/ASSIMP2/Makefile.am,
	plugins/ASSIMP3/ASSIMP3-modelplugin.pd,
	plugins/ASSIMP3/Makefile.am, plugins/OBJ/Makefile.am,
	plugins/OBJ/OBJ-modelplugin.pd: backend help for modelloader plugins

2024-02-26  IOhannes m zmölnig <zmoelnig@iem.at>

	* help/pix_buffer-help.pd: [pix_buffer] backend info in help-patch

2024-02-26  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_buffer.cpp, src/Pixes/pix_buffer.h: [pix_buffer]
	"backend" support

2024-02-26  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/plugins/imageloader.cpp, src/plugins/imageloader.h:
	imageloader: properties to controll the imageloaderMeta backends

2024-02-26  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/plugins/imageloader.cpp: imageloaderMeta: drop "private"
	specifiers they are of no use inside the implementation

2024-02-26  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/plugins/imagesaver.cpp: imagesaver: support "_backends"
	property

2024-02-26  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_buffer.cpp, src/Pixes/pix_buffer.h: pix_buffer: move
	stuff to PIMPL

2024-02-26  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_buffer.cpp, src/Pixes/pix_buffer.h: pix_buffer:
	PIMPL for utils

2024-02-26  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_buffer.cpp: extendible notation of constructor-args

2024-02-26  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_buffer.cpp, src/Pixes/pix_buffer.h: [pix_buffer]:
	rename m_handle to m_saver it's only half of the (possible) handles

2024-02-26  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/ASSIMP2/modelASSIMP2.cpp,
	plugins/ASSIMP3/modelASSIMP3.cpp, plugins/AVI/filmAVI.cpp,
	plugins/AVIPLAY/filmAVIPLAY.cpp, plugins/AVT/videoAVT.cpp,
	plugins/DC1394/videoDC1394.cpp,
	plugins/DECKLINK/recordDECKLINK.cpp,
	plugins/DECKLINK/videoDECKLINK.cpp, plugins/DV4L/videoDV4L.cpp,
	plugins/FFMPEG/filmFFMPEG.cpp, plugins/GMERLIN/filmGMERLIN.cpp,
	plugins/HALCON/videoHALCON.cpp, plugins/MPEG1/filmMPEG1.cpp,
	plugins/OBJ/modelOBJ.cpp, plugins/OptiTrack/videoOptiTrack.cpp,
	plugins/QT4L/filmQT4L.cpp, plugins/QT4L/recordQT4L.cpp,
	plugins/QuickTime/filmQT.cpp, plugins/QuickTime/imageQT.cpp,
	plugins/QuickTime/recordQT.cpp, plugins/TEST/videoTEST.cpp,
	plugins/UNICAP/videoUNICAP.cpp, plugins/V4L/videoV4L.cpp,
	plugins/V4L2/videoV4L2.cpp, plugins/VLC/videoVLC.cpp,
	plugins/VNC/videoVNC.cpp, plugins/filmDSATL/filmDS.cpp,
	plugins/filmDarwin/filmDarwin.cpp,
	plugins/imageMAGICK/imageMAGICK.cpp, plugins/videoDS/videoDS.cpp,
	plugins/videoDarwin/videoDarwin.cpp: make loop-vars local

2024-02-26  IOhannes m zmölnig <zmoelnig@iem.at>

	* help/pix_film-help.pd: pix_film-help: show backendinfo

2024-02-26  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_film.cpp: de-deprecate "backend" message for
	[pix_film]

2024-02-26  IOhannes m zmölnig <zmoelnig@iem.at>

	* help/model-help.pd: mode-help: backend info

2024-02-26  IOhannes m zmölnig <zmoelnig@iem.at>

	* help/pix_record-help.pd, help/pix_video-help.pd: Use _backendinfo
	in help-patches

2024-02-26  IOhannes m zmölnig <zmoelnig@iem.at>

	* help/_backendinfo.pd: _backendinfo: helper for showing backends in
	help-patches

2024-02-26  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_record.cpp: [pix_record] backend selection/querying

2024-02-26  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/plugins/record.cpp, src/plugins/record.h: plugins/record: add
	getProperties() and implement _backend prop for recordMETA

2024-02-26  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/DECKLINK/recordDECKLINK.h, plugins/NDI/recordNDI.h,
	plugins/PIPEWIRE/recordPIPEWIRE.h, plugins/PNM/recordPNM.h,
	plugins/QT4L/recordQT4L.h, plugins/QuickTime/recordQT.h,
	plugins/V4L/recordV4L.h, plugins/V4L2/recordV4L2.h: plugins/record*:
	implement getProperties() with a stub

2024-02-26  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_record.cpp: pix_record: make owner known to PIMPL

2024-02-26  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_record.cpp, src/Pixes/pix_record.h: [pix_record]
	remove more unused code

2024-02-26  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_record.cpp, src/Pixes/pix_record.h: [pix_record]
	switch to gem::RTE::Outlet

2024-02-26  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_record.cpp: drop unused code

2024-02-26  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/plugins/record.cpp, src/plugins/video.cpp: video/record: allow
	selecting backend through "_backend"

2024-02-26  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/plugins/film.cpp, src/plugins/imageloader.cpp,
	src/plugins/imagesaver.cpp, src/plugins/modelloader.cpp,
	src/plugins/record.cpp, src/plugins/video.cpp,
	src/plugins/videoBase.cpp: make loop variables local

2024-02-26  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/plugins/record.cpp, src/plugins/video.cpp: rename m_allHandles
	to m_handles for symmetry across meta-plugins

2024-02-26  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Controls/modelfiler.cpp, src/Geos/model.cpp,
	src/Geos/multimodel.cpp, src/Pixes/pix_film.cpp,
	src/plugins/film.cpp, src/plugins/modelloader.cpp: rename
	backends-property to the private "_backends"

2024-02-26  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/plugins/film.cpp, src/plugins/modelloader.cpp: remove
	commented code

2024-02-26  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Geos/model.cpp, src/Geos/multimodel.cpp: use local vars

2024-02-22  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* plugins/PNM/Makefile.am: Fix buildsystem

2024-02-21  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* plugins/PNM/Makefile.am: ship PNM-recordplugin

2024-02-21  IOhannes m zmölnig <zmoelnig@iem.at>

	* help/model-help.pd, help/pix_film-help.pd, help/pix_video-help.pd:
	helpfiles: "loader"/"driver" -> "backend"

2024-02-21  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_film.cpp: [pix_film] "loader" -> "backend"

2024-02-21  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Geos/model.cpp, src/Geos/multimodel.cpp: [model]/[multimodel]
	"loader" -> "backend"

2024-02-21  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_video.cpp, src/Pixes/pix_video.h: [pix_video]
	"driver" -> "backend"

2024-02-21  IOhannes m zmölnig <zmoelnig@iem.at>

	* help/pix_record-help.pd: Prepare [pix_record]-help for
	backend-querying

2024-02-21  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Gem/PixConvert.cpp: Fix yuv420p_to_rgb3() and
	yuv420p_to_rgb4() Closes: https://github.com/umlaeute/Gem/issues/415

2024-02-21  IOhannes m zmölnig <zmoelnig@iem.at>

	* devgem.sh.in: add help-paths to devgem.sh

2024-02-21  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/PNM/PNM-recordplugin.pd: Add plugin-help for recordPNM

2024-02-05  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* .git-ci/nodist: [ci] exclude .github/ from nodist check

2024-02-05  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Output/gemglfw3window.cpp: gemglfw3window: silence repeated
	"changing buffer size" warnings we only get true single-buffered windows when specifying buffer=1
	*before* window creation.  however, it seems it works™ anyhow.
	also, [gemglxwindow] doesn't emit a warning either

2024-02-05  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Output/gemglfw3window.cpp: [gemglfw3window] output dimension
	on window creation Closes: https://github.com/umlaeute/Gem/issues/410

2024-02-05  IOhannes m zmölnig <zmoelnig@iem.at>

	* abstractions/gemwin.pd: [gemwin] flush openGL after automatic
	rendering in single-buffer Related: https://github.com/umlaeute/Gem/issues/410

2024-02-05  IOhannes m zmölnig <zmoelnig@iem.at>

	* abstractions/gemhead.pd: [gemhead].pd homour "context_active" from
	gemwin

2024-01-23  IOhannes m zmölnig <zmoelnig@iem.at>

	* .github/ISSUE_TEMPLATE/bug.yml,
	.github/ISSUE_TEMPLATE/config.yml,
	.github/ISSUE_TEMPLATE/general.yml: [github] issue template

2024-01-17  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* .git-ci/gitlab-iem.yml: [ci] add
	HOMEBREW_NO_INSTALLED_DEPENDENTS_CHECK=1 hopefully this will convince brew to keep the installation paths in
	the Cellar as expected

2024-01-17  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* .git-ci/gitlab-iem.yml: [ci] drop DEBUG_PIXCONVERT

2024-01-17  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Base/GemWindow.cpp: GemWindow: make sure to output state
	immediately we rely on a the stack ordering in the [gemwin] patch...

2024-01-17  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Base/GemWindow.cpp: do not unset m_pimpl->context if m_context
	exists Closes: https://github.com/umlaeute/Gem/issues/406

2024-01-17  IOhannes m zmölnig <zmoelnig@iem.at>

	* configure.ac: Use [gemglfw3window] as the default window backend
	(if available) Closes: https://github.com/umlaeute/Gem/issues/406

2024-01-16  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_multiblob.cpp: getting rid of some
	GetPixel()/GetPixel() calls

2024-01-16  IOhannes m zmölnig <zmoelnig@iem.at>

	* extra/pix_artoolkit/pix_artoolkit.cpp: extra: replace
	imageStruct::setCsizeByFormat() with imageStruct::setFormat()

2024-01-16  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/AVI/filmAVI.cpp, plugins/AVIPLAY/filmAVIPLAY.cpp,
	plugins/AVT/videoAVT.cpp, plugins/DC1394/videoDC1394.cpp,
	plugins/DECKLINK/recordDECKLINK.cpp,
	plugins/DECKLINK/videoDECKLINK.cpp, plugins/DV4L/videoDV4L.cpp,
	plugins/FFMPEG/filmFFMPEG.cpp, plugins/GMERLIN/filmGMERLIN.cpp,
	plugins/HALCON/videoHALCON.cpp, plugins/JPEG/imageJPEG.cpp,
	plugins/MPEG1/filmMPEG1.cpp, plugins/MPEG3/filmMPEG3.cpp,
	plugins/NDI/videoNDI.cpp, plugins/OptiTrack/videoOptiTrack.cpp,
	plugins/PIPEWIRE/recordPIPEWIRE.cpp,
	plugins/PIPEWIRE/videoPIPEWIRE.cpp, plugins/PYLON/videoPYLON.cpp,
	plugins/QT4L/filmQT4L.cpp, plugins/QuickTime/filmQT.cpp,
	plugins/QuickTime/imageQT.cpp, plugins/SGI/imageSGI.cpp,
	plugins/STB/imageSTB.cpp, plugins/TEST/filmTEST.cpp,
	plugins/TEST/videoTEST.cpp, plugins/TIFF/imageTIFF.cpp,
	plugins/V4L/recordV4L.cpp, plugins/V4L/videoV4L.cpp,
	plugins/V4L2/recordV4L2.cpp, plugins/V4L2/videoV4L2.cpp,
	plugins/VFW/videoVFW.cpp, plugins/VIDS/videoVIDS.cpp,
	plugins/VLC/videoVLC.cpp, plugins/VNC/videoVNC.cpp,
	plugins/filmAVF/filmAVF.mm, plugins/filmDS/filmDS.cpp,
	plugins/filmDSATL/filmDS.cpp, plugins/filmDarwin/filmDarwin.cpp,
	plugins/imageIO/imageIO.mm, plugins/imageMAGICK/MagickCore.cpp,
	plugins/imageMAGICK/MagickPlusPlus.cpp,
	plugins/videoAVF/AVFVideoGrabber.mm, plugins/videoDS/videoDS.cpp,
	plugins/videoDarwin/videoDarwin.cpp: plugins: replace
	imageStruct::setCsizeByFormat() with imageStruct::setFormat()

2024-01-16  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_background.cpp, src/Pixes/pix_backlight.cpp,
	src/Pixes/pix_biquad.cpp, src/Pixes/pix_buffer.cpp,
	src/Pixes/pix_colorreduce.cpp, src/Pixes/pix_convert.cpp,
	src/Pixes/pix_deinterlace.cpp, src/Pixes/pix_delay.cpp,
	src/Pixes/pix_dot.cpp, src/Pixes/pix_freeframe.cpp,
	src/Pixes/pix_frei0r.cpp, src/Pixes/pix_grey.cpp,
	src/Pixes/pix_halftone.cpp, src/Pixes/pix_kaleidoscope.cpp,
	src/Pixes/pix_levels.cpp, src/Pixes/pix_lumaoffset.cpp,
	src/Pixes/pix_metaimage.cpp, src/Pixes/pix_motionblur.cpp,
	src/Pixes/pix_movement.cpp, src/Pixes/pix_movement2.cpp,
	src/Pixes/pix_multiblob.cpp, src/Pixes/pix_noise.cpp,
	src/Pixes/pix_puzzle.cpp, src/Pixes/pix_rds.cpp,
	src/Pixes/pix_refraction.cpp, src/Pixes/pix_resize.cpp,
	src/Pixes/pix_rgba.cpp, src/Pixes/pix_rtx.cpp,
	src/Pixes/pix_set.cpp, src/Pixes/pix_share_read.cpp,
	src/Pixes/pix_share_write.cpp, src/Pixes/pix_sig2pix~.cpp,
	src/Pixes/pix_snap.cpp, src/Pixes/pix_tIIR.cpp,
	src/Pixes/pix_tIIRf.cpp, src/Pixes/pix_test.cpp,
	src/Pixes/pix_texture.cpp, src/Pixes/pix_write.cpp,
	src/Pixes/pix_yuv.cpp: Pixes: replace
	imageStruct::setCsizeByFormat() with imageStruct::setFormat()

2024-01-16  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Gem/Image.h: linebreak

2024-01-16  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Gem/Image.cpp: use setFormat() rather than setCsizeByFormat()

2024-01-16  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Gem/Image.cpp, src/Gem/Image.h: replace
	imageStruct::setCsizeByFormat() with imageStruct::setFormat() and deprecate the former

2024-01-16  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Gem/Image.cpp: towards image::getRGBA() for GL_FLOATs

2024-01-16  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_test.cpp: pix_test: make sure that YUV data does not
	have an odd width

2024-01-16  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_test.cpp: pix_test: fix colorspace validation

2024-01-16  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_test.cpp: pix_test: pass both width and height of
	image to SMTPE generators rather than just the height...  Closes: https://github.com/umlaeute/Gem/issues/401 Closes:
	https://github.com/umlaeute/Gem/issues/402

2024-01-16  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Gem/Image.cpp: Image: local helper to get csize from format

2024-01-15  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/GMERLIN/filmGMERLIN.cpp: note on
	bgav_options_set_sample_accurate() leading to crashes Related: https://github.com/umlaeute/Gem/issues/110

2024-01-15  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/GMERLIN/filmGMERLIN.cpp: indent

2024-01-14  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Geos/model.cpp: use UV textures by default Closes: https://github.com/umlaeute/Gem/issues/398

2024-01-12  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Geos/model.cpp: [model] initialize m_useMaterial

2024-01-12  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Gem/model.cpp: gem::modelGL: verbose printout (disabled)

2024-01-12  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* plugins/ASSIMP3/modelASSIMP3.cpp: modelASSIMP: prepare code for
	flipping winding order from CCW to CW this is apparently *not* a surrogate for glmReverseWinding()

2024-01-12  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* plugins/ASSIMP3/modelASSIMP3.cpp, plugins/OBJ/modelOBJ.cpp,
	src/Geos/model.cpp, src/Geos/model.h, src/Geos/multimodel.cpp,
	src/Geos/multimodel.h: [model]/[multimodel] use new (immediate)
	rescaling

2024-01-12  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Gem/model.cpp, src/Gem/model.h: gem::modelGL : implement
	rescaling

2024-01-11  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Geos/model.cpp, src/Geos/model.h, src/Geos/multimodel.cpp,
	src/Geos/multimodel.h: [model]/[multimodel] use gem::modelGLs
	texture-coordinates/type this basically fixes
	https://github.com/umlaeute/Gem/pull/359#issuecomment-1884994965 and
	also allows us to change the texture type immediately

2024-01-11  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Gem/model.cpp, src/Gem/model.h: gem::modelGL allow setting of
	textype

2024-01-11  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/plugins/modelloader.h: add big fat warnings about obsolete
	modelutils

2024-01-11  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Gem/model.cpp, src/Gem/model.h: start moving stuff from
	plugins/model* to gem::modelGL

2024-01-11  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Gem/model.cpp, src/Gem/model.h, src/Geos/model.cpp,
	src/Geos/multimodel.cpp: gem::modelGL: pass a reference to the
	loader, rather than a pointer

2024-01-11  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Gem/model.cpp, src/Gem/model.h: use PIMPL idiom for
	gem::modelGL

2024-01-11  IOhannes m zmölnig <zmoelnig@iem.at>

	* : commit 255d86bd1c01835e864c64c9d6e4b7d25b780a0b Author: IOhannes
	m zmölnig <zmoelnig@iem.at> Date:   Wed Jan 10 16:10:34 2024 +0100

2024-01-10  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Geos/model.cpp: model: properly set deleted pointers to NULL fixes crash when an invalid modelname is passed

2024-01-10  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Gem/Image.cpp: PixConvert: use macros to handle SIMD optimized
	converters

2024-01-10  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Gem/Image.cpp: imageStruct::from...() always use converters
	rather than memcpy()

2024-01-10  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Gem/PixConvert.cpp: PixConvert: optimized trivial conversions - if a conversion just copies data around (e.g. RGBAtoRGBA()) use
	memcpy() instead - if additionally this "conversion" happens inplace, do nothing

2024-01-10  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Gem/Image.cpp, src/Gem/Image.h: remove no-longer-used
	imageStruct::swapRedBlue() method

2024-01-09  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/NDI/init_ndi_library.hh: reduce NDI-init error to
	verbose() Closes: https://github.com/umlaeute/Gem/issues/382

2024-01-08  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/STB/imageSTB.cpp: imageSTB: Drop special-casing of Apple
	colors fromARGB() now checks whether it needs to swap the channels by
	itself.

2023-12-22  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* configure.ac: Add "--enable-debug=pixconvert" to configureflags so we can enable specific debug-builds

2023-12-22  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* .git-ci/gitlab-iem.yml: [ci] enable GEM_DEBUG_PIXCONVERT for macOS
	builds

2023-12-22  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Gem/PixConvert.cpp: debugging printout for PixConvert

2023-12-22  IOhannes m zmölnig <zmoelnig@umlautt-bigsur.umlaeute.mur.at>

	* plugins/videoAVF/videoAVF.mm: [videoAVF] only copy valid images Closes: https://github.com/umlaeute/Gem/issues/376 Closes:
	https://github.com/umlaeute/Gem/issues/303

2023-12-21  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Gem/PixConvert.cpp, src/Gem/PixConvert.h: missing converter
	functions (and more macros)

2023-12-21  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Gem/Image.cpp: implement reversing for all conversions

2023-12-21  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Gem/PixConvert.cpp, src/Gem/PixConvert.h: use macros for
	consistent implementation of pix converters

2023-12-21  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Gem/PixConvert.h: add missing converter declarations

2023-12-21  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Gem/PixConvert.cpp: move generic templates to top of
	PixConvert

2023-12-21  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Gem/Image.cpp: fix image conversion on macOS Closes: https://github.com/umlaeute/Gem/issues/378

2023-12-21  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Gem/PixConvert.cpp, src/Gem/PixConvert.h: PixConvert:
	YUVYto(reverse)

2023-12-21  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Gem/PixConvert.cpp, src/Gem/PixConvert.h: VYUY conversions

2023-12-21  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Gem/PixConvert.cpp: templating pix-conversions rgb3->y,
	rgb3->yuv, rgb4->y, rgb4->yuv

2023-12-21  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Gem/PixConvert.h: remove declaration of unimplemented
	UYVYtoUYVY()

2023-12-21  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Gem/Image.cpp: image::fromUYVY: prevent double conversion
	(missing 'break') Related: https://github.com/umlaeute/Gem/issues/378 Fixes the YUV->RGBA conversion at least on Linux

2023-12-21  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Gem/Image.cpp: whitespace

2023-12-21  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Utils/GLUtil.cpp: more GL typenames

2023-12-21  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_rtx.cpp: [pix_rtx]: fix for large images where (xsize*ysize*csize * xsize) > 0xFFFFFFFF Closes: https://github.com/umlaeute/Gem/issues/392

2023-12-21  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_invert.cpp: [pix_invert] fix RGBA inversion without
	SIMD

2023-12-20  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_snap.cpp: [pix_snap] print human readable type

2023-12-20  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/gitlab-iem.yml: [ci] switch macOS builds to tart
	(monterey)

2023-12-20  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/gitlab-iem.yml: [ci] set CODESIGNFLAGS for macOS these flags are not inherited, since we are using gitlab-yaml
	!references

2023-12-20  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/gitlab-iem.yml: [ci] disable HOMEBREW_NO_AUTO_UPDATE and instead actively run "brew update".  as of brew>=4.0, "brew update" is supposedly much faster.

2023-12-20  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/gitlab-iem.yml: [ci] ensure that macOS jobs have
	gitlab-runner installed

2023-12-20  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/gitlab-iem.yml: [ci] prepare macOS builder for tart

2023-12-20  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Output/gemglfw3window.cpp: gemglfw3window: disable autosaving
	window frame on macOS Closes: https://github.com/umlaeute/Gem/issues/390

2023-12-18  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Base/GemWindow.cpp: Ensure that we can use FALSE/TRUE as enum
	labels Fixes FTBFS on mingw

2023-12-18  IOhannes m zmölnig <zmoelnig@iem.at>

	* abstractions/gemwin.pd, src/Base/GemWindow.cpp,
	src/Base/GemWindow.h: GemWindow: "activate" message that is like
	"bang" but without swap/dispatch Closes: https://github.com/umlaeute/Gem/issues/391

2023-12-12  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Particles/part_head.cpp, src/Particles/part_head.h:
	[part_head] maintain (and activate) a global ParticleState Closes: https://github.com/umlaeute/Gem/issues/388

2023-12-12  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Particles/papi/general.h, src/Particles/papi/papi.h,
	src/Particles/papi/system.cpp: papi: allow changing the global state

2023-12-12  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Particles/partlib_base.cpp: Drop unused includes

2023-12-12  IOhannes m zmölnig <zmoelnig@iem.at>

	* abstractions/gemhead.pd: only use a single [gemlist] for [gemhead] so the two can actually share some data (like Particle state)

2023-12-11  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Base/GemWindow.cpp: skip makeCurrent() if the context is
	already current

2023-12-11  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Base/GemContext.cpp, src/Base/GemContext.h:
	Gem::Context::isActive() method to check if the context is current

2023-12-11  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Utils/GLUtil.cpp: some more types/formats

2023-12-11  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Pixes/pix_info.cpp, src/Utils/GLUtil.cpp, src/Utils/GLUtil.h:
	move the conversion of pix formats/types to strings into
	Utils/GLUtil.h

2023-11-22  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* .git-ci/gitlab-iem.yml: [ci] install 'git' for the notaryjerk tool

2023-11-21  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Manips/glsl_program.cpp: glsl_program: handle DOUBLE uniforms

2023-11-20  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Manips/glsl_program.cpp: glsl_program: when printing variables
	also print arraysize

2023-11-21  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Manips/glsl_program.cpp: glsl_program: fallback to using size
	for arraysize if there's no glGetActiveUniformsiv() for querying GL_UNIFORM_SIZE,
	we rely on glGetActiveUniform() to report the proper size.

2023-11-20  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Manips/glsl_program.cpp: glsl_program: array support for ARB
	shaders

2023-11-21  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* .git-ci/gitlab-iem.yml: [ci] notarize Gem on macOS

2023-11-07  IOhannes m zmölnig <zmoelnig@iem.at>

	* : commit fd5ac6bfe3a3decc158c07462169d915e015b641 Author: IOhannes
	m zmölnig <zmoelnig@iem.at> Date:   Tue Nov 7 11:14:25 2023 +0100

2023-11-07  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Controls/gemhead.cpp: gemhead: note on ignoring
	m_contextActive

2023-11-07  IOhannes m zmölnig <zmoelnig@iem.at>

	* abstractions/gemhead.pd: [gemhead] add "make_current"

2023-11-07  IOhannes m zmölnig <zmoelnig@iem.at>

	* abstractions/gemwin.pd, src/Controls/gemhead.cpp,
	src/Controls/gemhead.h: [gemhead] make context active when banged

2023-11-07  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Controls/gemhead.cpp, src/Controls/gemhead.h: gemhead: rename
	m_basename to m_contextname and only store the actual context-name

2023-11-07  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Controls/gemhead.cpp: [gemhead] very minor cleanup

2023-11-06  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* .git-ci/nodist: [ci] exclude  .yamllint from the 'nodist' check

2023-11-06  IOhannes m zmölnig <zmoelnig@iem.at>

	* help/pix_info-help.pd: pix_info: document new message mode

2023-11-06  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_info.cpp, src/Pixes/pix_info.h: [pix_info]
	message-mode (and symbolic mode) Closes: https://github.com/umlaeute/Gem/issues/377

2023-11-06  IOhannes m zmölnig <zmoelnig@iem.at>

	* abstractions/gemwin.pd: Do not issue a stop-rendering call if
	window is already closed Closes: https://github.com/umlaeute/Gem/issues/380

2023-11-06  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/GMERLIN/filmGMERLIN.cpp: GMERLIN: Make sure to do floating
	point arithmetic when calculating fps Closes: https://github.com/umlaeute/Gem/issues/372

2023-11-06  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/gitlab-iem.yml: [ci] use Pd-0.54-1

2023-11-06  IOhannes m zmölnig <zmoelnig@iem.at>

	* .gitattributes: Drop .yamllint from git-archive

2023-11-06  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/gitlab-iem.yml: Rename jobs to match deken architecture

2023-11-06  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/gitlab-iem.yml, .travis.yml: Make yamllint clean

2023-11-06  IOhannes m zmölnig <zmoelnig@iem.at>

	* .yamllint: Add .yamllint

2023-09-01  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Gem/Image.cpp: Remove debugging output for fromRGBA Closes: https://github.com/umlaeute/Gem/issues/375

2023-07-28  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* help/glsl_program-help.pd: Update glsl_program help for new array
	behaviour

2023-07-28  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Manips/glsl_program.cpp: strip away trailing "[0]" when
	setting uniforms

2023-07-28  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Manips/glsl_program.cpp: glsl_program: a single symbol is
	interpreted as an arrayname with data

2023-07-28  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Manips/glsl_program.cpp: glsl_program: strip away the trailing
	"[0]" from uniform arrays

2023-07-27  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Pixes/pix_pix2sig~.cpp, src/Pixes/pix_sig2pix~.cpp:
	pix_sig2pix~/pix2sig~: swap channels if necessary where the data layout is GL_UNSIGNED_INT_8_8_8_8 (mostly on
	Apple...) Closes: https://github.com/umlaeute/Gem/issues/370

2023-07-27  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Output/gemglfw3window.cpp: only set GLFW_COCOA_FRAME_NAME if
	it is defined

2023-07-27  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Pixes/pix_sig2pix~.cpp: pix_sig2pix~: use GEM_RGBA as default
	colorspace

2023-07-25  Raphael Isdant <raphael.isdant@gmail.com>

	* help/part_color-help.pd, help/part_damp-help.pd,
	help/part_draw-help.pd, help/part_follow-help.pd,
	help/part_gravity-help.pd, help/part_head-help.pd,
	help/part_info-help.pd, help/part_killold-help.pd,
	help/part_killslow-help.pd, help/part_orbitpoint-help.pd,
	help/part_render-help.pd, help/part_sink-help.pd,
	help/part_size-help.pd, help/part_source-help.pd,
	help/part_targetcolor-help.pd, help/part_targetsize-help.pd,
	help/part_velocity-help.pd, help/part_vertex-help.pd: part_*-help
	files revamped

2023-07-21  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* : Merge remote-tracking branch 'origin/master'

2023-07-21  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* examples/04.video/06.frame_diff_tracking.pd: Modernize
	04.video/06.frame_diff_tracking Closes: https://github.com/umlaeute/Gem/issues/366

2023-07-03  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Geos/scopeXYZ~.cpp: [scopeXYZ~] fix double-precision build
	error

2023-07-03  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/NDI/recordNDI.cpp, plugins/NDI/videoNDI.cpp: NDI: throw
	special exceptions for unsupported CPUs

2023-07-03  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/NDI/init_ndi_library.hh: NDI: print version

2023-07-03  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/NDI/init_ndi_library.hh: NDI: search /usr/local/lib and
	/usr/lib on un*x as found in

	https://github.com/obs-ndi/obs-ndi/blob/ae0a7e569dba2f7fea638f467b45a197d4aa38a6/src/obs-ndi.cpp#L232-L235

2023-07-03  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/NDI/init_ndi_library.hh: NDI: print the
	NDILIB_REDIST_FOLDER hint after the hint for downloading the runtime

2023-07-03  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/NDI/init_ndi_library.hh, plugins/NDI/recordNDI.cpp,
	plugins/NDI/videoNDI.cpp: NDI: try to be version agnostic

2023-07-03  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/NDI/init_ndi_library.hh: NDI: share more code between OSs

2023-07-03  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/NDI/NDI/Processing.NDI.DynamicLoad.h,
	plugins/NDI/NDI/Processing.NDI.Find.h,
	plugins/NDI/NDI/Processing.NDI.FrameSync.h,
	plugins/NDI/NDI/Processing.NDI.Lib.cplusplus.h,
	plugins/NDI/NDI/Processing.NDI.Lib.h,
	plugins/NDI/NDI/Processing.NDI.Recv.ex.h,
	plugins/NDI/NDI/Processing.NDI.Recv.h,
	plugins/NDI/NDI/Processing.NDI.Routing.h,
	plugins/NDI/NDI/Processing.NDI.Send.h,
	plugins/NDI/NDI/Processing.NDI.compat.h,
	plugins/NDI/NDI/Processing.NDI.deprecated.h,
	plugins/NDI/NDI/Processing.NDI.structs.h,
	plugins/NDI/NDI/Processing.NDI.utilities.h: Update to NDIv5

2023-06-29  IOhannes m zmölnig <zmoelnig@iem.at>

	* abstractions/gemargs.pd: use [get <offset> <length>( for accessing
	[list store] for compat Closes: https://github.com/umlaeute/Gem/issues/362

2023-06-29  IOhannes m zmölnig <zmoelnig@iem.at>

	* abstractions/gemargs.pd: use [get <offset> <length>( for accessing
	[list store] for compat Closes: https://github.com/umlaeute/Gem/issues/362

2023-06-12  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Geos/multimodel.cpp, src/Geos/multimodel.h: [multimodel] work
	with new API

2023-06-12  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Gem/model.cpp: Gem/model: get rid of m_loader

2023-06-12  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Gem/Makefile.am, src/Gem/model.cpp, src/Gem/model.h,
	src/Geos/model.cpp, src/Geos/model.h: move modelGL to Gem/

2023-06-12  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Geos/model.cpp, src/Geos/model.h: [model] "groups" method to
	enable multiple groups at once

2023-06-12  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/ASSIMP3/modelASSIMP3.cpp: modelASSIMP3: filter out lines
	and points LATER: make this configurable...

2023-06-12  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/plugins/modelloader.cpp, src/plugins/modelloader.h:
	const-qualifiers

2023-06-12  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Geos/model.cpp, src/Geos/model.h: model: cash all the
	mesh-data this means, that we can no longer update the meshes from the loaders
	with "smooth" and the like...

2023-06-12  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Geos/model.cpp: model: drop obsolete code

2023-06-12  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Gem/Makefile.am, src/Gem/modeldata.h: C-style modeldata
	structure for returning models by the various modelloaders

2023-06-12  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Gem/Makefile.am: add $(empty) lines to Makefile.am

2023-06-07  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Geos/model.cpp, src/Geos/model.h: wrap model-rendering into
	separate class so we can re-use it for [multimodel]

2023-06-07  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* plugins/OBJ/modelOBJ.cpp: OBJ: less verbose

2023-06-07  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Geos/model.cpp, src/Geos/model.h: model: remove more unused
	members

2023-06-07  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Geos/model.cpp: model: clear the meshes early in the open()

2023-06-07  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Geos/model.cpp, src/Geos/model.h: model: remove more unused
	code

2023-06-07  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Controls/modelfiler.cpp: modelfiler: adjust to new modelloader
	API

2023-06-07  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* plugins/ASSIMP3/modelASSIMP3.cpp, plugins/ASSIMP3/modelASSIMP3.h,
	plugins/OBJ/modelOBJ.cpp, plugins/OBJ/modelOBJ.h: model loaders:
	drop old API

2023-06-07  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/plugins/modelloader.cpp, src/plugins/modelloader.h:
	modelloader: drop old API

2023-06-07  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* plugins/ASSIMP3/modelASSIMP3.cpp, src/plugins/modelloader.h:
	modelutils::genTexture_*() now take flat vectors

2023-06-07  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* plugins/ASSIMP3/modelASSIMP3.cpp, plugins/ASSIMP3/modelASSIMP3.h,
	plugins/OBJ/modelOBJ.cpp, plugins/OBJ/modelOBJ.h: modelloaders: get
	rid of obsolete code/vars/...

2023-06-07  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/plugins/modelloader.cpp: modelloader: debug formatting

2023-06-07  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* plugins/OBJ/modelOBJ.cpp: OBJ: default emissive color

2023-06-07  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* plugins/ASSIMP3/modelASSIMP3.cpp, plugins/OBJ/modelOBJ.cpp:
	ASSIMP3/OBJ: clear mashes on destroy()

2023-06-07  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* plugins/ASSIMP3/modelASSIMP3.cpp: ASSIMP3: return meshes in
	reverse order so it matches the OBJ loader (and backwards compat)

2023-06-07  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* plugins/OBJ/modelOBJ.cpp, plugins/OBJ/modelOBJ.h,
	plugins/OBJ/model_loader.cpp, plugins/OBJ/model_loader.h: OBJ:
	adjust to new modelloader API destroying much of the old code on the way...

2023-06-07  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* plugins/ASSIMP3/modelASSIMP3.cpp, plugins/ASSIMP3/modelASSIMP3.h:
	ASSIMP3: cleanup a bit

2023-06-07  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Geos/model.cpp, src/Geos/model.h: model: handle "material"
	message locally

2023-06-07  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/plugins/modelloader.cpp, src/plugins/modelloader.h:
	modelloader: helper to render materials

2023-06-07  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* plugins/ASSIMP3/modelASSIMP3.cpp: modelASSIMP3: fix material
	calculation

2023-06-07  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* examples/03.lighting/05.materials.pd: improve materials example

2023-06-07  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* abstractions/gemwin.pd: gemwin: enable material rendering in light
	mode this was dropped when converting from GemManager to an
	abstraction...why?

2023-06-07  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* plugins/ASSIMP3/modelASSIMP3.cpp: modelASSIMP3: remove debugging
	printout

2023-06-07  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* plugins/ASSIMP3/modelASSIMP3.cpp: modelASSIMP3: once we've
	rendered, unset m_rebuild

2023-06-07  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* plugins/ASSIMP3/modelASSIMP3.cpp: modelASSIMP3: properly report
	whether meshes need update

2023-06-07  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* plugins/ASSIMP3/modelASSIMP3.cpp: modelASSIMP3: move legacy code
	to the bottom

2023-06-07  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Geos/model.cpp, src/Geos/model.h: model: generic group support
	(without support from the modelloader)

2023-06-07  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Geos/model.cpp: model: iterate by reference; use 'const' when
	possible

2023-06-07  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Geos/model.cpp, src/Geos/model.h: model: const annotation

2023-06-07  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Gem/VertexBuffer.cpp, src/Gem/VertexBuffer.h: gem::VBO:
	"const" annotation; less verbose

2023-06-07  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Geos/model.cpp, src/Geos/model.h: model: remove old VBO code

2023-06-07  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Geos/model.cpp, src/Geos/model.h: model: switch to new
	modelloader API there's still something wrong with the VBO

2023-06-07  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Gem/VertexBuffer.cpp, src/Gem/VertexBuffer.h: lightweight
	gem::VBO class (to replace the heavy gem::VertexBuffer)

2023-06-07  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Gem/VertexBuffer.h: VertexBuffer: remove unused "type" member

2023-06-07  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Gem/VertexBuffer.cpp, src/Gem/VertexBuffer.h: VertexBuffer:
	whitespace and annotations

2023-06-06  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Gem/VertexBuffer.h: VertexBuffer: remove unused enums

2023-06-06  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* plugins/ASSIMP3/modelASSIMP3.cpp, plugins/ASSIMP3/modelASSIMP3.h:
	modelASSIMP3: adapt new interface possibly breaking everything (except compilation)

2023-06-06  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/plugins/modelloader.cpp: modelloader: proxy for new interface

2023-06-06  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/plugins/modelloader.h: modelloader: draft for a new interface
	for the modelloader-plugins

2023-06-02  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* plugins/OBJ/model_loader.cpp: OBJ: reduce duplicate code

2023-06-01  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* plugins/ASSIMP3/modelASSIMP3.cpp: ASSIMP3: get rid of some unused
	code

2023-06-01  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* plugins/ASSIMP3/modelASSIMP3.cpp, plugins/ASSIMP3/modelASSIMP3.h:
	ASSIMP3: support for groups Closes: https://github.com/umlaeute/Gem/issues/333

2023-06-01  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* plugins/ASSIMP3/modelASSIMP3.cpp: ASSIMP3: avoid double
	compilation for obj

2023-06-01  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/gitlab-iem.yml: [ci] make sure that all the artifacts are
	user-writeable

2023-06-01  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/README.snapshot.pd.in, .git-ci/gitlab-iem.yml: [ci] for
	snapshot builds, generate (and ship) a README.deken.pd

2023-05-31  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* .git-ci/gitlab-iem.yml: [ci] upload snapshots to deken

2023-05-31  IOhannes m zmölnig(Catalina) <zmoelnig@iem.at>

	* plugins/videoAVF/AVFVideoGrabber.mm: videoAVF: fix RGBA conversion

2023-05-31  IOhannes m zmölnig(Catalina) <zmoelnig@iem.at>

	* src/Gem/PixConvert.cpp, src/Gem/PixConvert.h: add BGRAtoARGB
	converter

2023-05-31  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/gitlab-iem.yml: [ci] make [gemglfw3window] the default
	window on all platforms Closes: https://github.com/umlaeute/Gem/issues/341

2023-05-31  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Output/gemglfw3window.cpp: glfw3: fix pre-creation fullscreen
	selection

2023-05-31  IOhannes m zmölnig <zmoelnig@iem.at>

	* abstractions/gemwin.pd, src/Base/GemWindow.cpp: "fullscreen" is
	actually a monitor-number, not a boolean

2023-05-31  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Output/gemglfw3window.cpp: glfw3: on the fly full-screen
	switching

2023-05-31  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Output/gemglfw3window.cpp: glfw3: honour "border" message

2023-05-30  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/gitlab-iem.yml, .git-ci/macOS.brew: [ci] Install fat
	homebrew packages

2023-05-28  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* .git-ci/macOS.brew: [ci] disable the fat FTGL installation until we have figured out how to fix the 'Non-checksummed download
	of freetype formula file' error

2023-05-28  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* .git-ci/macOS.brew: [ci] macOS: test install universal ftgl
	package

2023-05-22  IOhannes m zmölnig <zmoelnig@iem.at>

	* README.md: whitespace

2023-05-16  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/gitlab-iem.yml: [ci] fix YAML

2023-05-16  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* .git-ci/gitlab-iem.yml: [ci] continue if pacman fails

2023-05-16  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/msys2.pacman: [ci] Windows: use the modern 'pkgconf'
	replacement of 'pkg-config'

2023-05-16  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/gitlab-iem.yml: [ci] don't try to update msys2-keyring as a side-effect, this updates the package cache, potentially
	pulling in the hold world and the kitchen sink in the next steps

2023-05-16  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/plugins/imagesaver.h: Use C++-comments to prevent
	nested-comment warning with clang

2023-05-16  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_freeframe.cpp: pix_freeframe: print useful errors
	for unsupported plugin types also get rid of the #warning: no need to check the plugin API as we
	can just check the plugin capabilities

2023-05-16  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_freeframe.cpp: pix_freeframe: print to stderr
	(rather than stdout)

2023-05-15  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Output/gemsdlwindow.cpp: [gemsdlwindow] resize framebuffer if
	the user resizes the window

2023-05-15  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Manips/glsl_program.cpp, src/Manips/glsl_program.h:
	glsl_program: fix building with clang

2023-05-15  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Pixes/pix_freeframe.cpp: pix_freeframe: fix compilation on
	macOS the bundle-loader code was disabled for a reason...

2023-05-15  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* help/{_idiosyncracies.pd => Gem-help.pd}, help/Makefile.am: help:
	renamed _idiosyncracies to Gem-help and include it in the
	build-system

2023-05-14  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Output/gemsdlwindow.cpp, src/Output/gemsdlwindow.h:
	gemsdlwindow: no multi-context allowed Closes: https://github.com/umlaeute/Gem/issues/337 Related:
	https://github.com/umlaeute/Gem/issues/338

2023-05-14  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Output/gemsdlwindow.cpp: gemsdlwindow: report
	dimen/framebuffer change after "dimen" message

2023-05-11  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_frei0r.cpp: pix_frei0r: remove #warning about color
	type we *do* check the colortype now

2023-05-11  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_frei0r.cpp, src/Pixes/pix_frei0r.h: pix_frei0r:
	fallback to FREI0R_PATH

2023-05-11  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Gem/Loaders.cpp, src/Gem/Loaders.h,
	src/Pixes/pix_freeframe.cpp, src/Pixes/pix_frei0r.cpp: Loaders:
	report whether we are in legacy mode or not so the actual loader can search the canvaspath manually, or only
	search some fallback paths

2023-05-11  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_freeframe.cpp: pix_freeframe: attempt all available
	loaders one after another TODO: check whether this makes macOS crash...

2023-05-11  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_freeframe.cpp: pix_freeframe-loader: only search in
	given path

2023-05-11  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_frei0r.cpp: pix_frei0r: also support PACKED32
	format...

2023-05-11  IOhannes m zmölnig <zmoelnig@iem.at>

	* help/_idiosyncracies.pd: Gem idiosyncracies

2023-05-11  IOhannes m zmölnig <zmoelnig@iem.at>

	* help/gemframebuffer-help.pd, help/gemwin-help.pd,
	help/ortho-help.pd, help/pix_chroma_key-help.pd,
	help/pix_flip-help.pd, help/pix_grey-help.pd,
	help/pix_levels-help.pd, help/pix_multiply-help.pd,
	help/pix_roi-help.pd, help/pix_share_write-help.pd,
	help/pix_sig2pix~-help.pd: minor help-patch fixes

2023-05-11  IOhannes m zmölnig <zmoelnig@iem.at>

	* help/glsl_program-help.pd: glsl_program: update help-file

2023-05-11  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Manips/glsl_program.cpp, src/Manips/glsl_program.h:
	glsl_program: rename "parametercache" to "keepuniforms"

2023-05-11  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Manips/glsl_program.cpp: glsl_program: only keep compatible
	parameters we already have the parameters cached in the m_uniforms.  no need to
	add additional load (in paramMess) when setting the parameter.
	instead we reconstruct the original parameters from the m_uniforms
	map.

2023-05-11  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Manips/glsl_program.cpp: glsl_program: avoid double free of
	strings in case we are using ARB-shaders

2023-05-11  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Manips/glsl_program.cpp, src/Manips/glsl_program.h:
	glsl_program: cache parameters between reloads

2023-05-11  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Manips/glsl_program.cpp: glsl_program: reformatting

2023-05-11  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Manips/glsl_program.cpp, src/Manips/glsl_program.h:
	glsl_program: use STL and classes for uniform-handling

2023-05-11  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Manips/glsl_program.cpp, src/Manips/glsl_program.h: turn
	t_uniform into a (private) class/struct

2023-05-11  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Manips/glsl_program.cpp, src/Manips/glsl_program.h:
	glsl_program: cache uniform variables sent before we have a program

2023-05-10  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_frei0r.cpp: pix_frei0r: print warning for
	unsupported colorspaces...

2023-05-10  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/gitlab-iem.yml: [ci] refrash package-index before
	installing msys2-keyring

2023-05-10  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/gitlab-iem.yml: [ci] refresh msys2 keys after reinstalling
	msys2-keyring

2023-05-10  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/gitlab-iem.yml: [ci] refresh msys keys

2023-05-10  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_freeframe.cpp: pix_freeframe: initmsg support Closes: https://github.com/umlaeute/Gem/issues/328

2023-05-10  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_frei0r.cpp, src/Pixes/pix_frei0r.h: pix_frei0r:
	initmsg support Closes: https://github.com/umlaeute/Gem/issues/328

2023-05-10  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Base/CPPExtern.cpp, src/Base/CPPExtern.h: moved implementation
	details of CPPExtern arg-handling into CPPExtern.cpp no need to expose this in the header...  more importantly, this
	should allow us to re-use the code for our loaders, like frei0r or
	freeframe

2023-05-10  IOhannes m zmölnig <zmoelnig@iem.at>

	* abstractions/gemargs-help.pd: gemargs-help: updates - layout - fix typos and left-overs - headings - ...

2023-05-10  IOhannes m zmölnig <zmoelnig@iem.at>

	* abstractions/gemargs.pd: [gemargs]: fix parent-depth: 0=parent,
	1=grandparent,...

2023-05-09  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/PIPEWIRE/Makefile.am,
	plugins/PIPEWIRE/pipewire-videoplugin.pd,
	plugins/PIPEWIRE/videoPIPEWIRE.cpp: PIPEWIRE: add help-patch for
	videoPIPEWIRE

2023-05-09  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/videoAVF/AVF-videoplugin.pd, plugins/videoAVF/Makefile.am:
	videoAVF: add dummy help-patch Closes: https://github.com/umlaeute/Gem/issues/350

2023-05-09  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/VLC/vlc-videoplugin.pd: VLC: improve help-patch

2023-05-09  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_pix2sig~.cpp: pix_pix2sig~: fix 'mode line' message

2023-05-09  IOhannes m zmölnig <zmoelnig@iem.at>

	* help/pix_pix2sig~-help.pd, help/pix_sig2pix~-help.pd:
	pix_sig2pix~/pix_pix2sig~: update help-patches

2023-05-09  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_pix2sig~.cpp, src/Pixes/pix_pix2sig~.h:
	pix_pix2sig~: more generous "mode" handling - "line <float>" is an alias for "waterfall <float>" - (but "line" (without args) is not) - don't bail out if WATREFALL has a wrong arg (or another mode has
	any arg)

2023-05-09  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/GMERLIN/filmGMERLIN.cpp, plugins/NDI/videoNDI.cpp,
	plugins/PIPEWIRE/videoPIPEWIRE.cpp, plugins/V4L/videoV4L.cpp,
	plugins/V4L2/videoV4L2.cpp, src/Pixes/pix_convert.cpp,
	src/Pixes/pix_frei0r.cpp, src/Pixes/pix_info.cpp,
	src/Pixes/pix_rgba.cpp: fix the invocation of image.not_owned

2023-05-09  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Gem/Image.cpp, src/Gem/Image.h: finally renamed
	imageStruct.notowned to .not_owned i always read "no-town-ed"

2023-05-09  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Gem/Image.h: Image: remove declarations of not-implemented
	functions and fix some comments

2023-05-09  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Gem/Image.cpp: give more information in error messages

2023-05-08  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_pix2sig~.cpp: pix_pix2sig~: fix off-by-one error

2023-05-08  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Controls/gemframebuffer.cpp: gemframebuffer: print some
	warnings for unknown formats

2023-05-08  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Controls/gemframebuffer.cpp: gemframebuffer: drop #ifdef in
	favour of our own color-types

2023-05-08  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_pix2sig~.cpp: pix_pix2sig~: get rid of chansize
	variable

2023-05-08  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_pix2sig~.cpp, src/Pixes/pix_pix2sig~.h:
	pix_pix2sig~: refactored code a fixed upside-down processing

2023-05-08  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_pix2sig~.cpp: pix_pix2sig~: simplify by using
	function pointers

2023-05-08  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/TIFF/imageTIFF.cpp: TIFF: Fix crash when trying to load a
	non-existant image after opening a TIFF with ImageMagick Closes: https://github.com/umlaeute/Gem/issues/356

2023-05-08  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_pix2sig~.cpp, src/Pixes/pix_pix2sig~.h:
	pix_pix2sig~: fix mode handling again

2023-05-08  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_pix2sig~.cpp: pix_pix2sig~: fix dsp_add() invocation we need to pass "this->x_obj" if we want to call GetMyClass()

2023-05-08  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_sig2pix~.cpp, src/Pixes/pix_sig2pix~.h:
	pix_sig2pix~: get rid of static callbacks

2023-05-08  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_pix2sig~.cpp, src/Pixes/pix_pix2sig~.h:
	pix_pix2sig~: wrap DSP-callback into helper-class

2023-05-05  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Pixes/pix_texture.cpp: pix_texture: set internalformat to
	GL_RGBA32F for float-formats

2023-05-05  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Pixes/pix_texture.cpp: use a variable for the internalformat

2023-05-05  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Pixes/pix_texture.cpp: pix_texture: use
	imageStruct.setCsizeByFormat rather than doing it manually

2023-05-05  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Pixes/pix_texture.cpp: pix_texture: use copy2ImageStruct()
	rather than manually copying members

2023-05-05  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Pixes/pix_dump.cpp: pix_dump: pass imageStruct to helpers keeps the API cleaner, than passing all the values separately

2023-05-05  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Pixes/pix_dump.cpp: pix_dump: fix row/col confusion

2023-05-05  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Pixes/pix_dump.cpp: never scale float/double pixes

2023-05-05  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Pixes/pix_dump.cpp: pix_dump: drop debugging

2023-05-05  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Pixes/pix_dump.cpp, src/Pixes/pix_dump.h: pix_dump: use an
	imageStruct to cache data

2023-05-05  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Pixes/pix_dump.cpp, src/Pixes/pix_dump.h: pix_dump: support
	for FLOAT and DOUBLE pixes

2023-05-05  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Pixes/pix_dump.h: pix_dump: remove unused static callbacks;
	and indentation

2023-05-05  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Pixes/pix_dump.cpp, src/Pixes/pix_dump.h: pix_dump: use
	image.format rather than image.csize

2023-05-05  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Pixes/pix_dump.cpp, src/Pixes/pix_dump.h: pix_dump: get rid of
	unsed code/variables

2023-05-05  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Pixes/pix_dump.cpp: refactor pix_dump code

2023-05-05  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Pixes/pix_gain.cpp, src/Pixes/pix_gain.h: pix_gain: add
	processFloat32 mostly for testing

2023-05-05  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Pixes/pix_sig2pix~.cpp, src/Pixes/pix_sig2pix~.h:
	pix_sig2pix~: "upsidedown" message

2023-05-05  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Base/GemPixObj.cpp, src/Base/GemPixObj.h:
	GemPixObj::processFloat*()

2023-05-04  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_pix2sig~.cpp, src/Pixes/pix_pix2sig~.h:
	pix_pix2sig~: implement "modes" like CLEAR, FILL, LINE, WATERFALL

2023-05-04  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_sig2pix~.cpp: pix_sig2pix~: minor cleanups

2023-05-04  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_pix2sig~.cpp, src/Pixes/pix_pix2sig~.h:
	pix_pix2sig~: make "perform" a proper class-method

2023-05-04  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_sig2pix~.cpp, src/Pixes/pix_sig2pix~.h:
	pix_sig2pix~: make num-samples unsigned

2023-05-04  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_sig2pix~.cpp, src/Pixes/pix_sig2pix~.h:
	pix_sig2pix~: waterfall-mode

2023-05-04  IOhannes m zmölnig <zmoelnig@iem.at>

	* abstractions/gemwin.pd: gemwin: Fix reporting of size,
	framebuffersize,...  Closes: https://github.com/umlaeute/Gem/issues/342

2023-05-04  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_sig2pix~.cpp, src/Pixes/pix_sig2pix~.h:
	pix_sig2pix~: implement "mode"s: clear(default), fill & line

2023-05-04  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_sig2pix~.cpp, src/Pixes/pix_sig2pix~.h: drop
	m_pixsize member

2023-05-04  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_sig2pix~.cpp: pix2sig: use 0x7FFF rather than 32000 makes more sense...

2023-05-04  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_sig2pix~.cpp, src/Pixes/pix_sig2pix~.h: pix2sig:
	perform method

2023-05-04  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_sig2pix~.cpp, src/Pixes/pix_sig2pix~.h: remove
	unused m_imageStruct member

2023-04-20  IOhannes m zmölnig <zmoelnig@iem.at>

	* help/camera-help.pd: Updated camera-help Closes: https://github.com/umlaeute/Gem/issues/349

2023-04-20  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Manips/camera.cpp, src/Manips/camera.h: camera: turn
	up/down/left/right/forward/reverse into floats messages that govern
	the speed this is compat with the prior version iff 0/1 are used.  but it now
	allows use to define (e.g.) left/right rotation by using
	negative/positive speeds.  and of course it allows us to govern the
	speed independently for the various axes

2023-04-20  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Utils/Functions.h: WRAP functions that wrap between two limits

2023-04-20  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Manips/camera.cpp, src/Manips/camera.h: camera: revamped so it
	now works - put in into a gemhead to set the camera position for the
	downstream objects - just bang it, to get a list suitable for feeding into [gemwin]'s
	"view" message this breaks compat with how it used to work, where the global
	(singleton) [gemwin] was modified directly.  however, the legacy
	code has been broken for a while (now that we have multiple
	windows), so the break shouldn't be too drastic.  on the plus side, we can now have a "local" camera but also control
	the "global" (per gemwin) viewpoint.

2023-04-20  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Manips/camera.cpp, src/Manips/camera.h: camera: ctor, type,
	namespace, whitespace cleanup

2023-04-20  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Manips/camera.cpp, src/Manips/camera.h: camera: drop static
	callbacks in favor of the CPPEXTERN_MSG() macros

2023-04-20  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Manips/camera.cpp, src/Manips/camera.h: [camera] remove unused
	methods

2023-04-20  IOhannes m zmölnig <zmoelnig@iem.at>

	* help/text3d-help.pd, help/textextruded-help.pd,
	help/textoutline-help.pd: text*-help: mention [scale] in favour of
	[font(

2023-04-20  IOhannes m zmölnig <zmoelnig@iem.at>

	* help/text2d-help.pd: [text2d] fix transforms

2023-04-20  IOhannes m zmölnig <zmoelnig@iem.at>

	* help/text3d-help.pd: [text3d]: document 'alias' message Closes: https://github.com/umlaeute/Gem/issues/355

2023-04-18  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/nodist: [ci] files with spaces cannot be part of the
	'dist' package

2023-04-18  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/gitlab-iem.yml: [ci] install more dependencies (but
	no-recommends)

2023-04-18  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/gitlab-iem.yml: [ci] also install 'libtool'

2023-04-18  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/OptiTrack/Makefile.am: OptiTrack: no DSgrabber files...

2023-04-18  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/gitlab-iem.yml: [ci] install autotools and friends for the
	'nodist' job

2023-04-18  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/gitlab-iem.yml: [ci] configure git user/email

2023-04-18  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/gitlab-iem.yml: [ci] fix 'git commit' invocation

2023-04-18  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/gitlab-iem.yml: [ci] assume yes on 'apt' questions

2023-04-18  IOhannes m zmölnig <zmoelnig@iem.at>

	* configure.ac: include pugins/OptiTrack in the autoconf system just adding the directory to plugins/Makefile.am is not enough to
	get a makefile....

2023-04-18  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/gitlab-iem.yml: [ci] our test-jobs have no prerequisites so we can actually run them early (rather than wait for those pesky
	macOS and Windows jobs)

2023-04-18  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/Makefile.am: Add OptiTrack to the build-dirs OptiTrack is disabled,but adding it here will include the sources in
	the 'dist' package

2023-04-18  IOhannes m zmölnig <zmoelnig@iem.at>

	* extra/pix_fiducialtrack/Makefile.am: Add COPYING.txt to
	pix_fiducialtrack's dist-files

2023-04-18  IOhannes m zmölnig <zmoelnig@iem.at>

	* : Remove vera.ttf from examples/05.text/ the file is found in examples/data/

2023-04-18  IOhannes m zmölnig <zmoelnig@iem.at>

	* m4/ax_compiler_vendor.m4, m4/iem_relativerpath.m4: Remove unused
	m4 macros moved the 'iem_relativerpath' macro to
	https://git.iem.at/zmoelnig/autoconf-iem

2023-04-18  IOhannes m zmölnig <zmoelnig@iem.at>

	* abstractions/Makefile.am, help/Makefile.am: Add missing
	abstractions and help-files

2023-04-18  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/gitlab-iem.yml: [ci] fix exclusion rules for 'nodist' job

2023-04-18  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/nodist: [ci] enumerate files excluded from 'make dist'

2023-04-18  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/gitlab-iem.yml: [ci] job to check whether all files are
	included in the 'dist' package

2023-04-17  IOhannes m zmölnig <zmoelnig@iem.at>

	* : tests: vertically flipped TGA image

2023-04-17  IOhannes m zmölnig <zmoelnig@iem.at>

	* : veritcally flipped BMP

2023-04-17  IOhannes m zmölnig <zmoelnig@iem.at>

	* : commit a5cfec30fc48400c2195093a3a03937602d6ffa7 Author: IOhannes
	m zmoelnig <zmoelnig@iem.at> Date:   Mon Apr 17 11:44:05 2023 +0200

2023-04-17  IOhannes m zmoelnig <zmoelnig@iem.at>

	* plugins/imageIO/imageIO.mm: imageIO: honour metadata orientation Related: https://github.com/umlaeute/Gem/issues/347

2023-04-17  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/JPEG/imageJPEG.cpp: JPEG: note on how to get the
	orientation (later) Related: https://github.com/umlaeute/Gem/issues/347

2023-04-17  IOhannes m zmoelnig <zmoelnig@iem.at>

	* plugins/JPEG/imageJPEG.cpp: JPEG: fix colors when reading on macOS

2023-04-17  IOhannes m zmölnig <zmoelnig@iem.at>

	* abstractions/gemargs.pd, abstractions/gemhead.pd,
	abstractions/gemkeyboard.pd, abstractions/gemkeyname.pd,
	abstractions/gemmouse.pd, abstractions/gemorb.pd,
	abstractions/gemrepeat.pd, abstractions/gemtablet.pd,
	abstractions/gemwin.pd, abstractions/hsv2rgb.pd,
	abstractions/pix_buffer_filmopen.pd, abstractions/pix_write.pd,
	abstractions/pix_writer.pd, abstractions/rgb2hsv.pd,
	abstractions/rgb2yuv.pd, abstractions/yuv2rgb.pd: Add copyright
	boilerplate to abstractions

2023-04-17  IOhannes m zmölnig <zmoelnig@iem.at>

	* abstractions/gemrepeat-help.pd, abstractions/gemrepeat.pd: Add
	[gemrepeat] abstraction TODO: iteration counter Closes: https://github.com/umlaeute/Gem/issues/344

2023-04-17  IOhannes m zmölnig <zmoelnig@iem.at>

	* examples/13.recursion/02.iteration_is_insufficient.pd: declare
	that this help-patch requries 'zexy' (for [repeat]) Closes: https://github.com/umlaeute/Gem/issues/344

2023-04-17  IOhannes m zmölnig <zmoelnig@iem.at>

	* examples/11.obj-exporter/obj_primTri.pd: Fix arguments to
	[primTri] now that we are somewhat more strict with args Closes: https://github.com/umlaeute/Gem/issues/352

2023-04-14  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* tests/manual/pix-orientation/MAIN.pd: pix-orientation test: record
	both success and failure

2023-04-13  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Gem/PixConvert.cpp: proper parens

2023-04-13  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* plugins/TIFF/imageTIFF.cpp: TIFF: declare Alpha-channel as
	non-premultiplied

2023-04-13  IOhannes m zmoelnig <zmoelnig@iem.at>

	* plugins/TIFF/imageTIFF.cpp: TIFF: fix colors when writing (on
	macOS)

2023-04-13  IOhannes m zmoelnig <zmoelnig@iem.at>

	* plugins/JPEG/imageJPEG.cpp: JPEG: fix colors when writing images

2023-04-13  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* : commit c649f5f9de03368db4f7dc36583cdf1cb1653d68 Author: IOhannes
	m zmölnig <zmoelnig@umlautT.umlaeute.mur.at> Date:   Thu Apr 13
	17:55:39 2023 +0200

2023-04-13  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* plugins/PIPEWIRE/recordPIPEWIRE.cpp, plugins/QT4L/recordQT4L.h,
	plugins/QuickTime/filmQT.cpp, plugins/SGI/imageSGI.cpp,
	plugins/STB/imageSTB.cpp, plugins/V4L/videoV4L.cpp,
	plugins/filmDSATL/filmDS.cpp, plugins/imageMAGICK/MagickCore.cpp,
	plugins/imageMAGICK/MagickPlusPlus.cpp, src/Gem/Image.cpp,
	src/Gem/Image.h: replace GL_-colordefs with GEM_RAW_...  to remove a deoendency on the openGL headers

2023-04-13  IOhannes m zmoelnig <zmoelnig@iem.at>

	* plugins/STB/imageSTB.cpp: STB: convert to GL_RGBA on all platforms

2023-04-13  IOhannes m zmoelnig <zmoelnig@iem.at>

	* plugins/SGI/imageSGI.cpp: SGI: convert to GL_RGBA on all platforms

2023-04-13  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* tests/manual/pix-orientation/MAIN.pd,
	tests/manual/pix-writer/MAIN.pd: send the working directory and the
	tested-plugin separately

2023-04-13  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* tests/manual/plugintest.sh: general script to run the "manual"
	tests

2023-04-13  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/gitlab-iem.yml: [ci] fix newline

2023-04-13  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/gitlab-iem.yml: [ci] enable codesigning for macOS

2023-04-13  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/gitlab-iem.yml: [ci] define stages

2023-04-13  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/gitlab-iem.yml: [ci] undo the 'brew update' the runner has been brought up-todate

2023-04-13  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/README.linux, tests/manual/{pix_writer/writer-test.pd =>
	pix-writing/MAIN.pd}: Drop src/README.linux it has outdated, duplicate and diverging documentation on how to
	build...  Closes: https://github.com/umlaeute/Gem/issues/348

2023-04-03  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* tests/manual/{pix_writer/writer-test.pd => pix-writer/MAIN.pd}:
	Normalized pix-writer test

2023-04-03  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Base/GemPixDualObj.cpp, src/Base/GemPixObj.cpp,
	src/Gem/Image.cpp, src/Gem/PixConvert.h: use GL_YUV422_GEM (and a
	bit of indentation)

2023-04-03  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Gem/Image.cpp, src/Gem/PixConvert.cpp, src/Gem/PixConvert.h,
	src/Gem/PixConvertAltivec.cpp: PixConvert: rename "YUV420P" to
	"I420" (fourcc)

2023-04-03  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Gem/PixConvert.h: PixConvert.h is a C-header no need for C++ (so make sure we don't accidentally sneak in
	C++-features like overloading)

2023-04-03  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Gem/Image.cpp, src/Gem/Image.h, src/Gem/PixConvert.cpp,
	src/Gem/PixConvert.h, src/Gem/PixConvertAltivec.cpp,
	src/Gem/PixConvertSSE2.cpp: PixConvert: s16 converters

2023-04-02  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Gem/Image.cpp, src/Gem/PixConvert.cpp, src/Gem/PixConvert.h:
	PixConvert: do not use function-overloading - make type explicit

2023-04-02  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Gem/PixConvert.h, src/Gem/PixConvertSSE2.cpp: tightened
	includes

2023-04-02  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Gem/Image.cpp, src/Gem/PixConvertAltivec.cpp,
	src/Gem/PixConvertSSE2.cpp: PixConvert: fix compilation errors

2023-04-02  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Gem/Image.cpp, src/Gem/PixConvert.h,
	src/Gem/PixConvertAltivec.cpp, src/Gem/PixConvertSSE2.cpp:
	PixConvert: use new naming scheme for conversion functions

2023-04-02  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Gem/PixConvert.h, src/Gem/PixConvertAltivec.cpp: dopr support
	for very old Altivec compilers

2023-04-02  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Gem/PixConvert.cpp, src/Gem/PixConvert.h: minimize header
	inclusions

2023-04-01  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Gem/Image.cpp, src/Gem/PixConvert.cpp, src/Gem/PixConvert.h:
	PixConvert: converters from packed YUV

2023-04-01  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Gem/Image.cpp, src/Gem/PixConvert.cpp: basic YUV420P
	conversion

2023-04-01  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Gem/PixConvert.cpp: PixConvert: fix inplace RGB4->RGB3
	conversion hopefully

2023-04-01  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Gem/Image.cpp, src/Gem/PixConvert.cpp, src/Gem/PixConvert.h:
	provide width/height to converter functions (not just size) this will be needed for the planar formats.  it also allows us to get rid of the "pixelsize" variable

2023-03-31  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Gem/Image.cpp: move colorconversions from PixConvert

2023-03-31  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Gem/Image.cpp, src/Gem/Makefile.am, src/Gem/PixConvert.cpp,
	src/Gem/PixConvert.h: moving conversion functions into
	Gem/PixConvert.cpp

2023-03-30  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Gem/Image.cpp: implement Image::convertTo() with
	Image::convertFrom()

2023-03-30  vagrant <vagrant@This-MacBook-Pro.local>

	* src/Gem/Image.cpp: "fix" BGRA->BGR conversion this is really all wrong.  the problem is with Apple using different
	byte/word-order in addition to a differnt format.  the only sane
	solution is to stay true to the name

2023-03-30  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* plugins/JPEG/imageJPEG.cpp: JPEG: drop error when saving YUV
	images they are converted to RGB anyhow

2023-03-30  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* plugins/TIFF/imageTIFF.cpp: TIFF: simplify color-correction code
	for Apple

2023-03-29  IOhannes m zmölnig <zmoelnig@iem.at>

	* tests/manual/pix-orientation/MAIN.pd: move test-patch to the main
	screen

2023-03-29  IOhannes m zmölnig <zmoelnig@iem.at>

	* tests/manual/pix-orientation/MAIN.pd: manual test for checking pix
	orientation

2023-03-29  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/imageMAGICK/MagickCore.cpp: imageMAGICK: fix magickcore
	code

2023-03-28  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Manips/glsl_tesscontrol.cpp, src/Manips/glsl_tesseval.cpp,
	src/Output/gemmacwindow.cpp, src/Pixes/pix_buffer.cpp,
	src/Pixes/pix_movie.cpp, src/Pixes/pix_video.cpp: fix spelling
	mistakes

2023-03-28  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Output/gemsdl2window.h: SDL2: prevent inclusion of immintrin.h as this fails the build on macOS (when building amd64+arm64 in one
	go).  the detection of the usability in SDL_cpuinfo is slightly
	bogus (as it uses a `HAVE_IMMINTRIN_H` define, which it seems is
	true for the amd64 part (presumably set somewhere in the SDL
	headers)

2023-03-28  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* plugins/imageMAGICK/MagickCore.cpp: MagickCore: fix variable
	declaration with goto

2023-02-25  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* .git-ci/gitlab-iem.yml: [ci] have 'Source'-job extended
	.run-selected

2023-03-28  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/gitlab-iem.yml: [ci] run 'brew update' before installing
	the bundle this shouldn't be here, but until the CI-bot is fixed, let's try
	it...

2023-03-28  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/imageMAGICK/MagickCore.cpp,
	plugins/imageMAGICK/MagickPlusPlus.cpp: imageMAGICK: fix image
	orientation when loading

2023-03-28  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/TIFF/imageTIFF.cpp: TIFF: honour (simple) orientation when
	reading files

2023-03-28  IOhannes m zmoelnig <vagrant@vagants-MacBook-Pro.local>

	* plugins/TIFF/imageTIFF.cpp: TIFF: try to fix colors on macOS

2023-03-28  IOhannes m zmoelnig <vagrant@vagants-MacBook-Pro.local>

	* plugins/TIFF/imageTIFF.cpp: TIFF: switch 'uint32' for 'uint32_t'

2023-03-28  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/TIFF/imageTIFF.cpp: TIFF: fix upside down orientation when
	writing images

2023-03-28  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/TIFF/imageTIFF.cpp: TIFF: do not free buffer that has not
	been allocated and drop useless variable

2023-03-28  IOhannes m zmölnig <zmoelnig@iem.at>

	* tests/manual/gempattern.pd,
	tests/manual/pix_writer/writer-test.pd: some manual test for
	regressions

2023-03-28  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/imageIO/imageIO.mm: imageIO: use named constants for image
	orientation rather than magic numbers

2023-02-25  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* .git-ci/gitlab-iem.yml: [ci] Extend all jobs with .run-selected

2023-02-25  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* .git-ci/gitlab-iem.yml: [ci] Drop ".snapshot" and ".release"
	job-templates

2023-02-25  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* .git-ci/gitlab-iem.yml: [ci] describe variables

2023-02-25  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* .git-ci/gitlab-iem.yml: [ci] print some envvars

2023-02-24  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Utils/GLUtil.cpp: use #ifdef to prevent accidental use of
	unknown GLU_ defines

2023-02-23  IOhannes m zmölnig <zmoelnig@iem.at>

	* abstractions/gemwin.pd: gemwin: stop rendering if the window has
	been closed

2023-02-21  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Utils/GLUtil.cpp: fallback to our own implementation of
	gluErrorString()

2023-02-20  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Base/GemContext.cpp: get rid of unused static variables

2023-02-20  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Manips/ortho.cpp, src/Pixes/pix_write.cpp: explicitely include
	GemGL.h if needed

2023-02-20  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Base/GemWindow.cpp, src/Controls/gemmouse.cpp,
	src/Controls/gemwin.cpp, src/Geos/gemvertexbuffer.cpp,
	src/Geos/ripple.h, src/Geos/rubber.h, src/Manips/camera.cpp,
	src/Manips/camera.h, src/Manips/glsl_vertex.cpp,
	src/Pixes/pix_cubemap.cpp, src/Pixes/pix_multitexture.cpp,
	src/Pixes/pix_snap.cpp, src/Pixes/pix_writer.cpp: don't include
	Gem/Manager.h where it is not needed

2023-02-23  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Output/gemglutwindow.cpp, src/Output/gemglutwindow.h:
	gemglutwindow: drop useless destroyMess() method

2023-02-23  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Output/gemglfw2window.cpp, src/Output/gemglfw2window.h,
	src/Output/gemglfw3window.cpp, src/Output/gemglfw3window.h,
	src/Output/gemglutwindow.cpp, src/Output/gemglutwindow.h,
	src/Output/gemsdl2window.cpp, src/Output/gemsdl2window.h,
	src/Output/gemsdlwindow.cpp, src/Output/gemsdlwindow.h: drop useless
	doRender() method from window implementations

2023-02-23  IOhannes m zmölnig <zmoelnig@iem.at>

	* configure.ac, switch-gemwin.sh.in: helper-script to switch between
	various gemwindow implementations

2023-02-23  IOhannes m zmölnig <zmoelnig@iem.at>

	* devgem.sh.in: devgem: minor improvements - launch Pd without realtime-flags (useful when running withing gdb) - support Pd-launcher (useful for running Pd through gdb, valgrind,
	wine,...) - source devgem.conf for persistent envvars (useful for running Pd
	through wine)

2023-02-20  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Output/gemglutwindow.cpp: gemglutwindow: wrap glutGetWindow()
	to minimize warnings

2023-02-20  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/NDI/videoNDI.cpp: NDI: handle all cases in switch/case

2023-02-20  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/DECKLINK/recordDECKLINK.cpp: DECKLINK: fix assignment

2023-02-20  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Output/gemglfw3window.cpp: gemglfw3window: manually resolve
	unprintable keys on macOS it seems that the arrow-keys do resolve to some unprintable
	characters, we would like to use "proper" names instead...  Closes: https://github.com/umlaeute/Gem/issues/335

2023-02-17  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Output/gemglfw3window.cpp: gemglfw3window: align version
	strings [ci skip]

2023-02-17  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Output/gemglfw3window.cpp: only use the result of
	glfwGetKeyName() if it is non-NULL *and* non-empty Closes: https://github.com/umlaeute/Gem/issues/335

2023-02-17  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Output/gemglfw3window.cpp: [gemglfw3window] printout GLFW3
	versions (build-time and run-time)

2023-02-15  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Geos/scopeXYZ~.cpp, src/Pixes/pix_pix2sig~.cpp,
	src/Pixes/pix_sig2pix~.cpp: Use new CPPEXTERN_NEW_NAMED_... macros,
	obsoleting addcreator and helpsymbol hacks

2023-02-15  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Base/CPPExtern.h: allow CPPExterns to set their Pd objectname
	that is different from their C++-classname e.g. "scopeXYZ~" is not a valid functionname (or part thereof) in
	C/C++.  the old way around this, was to just create an alias.  now
	we can explicitely tell that the "scopeXYZ" class creates a
	"scopeXYZ~" object

2023-02-15  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Controls/gemframebuffer.cpp: framebuffer: use the requested
	type rather than forcing everything to GL_UNSIGNED_BYTE

2023-02-15  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* help/gemframebuffer-help.pd, help/pix_sig2pix~-help.pd,
	help/pix_snap-help.pd: update help-patches

2023-02-15  IOhannes m zmölnig <zmoelnig@umlautT.umlaeute.mur.at>

	* src/Pixes/pix_snap.cpp: pix_snap: add common aliases for size&pos

2023-02-15  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_sig2pix~.cpp, src/Pixes/pix_snap.cpp: uppercase
	"BYTE", "FLOAT" and "DOUBLE"

2023-02-15  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_snap.cpp, src/Pixes/pix_snap.h: pix_snap: add "type"
	message

2023-02-15  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_snap.cpp, src/Pixes/pix_snap.h: pix_snap: minor code
	cleanup

2023-02-15  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_sig2pix~.cpp: less verbose

2023-02-15  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Base/GemPixObj.cpp: GemPixObj: refuse FLOAT/DOUBLE images at least for now

2023-02-15  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_pix2sig~.cpp, src/Pixes/pix_pix2sig~.h: pix2sig~:
	raw handling of GemState so we can reject GL_FLOAT images for all GemPixObj's for now...

2023-02-15  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_pix2sig~.cpp, src/Pixes/pix_pix2sig~.h: pix2sig~:
	handle double/float images

2023-02-15  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_sig2pix~.cpp, src/Pixes/pix_sig2pix~.h: pix2sig:
	'type' message to switch between byte/float/double

2023-02-15  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_sig2pix~.cpp, src/Pixes/pix_sig2pix~.h: pix_sig2pix:
	drop useless dimenMessCallback() wrapper

2023-02-15  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_sig2pix~.cpp: initialize members in ctor

2023-02-15  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_sig2pix~.cpp: sig2pix~: use a templatefun for the
	actual processing so it's easier to extend for supporting float/double/...

2023-02-15  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/Makefile.am, src/Pixes/{pix_pix2sig.cpp =>
	pix_pix2sig~.cpp}, src/Pixes/{pix_pix2sig.h => pix_pix2sig~.h},
	src/Pixes/{pix_sig2pix.cpp => pix_sig2pix~.cpp},
	src/Pixes/{pix_sig2pix.h => pix_sig2pix~.h}: rename source-files for
	[pix_sig2pix~] and [pix_pix2sig~]

2023-02-15  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Geos/scopeXYZ~.cpp, src/Pixes/pix_pix2sig.cpp,
	src/Pixes/pix_sig2pix.cpp: "dsp" methods must be A_CANT

2023-02-15  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Geos/scopeXYZ~.cpp, src/Pixes/pix_pix2sig.cpp,
	src/Pixes/pix_sig2pix.cpp: indentation

2023-02-15  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Gem/Image.cpp: basic support for float-types in images

2023-02-15  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Gem/Image.cpp: Fix image.type assignment on Apple how did this ever work?

2023-02-15  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Gem/Image.cpp: prettyprint format

2023-02-01  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/ASSIMP3/modelASSIMP3.cpp, plugins/ASSIMP3/modelASSIMP3.h:
	modelASSIMP3: honor "smooth" Currently this is only homnored while loading (unlike with modelOBJ,
	where you can re-smooth a loaded model) Closes: https://github.com/umlaeute/Gem/issues/334

2023-02-01  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/FFMPEG/filmFFMPEG.cpp: FFMPEG: simplify packet reader with video-frames, a single packet only ever contains a single
	frame.  so there's no need to loop and hoop.

2023-02-01  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Geos/square.cpp: align code...

2023-02-01  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Geos/model.cpp, src/Geos/model.h: [model] pass texture coords
	to loader so we can support rectangle textures

2023-02-01  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/ASSIMP2/modelASSIMP2.cpp: modelASSIMP2: pass scaling
	factors to textcoord-generator

2023-02-01  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/ASSIMP3/modelASSIMP3.cpp, src/plugins/modelloader.h:
	model: pass scaling factors to texcoord-generator

2023-02-01  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/ASSIMP3/modelASSIMP3.cpp, plugins/ASSIMP3/modelASSIMP3.h:
	modelASSIMP: support for texture-scaling (for rectangle textures)

2023-02-01  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/ASSIMP3/modelASSIMP3.cpp: modelASSIMP: fix name of
	'textype' property

2023-02-01  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/OBJ/modelOBJ.cpp: modelOBJ: make "texwidth/texheight"
	writeProps private

2023-02-01  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/OBJ/modelOBJ.cpp: modelOBJ: honour texwidth/texheight this basically allows non-rectangle textures

2023-02-01  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/ASSIMP3/modelASSIMP3.cpp, plugins/OBJ/modelOBJ.cpp:
	model*: refactored propeties-handling

2023-02-01  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/ASSIMP3/modelASSIMP3.cpp, plugins/OBJ/model_loader.cpp:
	model*: fix texture coordinates (at least for normalized textures) Closes: https://github.com/umlaeute/Gem/issues/311

2023-02-01  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/ASSIMP3/modelASSIMP3.cpp: ASSIMP3: prevent openGL calls if
	openGL has not been initialized LATER: drop the openGL calls completely.  Closes: https://github.com/umlaeute/Gem/issues/332

2023-02-01  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/ASSIMP3/modelASSIMP3.cpp: ASSIMP3: remove unused function

2023-02-01  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Geos/model.cpp, src/Geos/model.h: model: "blend" and
	"linewidth" messages Closes: https://github.com/umlaeute/Gem/issues/329

2023-02-01  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Geos/model.cpp: re-format ctor-initializers for easier
	extendibility

2023-01-26  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/FFMPEG/filmFFMPEG.h: filmFFMPEG: prevent double
	declaration of members

2023-01-26  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/FFMPEG/filmFFMPEG.cpp: filmFFMPEG: nicely print
	ffmpeg-errors

2023-01-26  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/FFMPEG/filmFFMPEG.cpp: filmFFMPEG: note on why we disabled
	GRAY8 in default dest-fromats

2023-01-26  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/FFMPEG/filmFFMPEG.cpp, plugins/FFMPEG/filmFFMPEG.h:
	filmFFMPEG: renamed m_wantedCodec so it's consistend with m_wantedFormat

2023-01-26  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/FFMPEG/filmFFMPEG.cpp: filmFFMPEG.open(): increase
	lifetime of 'ret'

2023-01-26  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/ASSIMP2/modelASSIMP2.h, plugins/ASSIMP3/modelASSIMP3.h,
	plugins/AVI/filmAVI.h, plugins/AVIPLAY/filmAVIPLAY.h,
	plugins/DECKLINK/recordDECKLINK.cpp,
	plugins/DECKLINK/recordDECKLINK.h,
	plugins/DECKLINK/videoDECKLINK.cpp,
	plugins/DECKLINK/videoDECKLINK.h, plugins/FFMPEG/filmFFMPEG.cpp,
	plugins/HALCON/videoHALCON.h, plugins/NDI/recordNDI.h,
	plugins/OBJ/modelOBJ.h, plugins/OBJ/model_loader.cpp,
	plugins/OptiTrack/videoOptiTrack.h,
	plugins/PIPEWIRE/recordPIPEWIRE.h,
	plugins/PIPEWIRE/videoPIPEWIRE.h, plugins/PNM/recordPNM.h,
	plugins/QT4L/recordQT4L.h, plugins/QuickTime/recordQT.cpp,
	plugins/TEST/videoTEST.h, plugins/V4L/recordV4L.cpp,
	plugins/V4L/recordV4L.h, plugins/V4L2/recordV4L2.h,
	plugins/VLC/videoVLC.h, plugins/VNC/videoVNC.h,
	plugins/filmDS/filmDS.cpp, plugins/filmDS/filmDS.h,
	plugins/filmDSATL/filmDS.cpp, plugins/filmDSATL/filmDS.h,
	plugins/filmDarwin/filmDarwin.h,
	plugins/videoAVF/AVFVideoGrabber.mm, plugins/videoDS/DSgrabber.cpp,
	plugins/videoDarwin/videoDarwin.cpp: fix typos

2023-01-26  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/FFMPEG/filmFFMPEG.cpp, plugins/FFMPEG/filmFFMPEG.h:
	filmFFMPEG: support getting/setting the codec however, [pix_film] doesn't support this yet...

2023-01-26  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/FFMPEG/filmFFMPEG.cpp: filmFFMP: simplify prop-enumeration

2023-01-26  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/FFMPEG/filmFFMPEG.cpp: filmFFMPEG: short-circuit
	interating over props

2023-01-25  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/gitlab-iem.yml: [ci] show wget command (with variables
	expanded)

2023-01-25  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/FFMPEG/filmFFMPEG.cpp: filmFFMPEG: use bool for
	newimage/newfilm

2023-01-25  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/FFMPEG/filmFFMPEG.cpp: filmFFMP: tighten frame seek
	accuracy

2023-01-25  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/FFMPEG/filmFFMPEG.cpp: filmFFMPEG: ignore seek if we
	couldn't get the number of frames this will make the video auto-proceed, but it doesn't allow us to
	change the speed...

2023-01-25  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/FFMPEG/filmFFMPEG.cpp: filmFFMPEG: use libvpx-vp9 as a vp9
	replacement (if it is available) there's still an issue with playing back the webm-example file (as
	given in the issue), as ffmpeg reports broken keyframes.  but alpha
	is working...  Closes: https://github.com/umlaeute/Gem/issues/301

2023-01-25  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/macOS.brew: [ci] disable ffmpeg on macOS again it fails to install

2023-01-25  IOhannes m zmölnig <zmoelnig@iem.at>

	* .git-ci/macOS.brew, .git-ci/msys2.pacman: [ci] build against
	ffmpeg on macOS and Windows

2023-01-25  IOhannes m zmölnig <zmoelnig@iem.at>

	* configure.ac, plugins/FFMPEG/Makefile.am: Properly detect the
	presence of FFMPEG in configure.ac

2023-01-25  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/FFMPEG/filmFFMPEG.cpp: filmFFMPEG: less verbose

2023-01-25  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/FFMPEG/filmFFMPEG.cpp: filmFFMPEG: proper frame seeking
	(even if the timebase is weird)

2023-01-25  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/FFMPEG/filmFFMPEG.cpp: filmFFMPEG: support for RGB output
	format

2023-01-25  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/FFMPEG/filmFFMPEG.cpp: filmFFMPEG: fix YUV format (it's
	UYVY422 instead of YUYV422)

2023-01-25  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/FFMPEG/filmFFMPEG.cpp, plugins/FFMPEG/filmFFMPEG.h:
	filmFFMPEG: convert and show images!

2023-01-25  IOhannes m zmölnig <zmoelnig@iem.at>

	* configure.ac: FFMPEG: Link against libswscale

2023-01-25  IOhannes m zmölnig <zmoelnig@umlautS.umlaeute.mur.at>

	* plugins/FFMPEG/filmFFMPEG.cpp, plugins/FFMPEG/filmFFMPEG.h: put
	frameConverter into separate message

2023-01-24  IOhannes m zmölnig <zmoelnig@umlautS.umlaeute.mur.at>

	* plugins/FFMPEG/filmFFMPEG.cpp, plugins/FFMPEG/filmFFMPEG.h:
	ffmpeg: seeking and non-working decodePacket actually, decodePacket() does already "work", it just doesn't output
	to imageStruct yet

2023-01-24  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/FFMPEG/filmFFMPEG.cpp: ffmpeg: towards decoding...

2023-01-24  IOhannes m zmölnig <zmoelnig@iem.at>

	* configure.ac, plugins/FFMPEG/Makefile.am,
	plugins/FFMPEG/filmFFMPEG.cpp, plugins/FFMPEG/filmFFMPEG.h,
	plugins/Makefile.am: starting on FFMPEG

2023-01-24  IOhannes m zmölnig <zmoelnig@iem.at>

	* configure.ac: fix spelling errors in configure.ac

2023-01-24  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_dump.cpp: pix_dump: don't fall through from YUV to
	Grey Closes: https://github.com/umlaeute/Gem/issues/327

2023-01-24  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_dump.cpp: pix_dump: save a var

2023-01-24  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_dump.cpp: pix_dump: put constants at the beginning
	of comparision

2023-01-24  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_dump.cpp: m_dump: simplify allocation code

2023-01-24  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/RTE/Atom.cpp: nicer error-message if Atom::checkSignature()
	fails

2023-01-24  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Geos/GemSplash.cpp, src/Geos/scopeXYZ~.cpp,
	src/Pixes/pix_2grey.cpp, src/Pixes/pix_a_2grey.cpp,
	src/Pixes/pix_buf.cpp, src/Pixes/pix_buffer.cpp,
	src/Pixes/pix_buffer_read.cpp, src/Pixes/pix_buffer_write.cpp,
	src/Pixes/pix_color.cpp, src/Pixes/pix_coloralpha.cpp,
	src/Pixes/pix_colormatrix.cpp, src/Pixes/pix_colorreduce.cpp,
	src/Pixes/pix_film.cpp, src/Pixes/pix_grey.cpp,
	src/Pixes/pix_pix2sig.cpp, src/Pixes/pix_sig2pix.cpp,
	src/Pixes/pix_texture.cpp: Use A_GIMME as signature for aliases Closes: https://github.com/umlaeute/Gem/issues/326

2023-01-24  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_dump.cpp: pix_dump: simplify code precalculate scale-factor and apply it for both byte-mode and normal
	mode.

2023-01-24  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_video.cpp, src/Pixes/pix_video.h: pix_video: "open"
	now wraps "driver"+"device"

2023-01-24  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_video.cpp, src/Pixes/pix_video.h: pix_video:
	implicit (driver|device)MessCallback and have deviceMess() and driverMess() return a status

2023-01-24  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_video.h: pix_video: remove unused static methods

2023-01-24  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/RTE/Atom.cpp: Atom::checkSignature() now always passes if no
	args are expected

2023-01-23  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Output/gemglfw3window.cpp: [gemglfw3window] swap
	middle<->right mousebuttons GLFW sorts them left/right/middle, but in Gem we sort them from left
	to right

2023-01-23  IOhannes m zmölnig <zmoelnig@iem.at>

	* abstractions/gemhead.pd, abstractions/gemmouse.pd,
	abstractions/gemwin.pd, abstractions/pix_blobtracker.pd,
	abstractions/pix_buffer_filmopen.pd, abstractions/pix_write.pd,
	abstractions/pix_writer.pd: Use [gemargs] for Gem-abstractions gemhead: enable multicontext support Closes: https://github.com/umlaeute/Gem/issues/325

2023-01-23  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Controls/Makefile.am, src/Controls/gemargs.cpp,
	src/Controls/gemargs.h: Drop C++ implementation of [gemargs]

2023-01-23  IOhannes m zmölnig <zmoelnig@iem.at>

	* abstractions/Makefile.am, abstractions/gemargs-help.pd,
	abstractions/gemargs-test.pd, abstractions/gemargs.pd: Implement
	[gemargs] as an abstraction empty args are output as [bang(

2023-01-23  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Controls/gemargs.cpp: gemargs: args go to the right-outlet;
	initmsgs to the left outlet so we receive the initmsgs *after* the args

2023-01-23  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/RTE/Atom.cpp, src/RTE/Atom.h: make the return-value of
	Atom.getRTEAtom() immutable

2023-01-23  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Base/CPPExtern.h, src/RTE/Atom.cpp: fix expanding of
	A_DEFSYMBOL

2023-01-20  IOhannes m zmölnig <zmoelnig@umlautS.umlaeute.mur.at>

	* src/Base/GemShape.cpp, src/Geos/cylinder.cpp,
	src/Geos/cylinder.h, src/Geos/disk.cpp, src/Geos/disk.h,
	src/Geos/sphere.cpp, src/Geos/sphere.h, src/Geos/sphere3d.cpp,
	src/Geos/sphere3d.h, src/Geos/teapot.cpp, src/Geos/teapot.h,
	src/Geos/torus.cpp, src/Geos/torus.h: Override GemGluObj's
	renderShape() rather than render() so we inherit all the nice nifties from GemShape Closes: https://github.com/umlaeute/Gem/issues/323

2023-01-20  IOhannes m zmölnig <zmoelnig@umlautS.umlaeute.mur.at>

	* src/Controls/Makefile.am, src/Controls/gemargs.cpp,
	src/Controls/gemargs.h: [gemargs] get arguments and messages from
	canvasargs

2023-01-20  IOhannes m zmölnig <zmoelnig@umlautS.umlaeute.mur.at>

	* src/Base/CPPExtern.h: Allow objects to suppress the args->message
	conversion

2023-01-20  IOhannes m zmölnig <zmoelnig@umlautS.umlaeute.mur.at>

	* src/Base/CPPExtern.h: formatting

2023-01-20  IOhannes m zmölnig <zmoelnig@umlautS.umlaeute.mur.at>

	* src/Base/CPPExtern.h: forward ";"-messages in creation args as
	messages so [pix_texture; rectangle 1] is really the same as
	[loadbang]->[rectangle 1(->[pix_texture].  or, kind of "the same",
	as this is sent before the object is created to anything...

2023-01-20  IOhannes m zmölnig <zmoelnig@umlautS.umlaeute.mur.at>

	* extra/pix_artoolkit/pix_artoolkit.cpp,
	extra/pix_drum/pix_drum.cpp,
	extra/pix_fiducialtrack/pix_fiducialtrack.cpp,
	extra/pix_mano/pix_mano.cpp: CPPEXTERN_NEW*() now requires a
	trailing semicolon

2023-01-20  IOhannes m zmölnig <zmoelnig@umlautS.umlaeute.mur.at>

	* src/Base/CPPExtern.h: use A_GIMME for all constructors, and handle
	the rest ourselves...

2023-01-19  IOhannes m zmölnig <zmoelnig@umlautS.umlaeute.mur.at>

	* src/RTE/Atom.cpp, src/RTE/Atom.h, src/RTE/Makefile.am: RTE::Atom
	wrapper

2023-01-19  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Base/GemBase.cpp, src/Base/GemBase.h,
	src/Base/GemPathBase.cpp, src/Base/GemPathBase.h,
	src/Base/GemPixDualObj.cpp, src/Base/GemPixDualObj.h,
	src/Base/GemShape.cpp, src/Base/GemShape.h, src/Base/TextBase.h,
	src/Base/TextBaseFTGL.cpp, src/Base/TextBaseNone.cpp,
	src/Controls/gemcubeframebuffer.cpp,
	src/Controls/gemcubeframebuffer.h, src/Controls/gemlist.cpp,
	src/Controls/gemlist.h, src/Controls/gemwin.cpp,
	src/Controls/gemwin.h, src/Controls/modelfiler.cpp,
	src/Gem/Settings.cpp, src/Geos/model.cpp, src/Geos/model.h,
	src/Geos/multimodel.cpp, src/Geos/multimodel.h, src/Geos/polygon.h,
	src/Geos/primTri.cpp, src/Geos/primTri.h, src/Manips/ambient.cpp,
	src/Manips/ambient.h, src/Manips/color.cpp, src/Manips/color.h,
	src/Manips/diffuse.cpp, src/Manips/diffuse.h,
	src/Manips/emission.cpp, src/Manips/emission.h,
	src/Manips/fragment_program.cpp, src/Manips/fragment_program.h,
	src/Manips/glsl_fragment.cpp, src/Manips/glsl_fragment.h,
	src/Manips/glsl_geometry.cpp, src/Manips/glsl_geometry.h,
	src/Manips/glsl_program.cpp, src/Manips/glsl_program.h,
	src/Manips/glsl_tesscontrol.cpp, src/Manips/glsl_tesscontrol.h,
	src/Manips/glsl_tesseval.cpp, src/Manips/glsl_tesseval.h,
	src/Manips/glsl_vertex.cpp, src/Manips/glsl_vertex.h,
	src/Manips/specular.cpp, src/Manips/specular.h,
	src/Manips/vertex_program.cpp, src/Manips/vertex_program.h,
	src/Particles/part_targetcolor.cpp,
	src/Particles/part_targetcolor.h, src/Pixes/pix_bitmask.cpp,
	src/Pixes/pix_bitmask.h, src/Pixes/pix_blob.cpp,
	src/Pixes/pix_blob.h, src/Pixes/pix_buffer.cpp,
	src/Pixes/pix_buffer.h, src/Pixes/pix_buffer_read.cpp,
	src/Pixes/pix_buffer_read.h, src/Pixes/pix_buffer_write.cpp,
	src/Pixes/pix_buffer_write.h, src/Pixes/pix_colormatrix.cpp,
	src/Pixes/pix_colormatrix.h, src/Pixes/pix_convolve.cpp,
	src/Pixes/pix_convolve.h, src/Pixes/pix_coordinate.cpp,
	src/Pixes/pix_coordinate.h, src/Pixes/pix_cubemap.cpp,
	src/Pixes/pix_curve.h, src/Pixes/pix_data.cpp,
	src/Pixes/pix_data.h, src/Pixes/pix_film.cpp, src/Pixes/pix_film.h,
	src/Pixes/pix_freeframe.cpp, src/Pixes/pix_frei0r.cpp,
	src/Pixes/pix_gain.cpp, src/Pixes/pix_gain.h,
	src/Pixes/pix_histo.cpp, src/Pixes/pix_histo.h,
	src/Pixes/pix_image.cpp, src/Pixes/pix_image.h,
	src/Pixes/pix_imageInPlace.cpp, src/Pixes/pix_imageInPlace.h,
	src/Pixes/pix_movie.cpp, src/Pixes/pix_movie.h,
	src/Pixes/pix_multiimage.cpp, src/Pixes/pix_multiimage.h,
	src/Pixes/pix_normalize.h, src/Pixes/pix_offset.cpp,
	src/Pixes/pix_offset.h, src/Pixes/pix_record.cpp,
	src/Pixes/pix_record.h, src/Pixes/pix_rectangle.cpp,
	src/Pixes/pix_rectangle.h, src/Pixes/pix_set.cpp,
	src/Pixes/pix_share_write.cpp, src/Pixes/pix_share_write.h,
	src/Pixes/pix_tIIR.cpp, src/Pixes/pix_tIIRf.cpp,
	src/Pixes/pix_video.cpp, src/Pixes/pix_video.h,
	src/Pixes/pix_write.h, src/Pixes/pix_writer.cpp,
	src/Pixes/pix_writer.h, src/Utils/GLUtil_define.cpp,
	src/Vertex/vertex_add.cpp, src/Vertex/vertex_add.h,
	src/Vertex/vertex_combine.cpp, src/Vertex/vertex_combine.h,
	src/Vertex/vertex_draw.cpp, src/Vertex/vertex_model.cpp,
	src/Vertex/vertex_model.h, src/Vertex/vertex_tabread.cpp,
	src/Vertex/vertex_tabread.h, src/openGL/GLdefine.cpp: Use 't_symbol*
	' rather than 't_symbol *'

2023-01-19  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Base/CPPExtern.h: indentation...

2023-01-19  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Controls/gemwin.cpp, src/Geos/model.cpp,
	src/Geos/multimodel.cpp, src/Manips/fragment_program.cpp,
	src/Manips/glsl_fragment.cpp, src/Manips/glsl_geometry.cpp,
	src/Manips/glsl_tesscontrol.cpp, src/Manips/glsl_tesseval.cpp,
	src/Manips/glsl_vertex.cpp, src/Manips/vertex_program.cpp,
	src/Pixes/pix_buffer.cpp, src/Pixes/pix_buffer_read.cpp,
	src/Pixes/pix_buffer_write.cpp, src/Pixes/pix_convert.cpp,
	src/Pixes/pix_film.cpp, src/Pixes/pix_flip.cpp,
	src/Pixes/pix_freeframe.cpp, src/Pixes/pix_frei0r.cpp,
	src/Pixes/pix_image.cpp, src/Pixes/pix_imageInPlace.cpp,
	src/Pixes/pix_movie.cpp, src/Pixes/pix_multiimage.cpp: Use
	A_DEFSYMBOL instead of A_DEFSYM everywhere

2023-01-19  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Base/CPPExtern.h: renamed macro-args

2023-01-19  IOhannes m zmölnig <zmoelnig@umlautS.umlaeute.mur.at>

	* plugins/NDI/ndi-videoplugin.pd: fix NDI-video documentation patch Closes: https://github.com/umlaeute/Gem/issues/322

2022-12-21  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Controls/gemhead.cpp: [gemhead] allow float priority Closes: https://github.com/umlaeute/Gem/issues/321

2022-11-14  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Output/gemglfw3window.cpp: gemglfw3window: if no width has
	been specified, use monitor size (in fullscreen)

2022-11-14  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Base/CPPExtern.h, src/Base/GemBase.cpp, src/Base/GemBase.h,
	src/Base/GemPixDualObj.cpp, src/Base/GemWinCreate.h,
	src/Base/GemWinCreateMac.cpp, src/Base/GemWindow.h,
	src/Controls/gemlist.h, src/Controls/gemlist_info.cpp,
	src/Controls/gemreceive.cpp, src/Gem/GLStack.cpp,
	src/Gem/ImageIO.h, src/Gem/Properties.cpp, src/Gem/Setup.cpp,
	src/Geos/sphere3d.cpp, src/Makefile.am, src/Output/README.cocoa,
	src/Output/gemmacoswindow.mm, src/Output/gemmacwindow.cpp,
	src/Output/gemsdl2window.cpp, src/README.linux, src/RTE/Outlet.cpp,
	src/Utils/Matrix.h, src/Utils/SIMD.cpp,
	src/Utils/SynchedWorkerThread.h, src/Utils/Thread.h,
	src/Utils/Vector.cpp, src/Utils/WorkerThread.h, src/Utils/any.h,
	src/openGL/README, src/plugins/modelloader.h, src/plugins/video.h,
	src/plugins/videoBase.h: fix spelling errors codespell!

2022-11-14  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Output/gemglfw3window.cpp: gemglfw3window: enable
	single-buffered mode if requested Closes: https://github.com/umlaeute/Gem/issues/305

2022-11-14  IOhannes m zmölnig <zmoelnig@iem.at>

	* abstractions/gemwin.pd: alignment

2022-11-14  IOhannes m zmölnig <zmoelnig@iem.at>

	* abstractions/gemwin.pd: gemwin: replace $0-realdimen with
	$0-framebuffersize (where appropriate) Closes: https://github.com/umlaeute/Gem/issues/318

2022-11-14  IOhannes m zmölnig <zmoelnig@iem.at>

	* abstractions/gemwin.pd: [gemwin] resaved with Pd-0.53

2022-11-14  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_data.cpp: handle upside-down images (according to
	the docs)

2022-11-14  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_data.cpp: pix_data: simplify NORMALIZED code

2022-11-14  IOhannes m zmölnig <zmoelnig@iem.at>

	* help/pix_data-help.pd: pix_data: update help-patch

2022-11-14  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_data.cpp, src/Pixes/pix_data.h: pix_data: rename
	"mode" message to "normalize" Closes: https://github.com/umlaeute/Gem/issues/315

2022-11-14  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_data.cpp, src/Pixes/pix_data.h: pix_data: add "mode"
	message, to skip the position scaling.

2022-11-14  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_data.cpp: pix_data: normalize by (dimen-1) rather than by (dimen), and then clamp to (dimen-1).  this makes it
	somewhat clearer what is happening.  the downside is, that this will read the neighbouring pixel (as
	compared to the old code), if the input was normalized by dimen.  if
	the input was normalized by (dimen-1), the output will be the same,
	except for the last pixel.

2022-11-14  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_data.cpp: pix_data: don't clamp position on receive we are clamping right before outputting anyhow...

2022-11-14  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_data.cpp, src/Pixes/pix_data.h: pix_data: "list"
	method to set the coords and trigger in one go

2022-11-14  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_data.cpp, src/Pixes/pix_data.h: pix_data: use an
	enum for quality

2022-11-14  IOhannes m zmölnig <zmoelnig@iem.at>

	* src/Pixes/pix_data.cpp: pix_data: fix macro names

2022-11-14  IOhannes m zmölnig <zmoelnig@iem.at>

	* help/text3d-help.pd: text-help: show "hello world" in arabic and
	chinese Closes: https://github.com/umlaeute/Gem/issues/319

2022-11-10  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/PIPEWIRE/recordPIPEWIRE.cpp: PIPEWIRE: copy data to
	pw_stream

2022-11-10  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/PIPEWIRE/recordPIPEWIRE.cpp: PIPEWIRE: convert image to
	target format

2022-11-10  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/PIPEWIRE/recordPIPEWIRE.cpp: PIPEWIRE: exit if init()
	failed

2022-11-10  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/PIPEWIRE/recordPIPEWIRE.cpp: move image-reallocation out
	of init()

2022-11-10  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/PIPEWIRE/recordPIPEWIRE.cpp: PIPEWIRE: early exit is
	there's no loop

2022-11-10  IOhannes m zmölnig <zmoelnig@iem.at>

	* plugins/PIPEWIRE/recordPIPEWIRE.cpp: debugging output

2022-11-10  IOhannes m zmölnig <zmoelnig@iem.at>

